MPlayer(1)

NOMBRE
mplayer - reproductor de películas
mencoder - codificador de películas

SINOPSIS
mplayer [opciones] [archivo|URL|playlist|-]
mplayer [opciones] fichero1 [opciones específicas] fichero2 [opciones específicas]
mplayer [opciones] {grupo de ficheros y opciones} [opciones específicas del grupo]
mplayer [dvd|dvdnav]://[título|[título_inicial]-título_final] [opciones]
mplayer vcd://pista[/dispositivo]
mplayer tv://[canal] [opciones]
mplayer radio://[canal|frecuencia][/capture] [opciones]
mplayer pvr:// [opciones]
mplayer dvb://[numero_tarjeta@]canal [opciones]
mplayer mf://máscara [-mf opciones] [opciones]
mplayer [cdda|cddb]://pista[-pista_final][:velocidad][/dispositivo] [opciones]
mplayer cue://archivo[:pista] [opciones]
mplayer [fichero|mms[t]|http|http_proxy|rt[s]p|ftp|udp|unsv|smb]:// [usuario:contraseña@]URL[:puerto] [opciones]
mplayer sdp://fichero [opciones]
mplayer mpst://host[:puerto]/URL [opciones]
mplayer tivo://host/[list|llist|fsid] [opciones]
gmplayer [opciones] [-skin skin]
mencoder [opciones] fichero [fichero|URL|-] [-o fichero | file://fichero | smb://[usuario:contraseña@]host/ruta_al_fichero]
mencoder [opciones] fichero1 [opciones específicas] fichero2 [opciones específicas]

DESCRIPCIÓN
mplayer es un reproductor de películas para Linux (funciona en muchas otras plataformas y arquitecturas de CPU, vea la documentación). Reproduce la mayoría de los ficheros MPEG/VOB, AVI, ASF/WMA/WMV, RM, QT/MOV/MP4, ogg/OGM, MKV, VIVO, FLI, NuppelVideo, yuv4mpeg, FILM and RoQ, soportados de forma nativa y otros codecs binarios. Además puede ver VideoCD, SVCD, DVD, 3ivx, DivX 3/4/5 e incluso películas WMV.

MPlayer soporta un amplio rango de controladores de salida de video y de audio. Funciona con X11, XV, DGA, OpenGL, SVGAlib, fbdev, AAlib, libcaca, DirectFB, Quartz, Mac OS X CoreVideo, pero también puede usar GGI, SDL (y todos sus controladores), VESA (en cualquier tarjeta compatible con VESA, incluso sin X11) , algunos controladores de tarjetas específicas a bajo nivel (par Matrox, 3Dfs y
 ATI) y algunas tarjetas decodificadoras de MPEG por hardware, tales como Siemens DVB, Hauppauge PVR (IVTV), DXR2 y DXR3/Hollywood+. La mayoría de ellos soportan escalado por software o por hardware, para que pueda disfrutar de las películas en modo de pantalla completa.

MPlayer tiene información en pantalla (OSD, On Screen Display) sobre el estado, subtítulos grandes y bonitos con suavizado de bordes y realimentación visual de los controles con teclado. Tipos de letra Europeo/ISO8859-1,2 (Húngaro, Inglés, Checoslovaco, etc), Cirílico y Koreano se soportan en 12 formatos de subtítulos (MicroDVD, SubRip, OGM, SubViewer, Sami, VPlayer, RT, SSA, AQTitle, JACOsub, PJS y el nuestro: MPsub) así como subtítulos DVD (cadenas SPU, VOBsub y Closed Captions).

mencoder (Codificador de Películas de MPlayer) es un codificador simple de películas, diseñado para codificar películas que se pueden reproducir con MPlayer (vea más arriba) a otros formatos también reproducibles con MPlayer (vea más abajo). Codifica a MPEG-4 (DivX/Xvid), cualquier codec de libavcodec y audio en PCM/MP3/VBRMP3 en 1, 2 o 3 pasadas. Además, tiene habilidades para copiar flujos, un potente sistema de filtros (recortar, expandir, girar, post-procesar, rotar, escalar, ruidos, conversión rgb/yuv) y más.

gmplayer es MPlayer con una interfaz gráfica para el usuario. Tiene las mismas opciones que MPlayer.

Se pueden encontrar ejemplos de uso para familiarizarle rápidamente con el manejo del programa al final de esta página del manual

¡Lea también la documentación HTML!

CONTROL INTERACTIVO
MPlayer tiene una capa de control totalmente configurable, dirigida por órdenes,
 que le permite controlar MPlayer usando el teclado, el ratón, un mando de juegos o un mando a distancia (usando LIRC). Vea la opción -input para conocer las maneras de configurarlo.

control por teclado
    Posiciona atrás/adelante 10 segundos. Posiciona atrás/adelante 1 minuto. Posiciona atrás/adelante 10 minutos. Aumenta/disminuye la velocidad de reproducción en un 10% Dobla/Divide la velocidad de reproducción. Devuelve la reproducción a la velocidad normal. retrocede/avanza en la lista de reproducción. siguiente/previa entrada del árbol de reproducción en la lista actual. siguiente/previa fuente alternativa (solo para listas de reproducción ASX). Pausa la película (cualquier tecla para salir del modo pausa). Paso adelante. Pesionar una vez detiene la película. Cada pulsación posterior reproduce un frame y detiene la película otra vez (cualquier otra tecla hace retornar al modo normal). Detiene la película y sale. Ajusta el retardo de audio por +/- 0.1 segundos. Decrementa/incrementa el volumen. Decrementa/incrementa el volumen. Silencia el sonido. Alterna entre las pistas de vídeo disponibles Alterna entre las pistas de audio disponibles Cambia al modo de pantalla completa (vea también -fs). Cambia al modo siempre-visible (vea también -ontop). Decrementa/incrementa el rango de pan y scan. Cambia entre los estados de OSD: nada / posición / posición + tiempo posición + tiempo + tiempo total. Cambia el saltarse imágenes. cambia entre los estados del salto de imágenes: nada / saltar el mostrar en pantalla / saltar decodificación (vea -framedrop y -hardframedrop). Cambia la visibilidad de los subtítulos. Alterna entre los subtítulos disponibles. Paso adelante/atrás en la lista de subtítulos
F   Cambia la visibilidad de "subtítulos forzados". Cambia la alineación de los subtítulos: arriba/enmedio/abajo. Ajusta el retardo de subtítulos por +/- 0.1 segundos. Mueve los subtítulos arriba/abajo. Establece una marca EDL. Realiza una captura de pantalla. Comienza/para la toma de capturas de pantalla. Muestra el nombre del fichero que se está reproduciendo en pantalla. Activa/desactiva el desentrelazador.

(Las siguientes teclas son válidas únicamente cuando se usa una salida de video acelerada por hardware (xv, (x)vidix, (x)mga, etc), el ecualizador por software (-vf eq o -vf eq2) o el filtro de tonalidad (-vf hue).)

Ajusta el contraste. Ajusta el brillo. Ajusta el matiz. Ajusta la saturación.

(Las siguientes teclas son válidas únicamente cuando se usa quartz o el controlador de vídeo de corevideo)

Cambia el tamaño de la ventana a la mitad de su tamaño. Cambia el tamaño de la ventana a su tamaño original. Cambia el tamaño de la ventana al doble su tamaño original. Cambia al modo de pantalla completa (vea también -fs). Establece el canal alfa de la ventana de la película.

(Las siguientes teclas son válidas únicamente cuando se usa el controlador de vídeo sdl)

Alterna entre los diferentes modos de pantalla completa. Vuelve al modo original.

(Las siguientes teclas son válidas únicamente cuando se usa un teclado multimedia)

pausa. Detiene la reproducción y sale. Posiciona atrás/adelante 1 minuto.

(Las siguientes teclas son válidas únicamente cuando se ha compilado con soporte
 para la interfaz gráfica y tienen precedencia sobre las anteriores)

Comienza la reproducción. Detiene la reproducción. Carga un fichero. Carga los subtítulos. Abre el navegador de temas. Abre el diálogo de preferencias.

(Las siguientes teclas son válidas únicamente cuando se ha compilado con soporte
 para la TV o DVB y tienen precedencia sobre las anteriores)

Selecciona el canal anterior/siguiente. Cambia la norma. Cambia la lista de canales.

(Las siguientes teclas son válidas únicamente cuando se ha compilado con soporte
 para dvdnav: se usan para navegar por los menús)

Selecciona el botón hacia arriba. Selecciona el botón hacia abajo. Selecciona el botón hacia la izquierda. Selecciona el botón hacia la derecha. Vuelve al menú principal. Vuelve al menú más cercano (el orden preferido es: capítulo->título->raíz). Confirma la elección.

control del ratón
    Posiciona atrás/adelante 1 minuto. Aumenta/disminuye el volumen

control del joystick
    Posiciona atrás/adelante 10 segundos. Posiciona atrás/adelante 1 minuto. Pausa Cambia los estados OSD: ninguno / búsqueda / búsqueda + contador / búsqueda + contador+ tiempo total. Aumenta/disminuye el volumen

USO
Cada opción 'etiqueta' tiene su contrapartida 'noetiqueta', es decir, el opuesto a la opción -fs es -nofs.

Si una opción está marcada como (XXX solamente), solo funcionará en combinación con la opción XXX o si está compilado con soporte XXX.

NOTA: El analizador de subopciones (se usa por ejemplo para las subopciones -ao pcm) soporta un modo especial de escape de cadenas pensado para usarse con interfaces gráficas de usuario externas.
Tienen el siguiente formato:
%n%string_of_length_n
EJEMPLOS:
mplayer -ao pcm:file=%10%C:test.wav test.avi
O en un script:
mplayer -ao pcm:file=%`expr length "$NAME"`%"$NAME" test.avi

FICHEROS DE CONFIGURACIÓN
Puede escribir todas sus opciones en ficheros de configuración que serán leídos cada vez que se ejecute MPlayer/MEncoder. El archivo de configuración del sistema global 'mplayer.conf' está en su directorio de configueración (p.e. /etc/mplayer o /usr/local/etc/mplayer), el específico de usuario es '~/.mplayer/config'. El fichero de configuración para MEncoder es mencoder.conf en su directorio de configuración (p.e. /etc/mplayer o /usr/local/etc/mplayer) el específico de usuario es '~/.mplayer/mencoder.conf'. Las opciones específicas de usuario sobreescriben a las del sistema y a su vez las que se pasan por línea de comandos sustituyen a estas. La sintaxis del archivo de configuración es 'opción=<valor>', todo lo que haya después de un '#' es considerado un comentario. Las opciones que funcionan sin valores pueden ser activadas estableciendo su valor a 'yes' o '1' o 'true' y desactivadas estableciendo su valor a 'no' o '0' o 'false'. Incluso las subopciones pueden se especificadas de este modo.

También puede escribir ficheros de configuración para ficheros específicos. Si dispone de un archivo de configuración para un archivo llamado 'pelicula.avi' cree otro archivo llamado 'pelicula.avi.conf' con las opciones específicas y colóquelo en ~/.mplayer o en el mismo directorio que el fichero mientras use la opción -use-filedir-conf (tanto en la línea de comandos como en el fichero de configuración global).

EJEMPLO DE FICHERO DE CONFIGURACIÓN DE MPLAYER:

# Usar controlador de Matrox por defecto.
vo=xmga
# Me encanta practicar manualidades mientras veo vídeos.
flip=yes
# Decodificar/codificar múltiples archivos desde png,
# empezando con mf://mascaradearchivo
mf=type=png:fps=25
# Las imágenes en negativo son extrañamente bonitas.
vf=eq2=1.0:-0.8

EJEMPLO DE FICHERO DE CONFIGURACIÓN DE MENCODER:

# Establece la salida de Mencoder a un fichero por defecto.
o=encoded.avi
# Las 4 siguientes líneas permiten a mencoder tv:// comenzar la captura
# inmediatamente.
oac=pcm=yes
ovc=lavc=yes
lavcopts=vcodec=mjpeg
tv=driver=v4l2:input=1:width=768:height=576:device=/dev/video0:audiorate=48000
# conjunto de opciones por defecto más complejo.
lavcopts=vcodec=mpeg4:autoaspect=1
lameopts=aq=2:vbr=4
ovc=lavc=1
oac=lavc=1
passlogfile=pass1stats.log
noautoexpand=1
subfont-autoscale=3
subfont-osd-scale=6
subfont-text-scale=4
subalign=2
subpos=96
spuaa=20

PERFILES
Para facilitar el trabajo con diferentes configuraciones se pueden definir perfiles en los ficheros de configuración. Un perfil comienza con su nombre entre corchetes, p.e. '[mi-perfil]'. Todas las opciones que le sigan serán parte del perfil. Se puede definir una descripción (mostrada por -profile help) con la opción profile-desc. Para acabar el perfil, comience otro o use el nombre de perfil default para seguir con las opciones normales.

PERFIL DE EJEMPLO DE MENCODER:

[mpeg4]
profile-desc="Codificación MPEG4"
ovc=lacv=yes
lavcopts=vcodec=mpeg4:vbitrate=1200
[mpeg4-hq]
profile-desc="Codificación HQ MPEG4"
profile=mpeg4
lavcopts=mbd=2:trell=yes:v4mv=yes

OPCIONES GENERALES

-codecs-file <nombrearchivo> (Vea también -afm, -ac, -vfm y -vc.)
    Usa el archivo codecs.conf especificado en lugar del instalado por sistema o el interno.

-include <archivo de configuración>
    Archivo de configuración específico que se consultará después del que haya por defecto.

-list-options
    Saca por pantalla todas las opciones disponibles

-msgcharset <charset>
    Convierte los mensajes de la consola al conjunto de caracteres especificado (default: autodetect). El texto se codificará con el parámetro especificado con la opción de configuración --charset. Establézcalo a noconv para inhabilitar la conversión (por e.j. problemas con iconv ).
    NOTA: La opción tiene efecto después de que el analizador de la línea de comandos ha finalizado. La variable de entorno MPLAYER_CHARSET puede ayudarle a deshacerse de las primeras líneas de salida estropeada.

-msglevel <all=<nivel>:<módulo>=<nivel>:...>
    Controla la cantidad de mensajes para cada módulo. El módulo 'all' cambia la cantidad de mensajes para el resto de módulos no especificados en la línea de comandos. Vea '-msglevel help' para una lista de todos los módulos.
    NOTA: Los mensajes mostrados antes de que la línea de comandos haya sido analizada únicamente pueden ser controlados por la variable de entorno MPLAYER_VERBOSE que se aplica a todos los módulos.
    Niveles disponibles: completo silencio únicamente mensajes fatales mensajes de error mensajes de aviso mensajes de ayuda cortos mensajes de información mensajes de estado (aquellos ocultos por -quiet) mensajes prolijos. nivel de detección de errores 2 nivel de detección de errores 3 nivel de detección de errores 4

-quiet
    Hace que MPlayer muestre menos información; en particular oculta la línea de estado (i.e. A: 0.7 V: 0.6 A-V: 0.068 ...) que no será mostrada. Es particularmente útil en terminales lentos o donde no funciona bien el manejo del retorno de carro (i.e. \r).

-priority <prio> (sólo Windows)
    Establece la prioridad de acuerdo a un conjuto de prioridades predefinidas disponibles bajo Windows. Posibles valores de <prio>: idle|belownormal|normal|abovenormal|high|realtime

    AVISO: Usar la prioridad realtime puede causar un cuelgue del sistema.

-profile <perfil1,perfil2,...>
    Usa los perfiles dados, -profile muestra una lista con todos los perfiles definidos.

-really-quiet (vea también -quiet)
    Muestra incluso menos mensajes de salida y de estado que con la opción -quiet.

-show-profile <perfil>
    Muestra la descripción y el contenido de un perfil.

-use-filedir-conf
    Busca un fichero de configuración específico en el mismo directorio que el fichero que se va a reproducir.
    AVISO: Puede ser peligroso si se reproduce desde un lugar desconocido.

-v, -verbose
    Aumenta el nivel de prolijo, un nivel por cada -v encontrado en la línea de comandos.

OPCIONES DEL REPRODUCTOR (SOLO MPLAYER)

-autoq <calidad> (use con -vf [s]pp)
    Cambia dinámicamente el nivel de postprocesado dependiendo del tiempo de CPU disponible. El número que especifique será el máximo nivel usado. Lo normal es que pueda usar cualquier número grande. Deberá usar -vf [s]pp sin parámetros para que esto funcione.

-autosync <factor>
    Ajusta gradualmente la sincronización A/V basada en medidas de retardo de audio. Especificando -autosync 0, por defecto, causa que el tiempo de imágenes esté basado completamente en medidas de retardo de audio. Especificando -autosync 1 hará lo mismo, pero se se usará sutilmente el algoritmo de corrección de A/V. Un ratio de imágenes de video irregular que funciona bien con -nosound puede incluso mejorarse estableciendo este a un valor entero mayor que 1. Cuanto más alto sea el valor, más cerca se estará de la sincronización de -nosound. Pruebe -autosync 30 para suavizar problemas con controladores de sonido que no implementan una medida del retardo de audio perfecta.

    Con este valor, si ocurre un desplazamiento de sincronización A/V grande sólo pasarán 1 o 2 segundos hasta estabilizarse. Este retardo en tiempo de reacción a repentinos desplazamientos A/V debe ser el único efecto colateral de activar esta opción, para todos los controladores de sonido.

-benchmark
    Muestra algunas estadísticas en uso de CPU e imágenes eliminadas al final de la reproducción. Úselo en combinación con -nosound y -vo null para medida del rendimiento del codec de vídeo.
    NOTA: Con esta opción MPlayer ignorará la duración de las imágenes mientras reproduzca sólo vídeo (puede ver esto como un valor infinito de fps).

-colorkey <número>
    Cambia el colorkey a un valor RGB de su elección. 0x000000 es negro y 0xffffff es blanco. Solo soportado por los controladores de salida de video cvidix, fbdev, svga, vesa, winvidix, xmga, xvidix, xover, xv (vea -vo xv:ck), xvmc (vea -vo xv:ck) y directx.

-nocolorkey
    Desactiva el colorkeying. Sólo soportado por los controladores de salida de video cvidix, fbdev, svga, vesa, winvidix, xmga, xvidix, xover, xv (vea -vo xv:ck), xvmc (vea -vo xv:ck) y directx.

-correct-pts (experimental)
    Cambia MPlayer a un modo experimental en el que las marcas de tiempo para las imágenes de vídeo se calculan de una forma diferente y se soportan los filtros de vídeo que añaden nuevas imágenes o modifican las marcas de tiempo de los existentes. Se pueden ver las marcas de tiempo mas precisas por ejemplo cuando se reproducen subtítulos sincronizados a cambios de escena con la opción -ass. Sin -correct-pts seguramente la sincronización irá desplazada algunas imágenes. Esta opción no funciona correctamente con algunos demuxers y codecs.

-crash-debug (CÓDIGO DE DETECCIÓN DE ERRORES)
    Automáticamente añade gdb sobre un fallo o SIGTRAP. El soporte debe estar compilado añadiendo --enable-crash-debug en la fase de configurado.

-edlout <nombredearchivo> (EDL solamente)
    Crea un nuevo archivo y escribe lista de decisión de edición (EDL) al mismo. Durante la reproducción, cuando el usuario pulse 'i', una entrada para saltar los últimos dos segundos de reproducción será escrita al archivo. Esto proporciona un punto de partida para que el usuario pueda ajustar de manera fina las entradas de EDL después. Vea http://www.mplayerhq.hu/DOCS/HTML/en/edl.html para más detalles.

-enqueue (solo GUI)
    Encola los archivos dados en la línea de comandos en la lista de reproducción en lugar de reproducirlos inmediatamente.

-fixed-vo
    Fuerza un sistema de video fijo para múltiples archivos (una (des)inicialización para todos los archivos). Por lo tanto sólo se abrirá una ventana para todos los archivos. Actualmente los siguientes controladores funcionan bien con fixed-vo: gl, gl2, mga, svga, x11, xmga, xv, xvidix y dfbmga.

-framedrop (vea también -hardframedrop)
    Se salta la representación de algunas imágenes para mantener la sincronización A/V en sistemas lentos. Los filtros de vídeo no se aplican a estas imágenes. Para los marcos tipo B el proceso de decodificación es completamente saltado.

-(no)gui
    Habilita o inhabilita la interfaz gráfica (la acción por defecto depende del nombre del binario). Únicamente funciona si se usa como primer argumento de la línea de comandos. No funciona como opción en el fichero de configuración.

-h, -help, --help
    Muestra un pequeño sumario de las opciones.

-hardframedrop
    Salto mayor de imágenes (puede romper la decodificación). ¡Lleva a distorsiones de la imagen!

-identify
    Atajo para -msglevel identify=4. Muestra parámetros del archivo en un formato fácilmente analizable. También muestra información sobre los lenguajes y los IDs de los subtítulos y las pista de audio. En algunos casos puede obtener más información usando -msglevel identify=6. Por ejemplo, para un DVD mostrará la duración de cada título así como el ID del disco. El script wrapper TOOLS/midentify suprime todas las otras salidas de MPlayer y (con suerte) muestra los nombres de archivo.

-idle (vea también -slave)
    Hace que MPlayer espere en un modo ocioso en vez de salir cuando no hay un fichero para reproducir. Es útil sobretodo cuando se ejecuta MPlayer en modo esclavo y puede ser controlado a través de comandos de entrada.

-input <comandos>
    Esta opción puede usarse para configurar algunas partes del sistema de entrada. Las rutas son relativas a ~/.mplayer/.
    NOTA: Autorrepetición está soportada actualmente solo por palanca de juegos.

    Las órdenes disponibles son:

    Leer input.conf alternativo. Si no se da la ruta completa, se asume ~/.mplayer/<archivo>. Retardo en mseg antes de empezar a autorrepetir una tecla (0 para inhabilitar). Número de pulsaciones de tecla a generar por segundo en autorrepetición. Muestra todas las teclas a las que pueden asignarse órdenes. Muestra todas las órdenes para las que pueden asignarse teclas. Especifica el dispositivo de palanca de juegos a usar (por defecto: /dev/input/js0). Lee comandos desde el archivo dado. Esto es más útil con un fifo.
    NOTA: Cuando el fichero especificado es un fifo MPlayer lo abre de manera que pueda hacer 'echo "seek 10" > mp_pipe' y el pipe sigue siendo válido.

-key-fifo-size <2-65000>
    Espeficia el tamaño del FIFO que almacena eventos de teclado (default: 10). Un FIFO de tamaño n puede almacenar (n-1) eventos. Si es demasiado pequeño se pueden perder algunos eventos (conduciendo a "botones de ratón pegados" y efectos similares). Si es demasiado grande puede parecer que MPlayer se cuelga mientras procesa los eventos almacenados. Esta opción se introdujo para obtener el mimso comportamiento que antes, establézcalo a 2 para Linux o a 1024 para Windows.

-lircconf <archivo> (LIRC solamente)
    Especifica un archivo de configuración para LIRC (por defecto: ~/.lircrc).

-list-properties
    Imprime todas las propiedades disponibles.

-loop <número>
    Repite la reproducción de la película <número> veces. 0 significa para siempre.

-menu (menú OSD solamente)
    Activa soporte para menú OSD.

-menu-cfg <fichero> (menú OSD solamente)
    Usa un menu.conf alternativo.

-menu-root <valor> (menú OSD solamente)
    Especifica el menú principal. TP -menu-startup (menú OSD solamente) Muestra el menú principal al comienzo de ejecución.

-mouse-movements
    Permite a MPlayer recibir eventos del puntero enviados por el controlador de vídeo de salida (actualmente sólo los derivados de X11 están soportados). Es necesario para seleccionar los botones en los menús de los DVD.

-noconsolecontrols
    Previene que MPlayer lea eventos de teclado desde la entrada estándar. Útil cuando lea datos desde la entrada estándar. Esto se activa automáticamente cuando se encuentra - en la línea de órdenes. Se trata de situaciones donde debe establecerlo manualmente, por ejemplo si abre /dev/stdin (o el equivalente en su sistema), usa stdin en la lista de reproducción o va a leer desde stdin más tarde cargando un archivo o mediante órdenes de carga de archivo en modo esclavo.

-nojoystick
    Desactiva el soporte de joystick.

-nolirc
    Desactiva el soporte para LIRC.

-nomouseinput (X11 solamente)
    Inhabilita la entrada de pulsar/soltar botón del ratón (el menú contextual de mozplayerxp se basa en esta opción).

-rtc (RTC solamente)
    Activa el uso del RTC de Linux (realtime clock - /dev/rtc) como mecanismo de sincronización. Esto despierta el proceso cada 1/1024 para comprobar el tiempo actual. Es inútil con los kernels modernos de Linux configurados para escritorio ya que ellos despiertan el proceso con una precisión similar cuando usan el proceso normal de sueño.

-playlist <archivo>
    Reproduce archivos de acuerdo a una lista de reproducción (ASX, Winamp, SMIL, o 1 archivo por línea).
    NOTA: Esta opción es considerada una entrada como entrada par alas opciones que después se aplican solo a los elementos de esta lista de reproducción.
    FIXME: Esto deber aclararse mejor.

-playing-msg <cadena>
    Imprime una cadena antes de empezar la reproducción. Las siguientes expansiones están soportadas. Expande el valor de la propiedad NAME. Expande TEXT sólo si la propiedad nombre esta disponible.

-rtc-device <dispositivo>
    Usa el dispositivo especificado para la temporización RTC.

-shuffle
    Reproduce archivos en orden aleatorio.

-skin <nombre> (sólo GUI)
    Carga un skin del directorio dado como parámetro bajo el directorio por defecto para los skins, /usr/local/share/mplayer/ y ~/.mplayer/skins/.

    EJEMPLO: Intenta usar /usr/local/share/mplayer/skins/fittyfene y después ~/.mplayer/skins/fittyfene.

-slave (vea también -input)
    Usa el modo esclavo en el cual MPlayer trabaja como backend para otros programas. En lugar de interceptar eventos de teclado, MPlayer leerá órdenes de stdin.
    NOTA: Vea DOCS/tech/slave.txt y -input cmdlist para una lista de órdenes como esclavo.

-softsleep
    Usa temporizadores software de alta calidad en lugar del RTC. Tan preciso como RTC sin requerir privilegios especiales. Se paga el precio de un consumo alto de CPU.

-sstep <seg>
    Muestra cada imagen durante <seg> segundos. Útil para presentaciones.

OPCIONES DE DEMUXER/STREAM

-a52drc <nivel>
    Elige el nivel de Rango Dinámico de Compresión para flujos de audio AC3. <nivel> es un valor en coma flotante en rango de 0 a 1, donde 0 significa sin compresión y 1 (que es el valor por defecto) significa compresión máxima (hace las partes ruidosas más silenciosas y viceversa). Esta opción solo muestra un efecto si el flujo AC3 contiene la información del rango de compresión requerido.

-aid <id> (vea también -alang)
    Selecciona canal de audio (MPEG: 0-31 AVI/OGM: 1-99 ASF/RM: 0-127, VOB(AC3): 128-159 VOB(LPCM): 160-191 MPEG-TS 17-8190). MPlayer imprime los IDs disponibles cuando se ejecuta en modo prolijo (-v). Cuando se reproducen flujos MPEG-TS, MPlayer/MEncoder usará el primer programa (si está presente) con el flujo de audio elegido.

-alang <código de país,[código de país, ...]> (vea también -aid)
    Especifica una lista de prioridades de lenguaje de audio a usar. Diferentes formatos de contención usan diferentes códigos de lenguaje. Los DVDs usan ISO 639-1 códigos de lenguaje de dos letras, Matroska, MPEG-TS y NUT use ISO 639-2 códigos de lenguaje de tres letras, mientras OGM usa un identificador libre Mplayer imprime los lenguajes disponibles cuando se ejecuta en modo prolijo Selecciona el idioma de audio para el DVD y siempre intenta reproducir pistas cuyo lenguaje coincide con el código dado. MPlayer muestra una lista de los idiomas disponibles cuando se ejecuta en modo prolijo (-v).

    EJEMPLO: Reproduce en Español y cambia a Inglés si el Español no está disponible. Reproduce un fichero Matroska en japonés.

-audio-demuxer <número> (-audiofile sólo)
    Fuerza el tipo de audio demuxer para -audiofile. Use un '+' delante del nombre para forzarlo, ¡esto evitará algunos chequeos!. Pásele al demuxer uno de los nombres de la lista imprimida por -audio-demuxer help. Por compatibilidad con versiones anteriores también acepta el ID del demuxer como se define en libmpdemux/demuxer.h -audio-demuxer audio o -audio-demuxer 17 fuerza MP3.

-audiofile <nombredearchivo>
    Reproduce audio desde un archivo externo (WAV, MP3 u Ogg Vorbis) mientras visualiza una película.

-audiofile-cache <kBytes>
    Habilita caché para el flujo usado por -audiofile, usando la cantidad especificada de memoria.

-bandwidth <valor> (red solamente)
    Especifica el máximo ancho de banda para el streaming de red (para servidores que son capaces de enviar contenido en diferentes bitrates). Útil si quiere ver contenido multimedia en vivo desde una conexión lenta. Con streaming Real RTSP, también se usa para establecer ancho de banda máximo de envío, permitiendo un relleno de la cache más rápido y un volcado del stream.

-cache <kBytes>
    Esta opción especifica cuanta memoria se usará (en kBytes) cuando se rellene la cache para reproducir un fichero o una URL. Especialmente útil para medios lentos.

-cache-min <porcentaje>
    La reproducción comenzará cuando el umbral de relleno de caché establecido con esta opción se alcance.

-cache-seek-min <porcentaje>
    Si se tiene que realizar una búsqueda a una posición dentro de porcentaje del tamaño de la cache desde la posición actual, MPlayer esperará a que se llene la cache hasta esa posición en vez de realizar una búsqueda en el flujo (por defecto: 50).

-cdda <opción1:opción2> (CDDA solamente)
    Esta opción puede ser usada para ajustar la lectura de AUDIO-CD de MPlayer.

    Las opciones disponibles son: Establece la velocidad del CD. Establece el nivel de paranoia. Otro valor que no sea 0 parece que impide la reproducción de cualquier cosa excepto la primera pista. 0: desactiva la comprobación (por defecto)
    1: solapa la comprobación solamente
    2: corrección y verificación completa Usa dispositivo genérico SCSI especificado. tamaño de lectura atómico Fuerza el mínimo solapamiento de búsqueda durante la verificación a <valor> sectores. Asume que el desplazamiento inicial de la pista 1 como viene dada en el TOC será direccionada como LBA 0. Algunas unidades Toshiba necesitan esto para obtener los límites de las pistas correctamente. Añade <valor> sectores a los valores reportados cuando se direccionan pistas. Puede ser negativo. (Nunca) aceptar reconstrucción imperfecta de datos.

-cdrom-device <ruta al dispositivo>
    Especifica el dispositivo de CD-ROM (por defecto: /dev/cdrom).

-channels <número> (vea también -af canales)
    Cambia el número de canales de reproducción (por defecto: 2). MPlayer pide al decodificador que decodifique el audio en tantos canales como se hayan especificado. Entonces depende del decodificador cumplir con la petición. Normalmente sólo es importante cuando se reproducen vídeos con audio AC3 (como los DVDs). En ese caso la liba52 realiza la decodificación por defecto y mezcla correctamente el audio en el número de canales que se han pedido. Para controlar directamente el número de canales de salida independientemente de canales que han sido decodificados, use el filtro de canales
    NOTA: Esta opción es agradecida por los codecs (AC3 solo), filtros (surround) y controladores ao (al menos OSS).

    Las opciones disponibles son:

    stereo surround 5.1 completo

-chapter <id del capítulo>[-<id capítulo final>] (dvd:// y dvdnav:// solamente)
    Especifica qué capítulo se empieza a reproducir. Opcionalmente se especifica en qué capítulo se termina la reproducción (por defecto: 1).

-cookies (red solamente)
    Envía cookies cuando hace peticiones HTTP.

-cookies-file <nombre de archivo> (red solamente)
    Lee cookies HTTP desde el archivo <nombre de archivo>(por defecto: ~/.mozilla/ y ~/.netscape/) en lugar de leer desde las ubicaciones por defecto. Se supone que el archivo está en formato de Netscape.

-delay <sec>
    Establece el retraso en segundos (valor real positivo o negativo).
    NOTA: Cuando se usa con MEncoder, no se garantiza que funcione correctamente con -ovc copy; use -audio-delay en su lugar.

-ignore-start
    Ignora el tiempo de comienzo especificado para flujos en ficheros AVI. Con MPlayer esto anula los retrasos en los flujos de los ficheros codificados con la opción -audio-delay. Durante la codificación, esta opción previene que MEncoder transfiera los tiempos de comienzo del flujo original al nuevo fichero; la opción -audio-delay no se ve afectada. Tenga en cuenta que a veces MEncoder ajusta los tiempos de comienzo del flujo automáticamente para compensar con anticipación retrasos debidos a la codificación así que no use esta opción para codificar sin haberla probado primero.

-demuxer <[+]nombre>
    Fuerza el tipo de demuxer. Use un '+' delante del nombre para forzarlo, ¡esto evitará algunas comprobaciones!. Pásele al demuxer uno de los nombres de la lista imprimida por -demuxer help. Por compatibilidad con versiones anteriores también acepta el ID del demuxer como se define en libmpdemux/demuxer.h -demuxer audio o -demuxer 17 fuerza MP3.

-dumpaudio (MPlayer solamente)
    Vuelca audio comprimido raw a ./stream.dump (útil con MPEG/AC3), en la mayoría del resto de casos el fichero resultante no será reproducible si utiliza más de un -dumpaudio, -dumpvideo, -dumpstream en la línea de comandos sólo funcionará el último que haya sido especificado.

-dumpfile <nombredelarchivo> (MPlayer solamente)
    Especifica en qué archivo debe volcar la salida MPlayer. Debe ser usado junto con -dumpaudio / -dumpvideo / -dumpstream.

-dumpstream (MPlayer solamente)
    Vuelca el flujo raw a ./stream.dump. Útil cuando se ripea desde DVD o red. Si utiliza más de un -dumpaudio, -dumpvideo, -dumpstream en la línea de comandos sólo funcionará el último que haya sido especificado.

-dumpvideo (MPlayer solamente)
    Vuelca flujo de vídeo comprimido raw a ./stream.dump (no es muy usable). Si utiliza más de un -dumpaudio, -dumpvideo, -dumpstream en la línea de comandos sólo funcionará el último que haya sido especificado.

-dvbin <opciones> (DVB solamente)
    Pasa los siguientes parámetros al módulo de entrada de DVB, para no usar los valores por defecto:

    Especifica el número de tarjeta usada 1-4 (por defecto: 1). Ordena a MPlayer que lea los canales desde la lista <archivo>. Por defecto es ~/.mplayer/channels.conf.{sat,ter,cbl} (basado en su tipo de tarjeta) o ~/.mplayer/channels.conf como última opción. Número máximo de segundos a esperar cuando configurar una frecuencia antes de darse por vencido (por defecto: 30).

-dvd-device <ruta al dispositivo> (DVD solamente)
    Especifica el dispositivo de DVD (por defecto: /dev/dvd). También puede especificar un directorio que contenga los ficheros copiados previamente directamente de un DVD (con p.e. vobcopy). Tenga en cuenta que usar -dumpstream es normalmente una forma mejor para copiar los títulos del DVD en primer lugar (vea los ejemplos).

-dvd-speed <factor o velocidad en KB/s> (DVD solamente)
    Intenta limitar la velocidad del DVD (por defecto: 0, sin cambios). La velocidad base del DVD 1350KB/s, así que un lector 8x puede leer a velocidades hasta 10800KB/s. Velocidades más pequeñas hacen la unidad más silenciosa, para ver DVDs 2700KB/s debería ser suficientemente rápido y silencioso. MPlayer resetea la velocidad del dispositivo a la velocidad por defecto al cerrarse p.e. -dvd-speed 8 seleciona 10800KB/s.
    NOTA: Se necesita acceso de escritura al dispositivo de DVD para poder cambiar la velocidad.

-dvdangle <ángulo id> (DVD solamente)
    Algunos discos DVD contienen escenas que pueden verse desde múltiples ángulos. Aquí puede usted decirle a MPlayer qué ángulos desea usar (por defecto: 1).

-edl <nombredearchivo>
    Habilita acciones de edición de lista de decisión (EDL) durante la reproducción. El video puede ser saltado y el audio silenciado y activado de acuerdo a unas entradas dadas en el archivo. Vea http://www.mplayer-hq.hu/DOCS/HTML/en/edl.html para detalles sobre como usar esta característica.

-endpos <[[hh:]mm:]ss[.ms]|tamaño[b|kb|mb]> (vea también -ss y -sb)
    Para en un tiempo o tamaño dado.
    NOTA: La posición por tamaño sólo está habilitada para MEncoder y no será precisa, ya que únicamente puede parar en un límite del frame. Cuando se usa en conjunción con la opción -ss, el tiempo especificado por -endpos se adelantará los segundos indicados por -ss.

    EJEMPLOS: Para a los 56 segundos. Para a la hora y 10 minutos. Para al minuto y 6 segundos. Sólo codifica 100 MB.

-forceidx
    Fuerza la reconstrucción del índice. Útil para archivos con índice mal (desincronización A/V, etc). Activa la posibilidad de búsquedas en archivos donde no era posible. Puede arreglar el índice permanentemente con MEncoder (vea la documentación).
    NOTA: Esta opción solo funciona si el dispositivo soporta búsquedas (p.e. no se puede usar con stdin, pipe, etc).

-fps <valor en coma flotante>
    Sobreescribe la tasa de imágenes por segundo. Útil si el valor original es incorrecto o no existe.

-frames <número>
    Reproduce/convierte solo los primeros <número> frames, y luego termina.

-hr-mp3-seek (MP3 solamente)
    Posicionamiento MP3 de alta resolución. Activo cuando se reproduce desde un archivo MP3 externo, y se necesita búsqueda en una posición concreta para mantener la sincronización A/V. Puede ser lento especialmente cuando se posiciona hacia atrás - tiene que rebobinar hasta el principio para encontrar el marco exacto.

-idx (vea también -forceidx)
    Reconstruye el índice de los archivos en los que no se encuentra, permitiendo búsquedas. Es útil con descargas rotas/incompletas, o archivos que están mal creados.
    NOTA: Esta opción solo funciona si el medio soporta búsquedas (p.e. no con stdin, pipe, etc).

-ipv4-only-proxy (red solamente)
    Se salta el proxy para direcciones IPv6. Sigue siendo usado para conexiones IPv4.

-loadidx <archivo índice>
    El archivo desde el que se leerán los datos de índice del video guardados con -saveidx. Este índice se usará para las búsquedas, usándose con preferencia ante los datos de índice contenidos en el archivo AVI. MPlayer no intentará evitar que se cargue un archivo de índice generado desde un AVI diferente, pero tenga por seguro que causará resultados no favorables.
    NOTA: Esta opción es obsoleta ahora que MPlayer tiene soporte para OpenDML.

-mc <segundos/marco>
    Máxima sincronización A-V por marco (en segundos).

-mf <opción1:opción2:...>
    Usado cuando se decodifica de archivo múltiple de PNG o JPEG.

    Las opciones disponibles son:

    ancho de salida (autodetectado) alto de salida (autodetectado) fps de la salida (por defecto: 25) tipo de archivos de salida (disponibles: jpeg, png, tga, sgi)

-ni (AVI solamente)
    Fuerza el uso de analizador de AVI no-entrelazado (corrige la reproducción de archivos AVI en mal estado).

-nobps (AVI solamente)
    No usa un valor medio de bytes/seg para sincronización A-V. Ayuda con algunos archivos AVI que tienen la cabecera en mal estado.

-noextbased
    Invalida la selección del demuxer basada en extensión del nombre de archivo. Por defecto, cuando un tipo de archivo (demuxer) no puede ser detectado con fiabilidad (el archivo no tiene cabecera o no es demasiado fiable), la extensión del nombre del archivo es usada para seleccionar el demuxer. Siempre se intenta comprobar la selección por el contenido del archivo.

-passwd <contraseña> (vea también la opción -user) (red solamente)
    Especifica una contraseña para autenticación HTTP.

-prefer-ipv4 (red solamente)
    Usa IPv4 en las conecciones de red. Si falla, usa IPv6 automáticamente.

-prefer-ipv6 (red solamente)
    Usa IPv6 para las conecciones de red. Si falla, usa IPv4 automáticamente.

-pvr <opción1:opción2:...> (solamente PVR)
    Esta opción ajusta varias opciones del módulo de captura PVR. Tiene que usarse con cualquier hardware codificador MPEG soportado por el driver V4L2. Se conoce que funciona con Hauppauge WinTV PVR-150/250/350/500 y todas las tarjetas basadas en IVTV. Tenga en cuenta que sólo los kernels de Linux 2.6.18 y superiores pueden manejar flujos MPEG a través de la capa V4L2. Para la captura y visionado de un flujo MPEG por hardware con MPlayer,MEncoder use 'pvr://' como la url de la película.

    Las opciones disponibles son: Especifica el ratio de la entrada: 0: 1:1
    1: 4:3 (por defecto)
    2: 16:9
    3: 2.21:1 Especifica el ratio de codificación del audio (por defecto: 48000 Hz, disponibles: 32000, 44100 y 48000 Hz). Especifica la capa de codificación MPEG para el audio (por defecto: 2). Especifica el bitrate de codificación del audio (por defecto: 384). Especifica el modo de codificación del audio. Los posibles valores son: 'stereo', 'joint_stereo', 'dual' y 'mono' (por defecto: stereo). Especifica el valor medio del bitrate de la codificación de vídeo (por defecto: 6). Especifica el valor de codificación de vídeo. vbr: BitRate variable (por defecto)
    cbr: BitRate constante Escoge un formato MPEG para la codificación ps: MPEG-2 Flujo de programa (por defecto)
    ts: MPEG-2 Flujo de transporte
    mpeg1: MPEG-1 Flujo de sistema
    vcd: Flujo compatible con Video CD
    svcd: Flujo compatible con Super Video CD
    dvd: Flujo compatible con DVD

-rawaudio <opción1:opción2:...>
    Esta opción le permite reproducir archivos de audio raw, debe usarse junto con la opción -demuxer rawaudio. También puede usarse para reproducir audio CDs que no son 44KHz 16-bit estéreo. Para reproducir flujos crudos AC3 use -rawaudio on:format=0x2000.

    Las opciones disponibles son:

    número de canales razón en muestras por segundo tamaño de la muestra en bytes tasa de bits para archivos rawaudio fourcc en hexadecimal

-rawvideo <opción1:opción2:...>
    Esta opción le permite reproducir vídeos raw, debe usarse junto con la opción -demuxer rawvideo.

    Las opciones disponibles son:

    razón en imágenes por segundo (por defecto: 25.0) establece tamaño estandar de imagen ancho de la imagen en píxeles alto de la imagen en píxeles image height in pixels establece espacio de color espacio de color (fourcc) en hexadecimal tamaño de marco en Bytes

    EJEMPLOS:
Reproduce el famoso vídeo de ejemplo "foreman". Reproduce un ejemplo como raw YUV.

-rtsp-port
    Usado junto con URLs 'rtsp://' para forzar el número de puerto del cliente. Esta opción puede ser útil si esta detrás de un router y quiere dirigir el flujo RTSP desde el servidor a un cliente específico.

-rtsp-destination
    Usado junto con URLs 'rtsp://' para forzar la dirección IP de destino a la que estar asociada. Esta opción puede ser útil para algunos servidores RTSP que no mandan paquetes RTP a la interfaz adecuada. Si la conexión al servidor RTSP falla, use la opción -v para ver a que dirección IP está intentando asociarse MPlayer y trate de forzar la asociación con una IP asignada a su ordenador en su lugar.

-rtsp-stream-over-tcp (LIVE555 solamente)
    Usado con URLs 'rtsp://' para especificar que los paquetes entrantes RTP y RTCP serán enviados a través de TCP (usando la misma conección TCP como RTSP). Esta opción puede ser útil si dispone de una mala conección a internet que no acepta paquetes UDP entrantes (vea http://www.live555.com/mplayer/).

-saveidx <archivo>
    Fuerza la reconstrucción del índice y vuelca el índice a <archivo>. Actualmente solo funciona con archivos AVI.
    NOTA: Esta opción es obsoleta ahora que MPlayer tiene soporte para OpenDML.

-sb <posición del byte> (vea también la opción -ss)
    Se posiciona en el byte indicado. Útil para reproducir desde imágenes de CD-ROM / archivos VOB con cosas al principio.

-speed <0.01-100>
    Acelera o ralentiza la reproducción por el factor pasado como parámetro. No se garantiza que funcione correctamente con la opción -oac copy.

-srate <Hz>
    Elige la tasa de muestreo de salida (por supuesto las tarjetas de sonido tienen limitaciones al respecto). Si la frecuencia seleccionada difiere de la existente en el medio seleccionado se insertará un filtro de audio de resample o lavcresample para compensar la diferencia. El tipo de resampleo puede ser controlado por la opción -af-adv. La opción por defecto es usar el resampleo rápido que puede causar cierta distorsión.

-ss <tiempo> (vea también la opción -sb)
    Se posiciona en el tiempo indicado.

    EJEMPLO: Se posiciona en 56 segundos. Se posiciona en 1 hora 10 minutos.

-tskeepbroken
    Le dice a MPlayer que no descarte paquetes TS detectados como no válidos en el medio que se esté reproduciendo. Algunas veces es necesario para reproducir archivos MPEG-TS corruptos.

-tsprobe <posición byte>
    Durante la reproducción de MPEG-TS, esta opción le permite especificar cuántos bytes quiere que MPlayer busque para los pids de audio y video deseados.

-tsprog <1-65534>
    Mientras se reproducen flujos MPEG-TS, puede especificar con ésta opción que programa (si está presente) desea reproducir. Puede ser usada con -vid y -aid.

-radio <opción1:opción2:...> (solamente radio)
    Esta opción ajusta varias propiedades del módulo de captura de radio. Para oír la radio con MPlayer use 'radio://frecuencia' (si la opción de canales no está dada) o 'radio://<número_canal>' (si la opción de canales está dada) como una URL de película. Puede ver el rango de frecuencias permitidas ejecutando MPlayer con la opción '-v'. Para iniciar el subsistema de grabación, use 'radio://<frecuencia o canal>/capture'. Si no se usa la palabra clave capture usted sólo puede escuchar la radio usando el cable de entrada. Usar la opción de captura para escuchar la radio no es nada recomendable debido a problemas de sincronización que hacen que el proceso no sea nada confortable.

    Las opciones disponibles son: Dispositivo de radio a usar (por defecto: /dev/radio0 para Linux y /dev/tuner0 para *BSD). Driver de radio a usar (por defecto: v4l2 si está disponible, en otro caso v4l). Volumen de sonido para el dispositivo de radio (por defecto: 100). Frecuencia mínima permitida (por defecto: 87.50). Frecuencia máxima permitida (por defecto: 108.00). Fija la lista de canales. Use _ para los espacios en los nombres, los canales entonces los nombres serán escritos usando OSD y los comandos slave radio_step_channel y radio_set_channel se podrán usar con un control remoto (vea también LIRC). Si se especifica la opción, un número en la URL de la película será tratado como una posición en la lista de canales.
    EJEMPLO: radio://1, radio://104.4, radio_set_channel 1 Nombre del dispositivo desde el que grabar. Sin este valor la grabación estará desactivada incluso si la palabra clave capture aparece en la URL. Para dispositivos ALSA use el nombre en la forma de hw=<tarjeta>.<dispositivo>. Si el nombre del dispositivo contiene un '=', el módulo usará ALSA para grabar, en cualquier otro caso usará OSS. Tasa en muestras por segundo (por defecto: 44100).
    NOTA: Cuando use la captura de audio establezca también la opción -rawaudio rate=<valor> con el mismo valor que arate. Si tiene problemas con la velocidad del sonido (va demasiado deprisa), pruebe cambiando el valor de la tasa (p.e. 48000,44100,32000,...). Número de canales de audio que desea grabar.

-tv <opción1:opción2:...> (TV solamente)
    Esta opción ajusta varias propiedades del módulo de captura de TV. Para ver la TV con MPlayer, use 'tv://' o 'tv://<número_canal>' o incluso 'tv://<nombre_canal> (vea la opción canales para nombre_canal más abajo) como una URL de película.

    Las opciones disponibles son: sin sonido disponibles: dummy, v4l, v4l2, bsdbt848 Especifica el dispositivo de TV (por defecto: /dev/video0). Especifica la entrada (por defecto 0 (TV) (vea la salida en consola para ver las entradas disponibles) Especifica la frecuencia a establecer en el sintonizador (p.e. 511.250). No compatible con el parámetro de los canales. Especifica el formato de salida del sintonizador con un valor preestablecido soportado por el controlador V4L (yv12, rgb32, rgb24, rgb16, rgb15, uyvy, yuy2, i420) o un formato arbitrario dado como valor hexadecimal. Pruebe outfmt=help para una lista de todos los formatos disponibles. anchura de la ventana de salida altura de la ventana de salida razón de captura de video (imágenes por segundo) tamaño máximo del buffer de captura en megabytes (por defecto: dinámico) disponible: PAL, SECAM, NTSC. Para v4l2 use la opción normid de más abajo. Vea la salida de MPlayer para una lista de normas de TV. disponibles. Coloca el sintonizador en el canal <valor>. disponibles: argentina, australia, china-bcast, europe-east, europe-west, france, ireland, italy, japan-bcast, japan-cable, newzealand, russia, southafrica, us-bcast, us-cable, us-cable-hrc Establece el nombre para los canales. Use _ para espacios en los nombres (o juegue con las comillas ;-). Los nombres de canal serán escritos usando OSD, y las órdenes tv_step_channel, tv_set_channel y tv_last_channel estarán disponibles usando un mando a distancia (vea LIRC). No compatible con el parámetro de frecuencia.
    NOTA: El número de canal debe ser la posición en la lista de 'canales', comenzando con 1.
    EJEMPLO: tv://1, tv://TV1, tv_set_channel 1, tv_set_channel TV1 Establece la ecualización de imagen para la tarjeta. Establece la razón de captura de audio. Captura audio incluso si no hay origen de audio reportado por v4l. Captura desde ALSA. Selecciona un modo de audio: 0: mono
    1: stereo
    2: idioma 1
    3: idioma 2 Por defecto, la cuenta de canales de audio grabados es determinada automáticamente preguntando el modo de audio a la tarjeta de TV. Esta opción permite forzar grabación estéreo/mono sin importar la opción amode y los valores devueltos por v4l. Esto puede ser usado para solucionar problemas cuando la tarjeta de tv no es capaz de informar del modo de audio actual. Establece el dispositivo de sonido. <valor> debe ser /dev/xxx para OSS y un ID hardware para ALSA. Vea la documentación de -ao alsa para saber cómo especificar el ID hardware. Elije la salida de audio de la tarjeta capturadora, si tiene más de una. Estas opciones establecen los parámetros del mezclador en la tarjeta de captura de vídeo. No tiene efecto si la tarjeta no tiene uno. Para v4l2 50 mapea el valor por defecto de control, como es reportado por el controlador. Un valor de 0 significa captura y buffer de audio y video juntos (por defecto para MEncoder). Un valor de 1 (por defecto para MPlayer) significa que la captura de video va sola y deja la captura de audio a través del cable de realimentación que se conecta desde la tarjeta de TV a la tarjeta de sonido. Usa compresión MJPEG por hardware (si la tarjeta lo soporta). Usando esta opción, no necesita especificar la anchura y altura de la ventana de salida, porque mplayer la determinará automáticamente desde el valor de decimación (vea más abajo). elije el tamaño de la imagen que será comprimida por compresión MJPEG por hardware: 1: tamaño completo
        704x576 PAL
        704x480 NTSC
    2: tamaño medio
        352x288 PAL
        352x240 NTSC
    4: tamaño pequeño
        176x144 PAL
        176x120 NTSC Elije la calidad de la compresión JPEG. (calidad < 60 recomendada para tamaño completo).

-user <nombre de usuario> (vea también la opción -passwd) (red solamente)
    Especifica un nombre de usuario para autenticación HTTP.

-user-agent <cadena>
    Usa la cadena como User-Agent para el flujo HTTP. -vid <id> Selecciona el canal de video (MPG: 0-15 ASF: 0-255 MPEG-TS: 17-8190). Cuando se reproducen flujos MPEG-TS, MPlayer/MEncoder usará el primer programa (si está presente) con el flujo de video elegido.

-vivo <sub-opciones> (CÓDIGO EN PRUEBAS)
    Fuerza parámetros de audio para el demuxer VIVO (para pruebas).

OPCIONES OSD/SUB
NOTA: Vea también -vf expand.

-ass (solamente FreeType)
    Activa el renderizado de subtítulos SSA/ASS. Con esta opción se usará libass para los subtítulos externos SSA/ASS y las pistas Matroska. Puede que también quiera usar la opción -embeddedfonts.

-ass-border-color <valor>
    Establece el color del borde (contorno) para el texto de los subtítulos El formato del color es RRGGBBAA.

-ass-bottom-margin <valor>
    Añade una banda negra en la parte inferior de la imagen. El renderizador SSA/ASS puede poner los subtítulos ahí (con -ass-use-margins).

-ass-color <valor>
    Establece el color del texto de los subtítulos El formato del color es RRGGBBAA.

-ass-font-scale <valor>
    Establece el coeficiente de la escala que se usará para las fuentes en el renderizador SSA/ASS.

-ass-force-style <[Estilo.]Parámetro=Valor[,...]>
    Sobreescribe algunos parámetros de estilo.

    EJEMPLO: -ass-force-style FontName=Arial,Default.Bold=1

-ass-line-spacing <valor>
    Establece el valor del espaciado de línea para el renderizador SSA/ASS.

-ass-styles <nombre_de_fichero>
    Carga todos los estilos SSA/ASS encontrados en el fichero y los usa para renderizar los subtítulos. La sintaxis del fichero es exactamente como la sección [V4 Styles] / [V4+ Styles] de SSA/ASS.

-ass-top-margin <valor>
    Añade una banda negra en la parte superior de la imagen. El renderizador SSA/ASS puede poner los subtítulos ahí (con -ass-use-margins).

-ass-use-margins
    Habilita/Inhabilita el uso de subtítulos inferiores y superiores en los bordes negros cuando estan disponibles (por defecto: no).

-dumpjacosub (MPlayer solamente)
    Convierte el subtítulo dado (especificado con la opción -sub) al formato de subtítulo basado en tiempo JACOsub. Crea un archivo dumpsub.js en el directorio actual.

-dumpmicrodvdsub (MPlayer solamente)
    Convierte el subtítulo dado (especificado con la opción -sub) al formato de subtítulos MicroDVD. Crea un archivo dumbsub.sub en el directorio actual.

-dumpmpsub (MPlayer solamente)
    Convierte el subtítulo dado (especificado con la opción -sub) al formato de subtítulos de MPlayer, MPsub. Crea un archivo dump.mpsub en el directorio actual.

-dumpsami (MPlayer solamente)
    Convierte el subtítulo dado (especificado con la opción -sub) al formato de subtítulo basado en tiempo SAMI. Crea un archivo dumpsub.smi en el directorio actual.

-dumpsrtsub (MPlayer solamente)
    Convierte el subtítulo dado (especificado con la opción -sub) al formato de subtítulo basado en tiempo SubViewer (SRT). Crea un archivo dumpsub.srt en el directorio actual.
    NOTE: Algunos reproductores hardware se paran con ficheros de subtítulos SRT que usan acabados de línea Unix. Si es tan desafortunado de poseer uno de esos aparatos, pase los ficheros de subtítulos a través de unix2dos o algún programa similar para sustituir los acabados de líneas Unix por acabados de líneas DOS/Windows.

-dumpsub (solamente MPlayer) (CÓDIGO BETA)
    Vuelca el flujo de subtítulo desde archivos VOB Vea también las opciones -dump*sub y -vobsubout*.

-embeddedfonts (solamente FreeType)
    Habilita la extracción de las fuentes incrustadas Matroska (por defecto: desactivado) Estas fuentes pueden ser usadas para el renderizado de subtítulos SSA/ASS (opción -ass) Los ficheros de las fuentes se crean en el directorio ~/.mplayer/fonts
    NOTA: Con FontConfig 2.4.2 o superior, las fuentes incrustadas se abren directamente desde la memoria y esta opción está activada por defecto.

-ffactor <número>
    Muestreo mapa alpha de la tipografía. Puede ser: tipografía plana blanca línea exterior negra muy fina (por defecto) línea exterior negra fina línea exterior negra gruesa

-flip-hebrew (FriBiDi solamente)
    Activa inversión de subtítulos usando FriBiDi.

-noflip-hebrew-commas
    Cambia la presuposición de FriBiDi sobre la posición de las comas en los subtítulos, Use esta opción si las comas en los subtítulos se ven al principio de la frase en vez de al final.

-font <ruta a archivo font.desc>
    Búsqueda de tipografías OSB/SUB en un directorio alternativo (por defecto para tipografías normales: ~/.mplayer/font/font.desc, por defecto para tipografías FreeType: ~/.mplayer/subfont.ttf).
    NOTA: Con FreeType, esta opción determina la ruta al archivo de tipografía de texto.
    Con fontconfig, esta opción determina el nombre de la tipografía de fontconfig.

    EJEMPLO: -font ~/.mplayer/arial-14/font.desc
    -font ~/.mplayer/arialuni.ttf
    -font 'Bitstream Vera Sans'

-fontconfig (fontconfig solamente)
    Habilita el uso de tipografías administradas por fontconfig.

-forcedsubsonly
    Muestra solo subtítulos forzados para el flujo de subtítulos de DVD seleccionado, p.e. -slang.

-fribidi-charset <nombre de conjunto de caracteres> (FriBiDi solamente)
    Especifica el conjunto de caracteres que será pasado a FriBiDi cuando se decodifiquen subtítulos no-UTF8 (por defecto: ISO8859-8).

-ifo <archivo VOBsub ifo>
    Indica el archivo que debe ser usado para cargar el tamaño de paleta y marco de subtítulos VOBsub.

-noautosub
    Desactiva carga automática de archivos de subtítulo.

-osd-duration <time>
    Establece la duración de los mensajes OSD en ms (por defecto: 1000).

-osdlevel <0-3> (MPlayer solamente)
    Especifica en qué modo de OSD se debe iniciar. solamente subtítulos volumen + posicionamiento (por defecto) volumen + posicionamiento + tiempo + porcentaje volumen + posicionamiento + tiempo + porcentaje + tiempo total

-overlapsub
    Permite que el siguiente subtítulo sea mostrado mientras el actual está aún visible (por defecto esto está habilitado solo para formatos específicos).

-sid <ID> (vea también la opción -slang, -vobsubid)
    Muestra los subtítulos de DVD en el idioma especificado por <ID> (0-31). MPlayer muestra la lista de idiomas disponibles cuando se ejecuta en modo prolijo (-v). Si no puede seleccionar uno de los subtítulos en un DVD, pruebe también con -vobsubid.

-slang <código de país[,código de país,...]> (vea también -sid)
    Especifica una lista de idiomas de subtítulos a usar. Diferentes formatos de contención usan diferentes códigos de lenguaje. Los DVDs usan ISO 639-1 códigos de lenguaje de dos letras, Matroska, MPEG-TS and NUT use ISO 639-2 códigos de lenguaje de tres letras, mientras OGM usa un identificador libre MPlayer muestra la lista de idiomas disponibles cuando se ejecuta en modo prolijo (-v).

    EJEMPLO: Selecciona Español y vuelve a Inglés si el Español no está disponible. Reproduce un fichero Matroska con subtítulos en japonés.

-spuaa <modo>
    Modo antialias/escalado para DVD/VOBsub. Un valor de 16 puede añadirse al <modo> para forzar escalado incluso cuando la imagen original y la escalada coinciden en tamaño. Puede emplearse por ejemplo para suavizar subtítulos cuando se usa difuminado gaussiano. Los modos disponibles son: ninguno (el más rápido, muy feo) aproximado (¿roto?) completo (lento) bilineal (por defecto, rápido y no demasiado malo) usa difuminado gaussiano swscaler (se ve bastante bien)

-spualign <-1-2> (OSD solamente)
    Especifica cómo deben alinearse los subtítulos SPU (DVD/VOBsub). posición original alineado arriba (comportamiento original/por defecto) alineado al centro alineado abajo

-spugauss <0.0-3.0> (OSD solamente)
    Parámetro de varianza de gaussiana usado por -spuaa 4. Valores más altos significa más difuminado (por defecto: 1.0).

-sub <archivosubtítulos1,archivosubtítulos2,...>
    Uso/muestra esos archivos de subtítulos. Solo un archivo puede ser mostrado en un momento dado.

-sub-bg-alpha <0-255>
    Especifica el valor de canal alfa para subtítulos y OSD de fondo. Valores grandes significa mayor transparencia. 0 significa completamente transparente.

-sub-bg-color <0-255>
    Especifica el valor de color para subtítulos y OSD de fondo. Actualmente los subtítulos están en escala de grises y este valor es la intensidad del color. 255 significa blanco y 0 negro.

-sub-demuxer <[+]nombre> (sólo con -subfile) (CÓDIGO BETA)
    Fuerza el tipo de demuxer de subtítulos para -subfile. Use un '+' delante del nombre para forzarlo, ¡esto evitará algunos chequeos!. Pásele al demuxer uno de los nombres de la lista imprimida por -sub-demuxer help. Por compatibilidad con versiones anteriores también acepta el ID del demuxer como se define en subreader.h.

-sub-fuzziness <modo>
    Ajusta el nivel de afinado cuando busca subtítulos: coincidencia exacta Carga todos los subtítulos que contengan el nombre de la película. Carga todos los subtítulos en el directorio actual.

-sub-no-text-pp
    Inhabilita todo tipo de postproceso de texto después de cargar los subtítulos. Usado para pruebas.

-subalign <0-2>
    Especifica cómo deben alinearse los subtítulos con -subpos. alinea arriba (comportamiento original/por defecto) alinea al centro alinea abajo

-subcc
    Muestra subtículos de DVD Closed Caption (CC). Esto no es los subtítulos VOB, son subtítulos especiales ASCII codificados para el que no oye bien en el flujo de datos de usuario VOB en la mayoría de los DVDs de la región 1. Los subtítulos CC no han sido publicados en DVDs de otras regiones hasta ahora.

-subcp <codepage> (iconv solamente)
    Si su sistema soporta iconv(3), puede usar esta opción para especificar la página de códigos para los subtítulos.

    EJEMPLO: -subcp latin2
    -subcp cp1250

-subcp enca:<language>:<fallback codepage> (ENCA solamente)
    Puede especificar su idioma usando un código de dos letras para hacer que ENCA detecte la página de códigos automáticamente. Si está inseguro, introduzca cualquier cosa y vea la salida de mplayer -v para obtener la lista de idiomas disponibles. Fallback codepage especifica la página de códigos a usar cuando la autodetección falla. EJEMPLO: Sugiere la codificación, asumiendo los subtítulos en Checo, volviendo a latin 2 si la detección falla. Sugiere la codificación para Polaco, volviendo si falla a cp1250.

-subdelay <seg>
    Retrasa subtítulos por <seg> segundos. Puede ser negativo.

-subfile <nombredearchivo> (CÓDIGO BETA)
    Actualmente la opción es inútil. Lo mismo que -audiofile, pero para flujos de subtítulos (¿OggDS?).

-subfont-autoscale <0-3> (solamente FreeType)
    Establece el modo de autoescala.
    NOTA: 0 significa que el escalado de texto y de OSD es la altura de la tipografía medido en puntos.

    El modo puede ser:

    sin autoescala proporcional a la altura de la película proporcional a la anchura de la película proporcional a la diagonal de la película (por defecto)

-subfont-blur <0-8> (solamente FreeType)
    Establece el radio de difuminado de la tipografía (por defecto: 2).

-subfont-encoding <valor> (solamente FreeType)
    Establece la codificación del tipo de letra. Cuando se establece a 'unicode', todos los símbolos del archivo de tipo de letra son renderizados y es usado unicode (por defecto: unicode).

-subfont-osd-scale <0-100> (solamente FreeType)
    Establece el coeficiente de autoescala de los elementos del OSD (por defecto: 6).

-subfont-outline <0-8> (solamente FreeType)
    Establece el grosor de la línea de contorno de las letras (por defecto: 2).

-subfont-text-scale <0-100> (solamente FreeType)
    Establece el coeficiente de autoescala del texto de subtítulos como porcentaje del tamaño de pantalla (por defecto: 5).

-subfps <razón>
    Especifica la tasa de imágenes por segundo del archivo de subtítulos (por defecto: fps de la película).
    NOTA: Solo archivos SUB basados en imágenes, p.e. no el formato MicroDVD.

-subpos <0-100> (útil con -vf expand)
    Especifica la posición de los subtítulos en pantalla. El valor es la posición vertical de los subtítulos en % de la altura de pantalla.

-subwidth <10-100> (OSD solamente)
    Especifica el ancho máximo de los subtítulos en pantalla. Útil para salida de TV. El valor es la anchura de los subtítulos en % del ancho de la pantalla.

-noterm-osd
    Inhabilita la escritura de mensajes OSD en la consola cuando ninguna salida de vídeo está disponible.

-term-osd-esc <secuencia de escape>
    Especifica la secuencia de escape a usar antes de escribir un mensaje OSD en la consola. La secuencia de escape debería mover el puntero al comienzo de la línea usada por el OSD y limpiarla (por defecto: ^[[A\r^[[K).

-unicode
    Le dice a MPlayer que maneje los archivos de subtítulos como unicode.

-utf8
    Le dice a MPlayer que maneje los archivos de subtítulos como UTF-8.

-vobsub <archivo VOBsub sin extensión>
    Especifica los archivos VOBsub que serán usados para subtítulos. Esto es la ruta completa sin extensiones, p.e. sin el '.idx', '.ifo' o '.sub'.

-vobsubid <0-31>
    Especifica el ID del subtítulo VOBsub.

OPCIONES DE SALIDA DE AUDIO (MPLAYER SOLAMENTE)

-abs <valor> (-ao oss solamente) (OBSOLETO)
    Sobreescribe la detección del tamaño del buffer de audio del controlador/tarjeta.

-format <formato> (vea también la opción format del filtro de audio)
    Selecciona el formato de la muestra usado para la salida desde la capa del filtro de audio hasta la tarjeta de sonido. Los valores que <formato> acepta están listados abajo en la descripción del formato en el filtro de audio.

-mixer <dispositivo>
    Usa un dispositivo mezclador diferente al que hay por defecto /dev/mixer. Para ALSA este es el nombre del mezclador.

-mixer-channel <mixer line>[,mixer index] (solo para -ao oss y -ao alsa)
    Esta opción le dice a MPlayer que use un canal diferente al PCM por defecto para controlar el volumen. Las opciones para OSS incluyen vol, pcm, line. Para una lista completa de opciones busque SOUND_DEVICE_NAMES en /usr/include/linux/soundcard.h. Para ALSA puede usar los nombres por ejemplo como los muestra alsamixer, Master, Line, PCM.
    NOTA: El nombre de los canales de mezcla de ALSA seguidos de un número deben ser especificados en el formato <nombre,número>, p.e. un canal llamado 'PCM 1' en alsamixer convertirse a PCM,1.

-softvol
    Fuerza el uso del mezcaldor por software en vez de usar el mezclador de la tarjeta de sonido.

-softvol-max <10.0-10000.0>
    Fija el nivel máximo de amplificación en porcentaje (por defecto: 110). Un valor de 200 le permitirá ajustar el volumen hasta un máximo del doble del nivel actual. Con valores por debajo de 100 el volumen inicial (que es el 100%) estará por debajo del máximo, p.e. el OSD no se mostrará correctamente.

-volstep <0-100>
    Establece el porcentaje de incremento o decremento para los cambios de volumen, el porcentaje es en relación con el total.

-volume <-1-100> (vea también -af volume)
    Establece el volumen inicial en el mezclador, ya sea por hardware o software (si se usa con -softvol). Un valor de -1 (que es el valor por defecto) no cambiará el volumen.

CONTROLADORES DE SALIDA DE AUDIO (MPLAYER SOLAMENTE)
Los controladores de salida de audio son interfaces para las diferentes facilidades de salida de audio. La sintaxis es:

-ao <driver1[:subopción1[=valor]:...],driver2,...[,]>
    Especifica una lista de controladores de salida de audio a usar.

Si la lista tiene una ',' al final, intentará usar finalmente los controladores no listados en la línea de órdenes. Las subopciones son opcionales y se pueden omitir la mayoría de las veces.
NOTA: Vea -ao help para una lista de controladores disponibles.

EJEMPLO: Prueba el controlador ALSA, luego el OSS, y finalmente otros. Establece el modo noblock y el nombre del dispositivo como primera tarjeta, cuarto dispositivo.

Los controladores de audio disponibles son:

alsa
    Controlador de salida de audio ALSA 0.9/1.x Establece el modo noblock. Establece el nombre del dispositivo. Reemplace cualquier ',' con '.' y cualquier ':' con '=' en el nombre del dispositivo ALSA. Para usar la salida hwac3 vía S/PDIF, use un dispositivo "iec958" o "spdif", a menos que realmente sepa como configurarlo correctamente.

alsa5
    Controlador de salida de audio ALSA 0.5.

oss Controlador de salida de audio OSS. Establece el dispositivo de salida de audio (por defecto: /dev/dsp). Establece el dispositivo de mezcla de audio (por defecto: /dev/mixer). Establece el canal de mezcla (por defecto: pcm).

sdl (SDL solamente)
    Biblioteca de controlador de salida de audio SDL (Simple Directmedia Layer) altamente independiente de la plataforma. Selecciona el controlador de audio que SDL debe usar (por defecto: deja que SDL escoja).

arts
    Salida de audio a través del demonio aRts.

esd Salida de audio a través del demonio ESD. Selecciona el servidor ESD a utilizar (por defecto: servidor local).

jack
    Salida de audio a través de JACK (Jack Audio Connection Kit). Conecta a los puertos que tienen el nombre dado (por defecto: puertos físicos). Nombre del cliente que se le pasa a JACK (por defecto: MPlayer [<PID>]). Es útil si desea que ciertas conexiones se establezcan automáticamente. Estimación del retraso del audio, supuestamente hace que la reproducción del vídeo sea más uniforme (por defecto: activada).

nas Salida de audio a través de NAS.

coreaudio (Mac OS X solamente)
    Controlador de salida de audio nativo Mac OS X.

openal
    Controlador de salida de audio OpenAl, es experimental y está sin acabar (el sonido se mezclará en un sólo canal).

sgi (SGI solamente)
    Controlador de salida de audio SGI nativo. Especifica la interfaz del dispositivo de salida (por defecto: configuración del sistema). Por ejemplo, 'Salida Analógica' o 'Salida Digital'.

sun (Sun solamente)
    Controlador de salida de audio Sun nativo. Especifia el dispositivo de audio (por defecto: /dev/audio).

win32 (Windows solamente)
    Controlador de salida de audio de forma de onda nativo de Windows.

dsound (Windows solamente)
    Controlador de salida de audio DirectX DirectSound. Selecciona el número del dispositivo que será usado. Reproducir un fichero con la opción -v mostrará una lista de los dispositivos disponibles

dxr2 (vea también -dxr2) (DXR2 solamente)
    Controlador de salida específico de Creative DXR2.

ivtv (IVTV solamente)
    Controlador de salida MPEG específico IVTV. Solamente funciona con -ac hwmpa.

mpegpes (DVB solamente)
    Controlador de salida para tarjetas DVB que escriben la salida a un fichero MPEG-PES si no hay ninguna tarjeta DVB instalada. Tarjeta DVB a usar si hay más de una. Fichero de salida

null
    No produce salida de audio pero mantiene la velocidad de reproducción del vídeo. Use -nosound para pruebas de rendimiento.

pcm Escribe ficheros raw PCM/wave con el audio de salida. Incluye o excluye la cabecera de las ondas (por defecto: incluido). Cuando no se incluya se generará un fichero PCM. Escribe el sonido en el <fichero> en vez de en la opción por defecto audiodump.wav. Si se especifica nowaveheader, la opción por defecto es audiodump.pcm. Trata de volcar la información mas rápido que en tiempo real. Asegurese de que la salida no se ve truncada (normalmente con el mensaje "Demasiados paquetes de vídeo en el buffer"). Es normal obtener el mensaje "¡Su sistema es demasiado lento para reproducir esto!".

plugin
    Controlador de salida de audio con alguna extensión.

OPCIONES DE SALIDA DE VÍDEO (MPLAYER SOLAMENTE)

-adapter <valor>
    Establece la tarjeta gráfica que recibirá la imagen. Puede obtener una lista de las tarjeta gráficas disponibles cuando ejecute esta opción con -v. Actualmente sólo funciona con con el controlador de salida de vídeo directx.

-bpp <profundidad>
    Usar una profundidad de color diferente a la que se ha detectado. Sólo soportado por los controladores de salida de vídeo fbdev, dga2, svga, vesa.

-border
    Reproduce la película con adornos y bordes. Dado que la opción está activada por defecto, use -noborder para invalidar los adornos de la ventana. Soportado por el controlador de salida de vídeo directx.

-brightness <-100-100>
    Ajusta el brillo del vídeo de salida (por defecto 0). No soportado por todos los controladores de salida de vídeo.

-contrast <-100-100>
    Ajusta el contraste del vídeo de salida (por defecto 0). No soportado por todos los controladores de salida de vídeo.

-display <nombre> (X11 solamente)
    Se debe especificar el nombre y el número del dispositivo del servidor de las X en el que desea que se muestre el vídeo.

    EJEMPLO: -display xtest.localdomain:0

-dr Activa el renderizado directo (no está soportado por todos los codecs y salidas de vídeo)
    AVISO: ¡Puede causar corrupción en OSD/SUB!

-dxr2 <opción1:opción2:...>
    Esta opción se usa para gestionar el controlador de salida de vídeo dxr2. modo de razón de aspecto (0 = normal, 1 = pan y scan, 2 = letterbox (por defecto)) Selecciona el modo de salida iec958. Establece modo de salida iec958 al decodificador (por defecto). modo macrovisión (0 = desactivado (por defecto), 1 = agc, 2 = agc 2 colorstripe, 3 = agc 4 colorstripe) silencia la salida de audio reactiva la salida de audio ruta al microcódigo

    Salida de TV
activa el modo de salida 7.5 IRE desactiva el modo de salida 7.5 IRE (por defecto) salida de TV en color (por defecto) salida de TV entrelazada (por defecto) desactiva la salida de TV entrelazada norma de TV (ntsc (por defecto), pal, pal60, palm, paln, palnc) establece el modo de pixel a cuadrado establece el modo de pixel a ccir601

    superposición
Establece el valor de recorte por la izquierda (por defecto: 50). Establece el valor de recorte por la derecha (por defecto: 300). Establece el valor de recorte por arriba (por defecto: 0). Establece el valor de recorte desde abajo (por defecto: 0). Establece la ganancia de color de superposición en r(ed) (rojo), g(reen) (verde) o b(lue) (azul). valor mínimo para para la clave de color respectiva valor máximo para la clave de color respectiva Ignora la caché de configuración de superposición. Actualiza la caché de configuración de superposición. Activa información en pantalla en superposición. Desactiva información en pantalla en superposición (por defecto). Ajusta el tamaño de superposición (h, w) y posición (x, y) en caso de que no coincida con la ventana perfectamente (por defecto: 0). Activa superposición (por defecto). Activa la salida de TV. Afina la superposición (por defecto 1000).

-fbmode <nombredelmodo> (-vo fbdev solamente)
    Cambia el modo de vídeo al que se haya denominado como <nombredelmodo> en /etc/fb.modes.
    NOTA: El framebuffer VESA no soporta el cambio de modo.

-fbmodeconfig <nombrearchivo> (-vo fbdev solamente)
    Usa este archivo de configuración en lugar del archivo de configuración (por defecto: /etc/fb.modes).

-fs (vea también -zoom)
    Reproducción a pantalla completa (centra la película, y crea bandas negras alrededor). No está soportado por todos los controladores de salida de vídeo.

-fsmode-dontuse <0-31> (OBSOLETO, use la opción -fs)
    Pruebe esta opción si continúa teniendo problemas en pantalla completa.

-fstype <tipo1,tipo2,...> (X11 solamente)
    Especifica una lista de prioridad de los modos de pantalla completa que serán usados. Puede negar modos usando el prefijo '-'. Si tiene problemas como por ejemplo que la ventana en pantalla completa sea cubierta por otras ventanas intente usar un orden distinto.
    NOTA: Vea -fstype help para una lista completa de los modos disponibles.

    Los tipos disponibles son:

    Usa _NETWM_STATE_ABOVE si está disponible. Usa _NETWM_STATE_BELOW si está disponible. Usa _NETWM_STATE_FULLSCREEN si está disponible. Usa _WIN_LAYER con la capa por defecto. Usa _WIN_LAYER con el número de capa indicado. Fuerza estilo NETWM. No establece una capa de ventana de pantalla completa. Usa _NETWM_STATE_STAYS_ON_TOP si está disponible.

    EJEMPLO:
Orden por defecto, se usará en caso de especificar modos incorrectos o no soportados. Fija el cambio a pantalla completa en OpenBox 1.x.

-geometry x[%][:y[%]] or [WxH][+x+y]
    Ajusta donde estará la salida en la pantalla inicialmente. Las especificaciones x e y son medidas en pixels desde arriba-izquierda de la pantalla hasta arriba-izquierda de la imagen que será mostrada, sin embargo si se indica el signo de porcentaje después del argumento el valor se toma como un porcentaje del tamaño de la pantalla en esa dirección. También soporta el formato de opción estándar de X11 -geometry. Si se especifica una ventana externa usando la opción -wid entonces las coordenadas x e y son relativas a la posición arriba-izquierda de esa ventana en vez de la pantalla
    NOTA: Esta opción está solo soportada por los controladores de salida de vídeo x11, xmga, xv, xvmc, xvidix, gl, gl2, directx y tdfxfb.

    EJEMPLO: Coloca la ventana en x=50, y=40. Coloca la ventana en la mitad de la pantalla. Coloca la ventana en la esquina superior izquierda de la pantalla. Coloca la ventana en la esquina inferior izquierda de la pantalla.

-guiwid <id de ventana> (vea también -wid) (GUI solamente)
    Esto le dice al GUI que use una ventana X11 y se pegue debajo del vídeo, lo cual es útil para embeber en un navegador un mini-GUI (con la extensión MPlayer por ejemplo).

-hue <-100-100>
    Ajusta el matiz de la señal de vídeo (por defecto: 0). Puede obtener colores inversos en la imagen con esta opción. No está soportado por todos los controladores de salida de vídeo.

-monitor-dotclock <rango[,rango,...]> (-vo fbdev y vesa solamente)
    Especifica el rango de dotclock o pixelclock del monitor.

-monitor-hfreq <rango[,rango,...]> (-vo fbdev y vesa solamente)
    Especifica el rango de frecuencia horizontal del monitor.

-monitor-vfreq <rango[,rango,...]> (-vo fbdev y vesa solamente)
    Especifica el rango de frecuencia vertical del monitor.

-monitoraspect <razón> (vea también -aspect)
    Establece la razón de aspecto de su monitor o pantalla de TV.

    EJEMPLO: -monitoraspect 4:3 o 1.3333
    -monitoraspect 16:9 o 1.7777

-monitorpixelaspect <razón> (vea también -aspect)
    Establece el aspecto de un único pixel de su monitor o pantalla de televisión (por defecto: desactivado). Invalida la opción -monitoraspect . Un valor de 0 la inhabilita, un valor de 1 significa pixels cuadrados (correcto para (¿casi?) todos los LCDs).

-nodouble
    Desactiva el almacenamiento de imágenes doble, principalmente con propósitos de depuración. El almacenamiento de imágenes doble soluciona los problemas de parpadeo almacenando dos imágenes en memoria y mostrando una mientras decodifica la otra. Puede afectar al OSD negativamente, pero a menudo elimina el parpadeo del OSD.

-nograbpointer
    No capturar el puntero del ratón después de cambiar el modo de video (-vm). Útil en una configuración multicabeza.

-nokeepaspect
    No mantiene la razón de aspecto cuando se cambia el tamaño de las ventanas. Solo funciona con los controladores de salida de vídeo x11, xv, xmga, xvidix, y directx. Además bajo X11 su administrador de ventanas necesita entender los consejos de aspecto de ventana.

-ontop
    Hace que la ventana de reproducción se quede por encima de las otras ventanas. Soportado por controladores que usen X11, excepto SDL, así como directx,corevideo, quartz, ggi y gl2.

-panscan <0.0-1.0>
    Activa funcionalidad pan y scan (recortando los lados de por ejemplo una película a 16:9 para ajustarla a una pantalla 4:3 sin bandas negras).
    El rango controla cuánto de la imagen será recortado. Sólo funciona con los controladores de salida de vídeo xv, xmga, mga, gl, gl2, quartz, corevideo y xvidix.

-panscanrange <-19.0-99.0> (experimental)
    Cambia el rango de la funcionalidad pan y scan (por defecto: 1). Valores positivos significan múltiplos del rango por defecto. Con valores negativos puede hacer zoom hasta un factor de -panscanrange+1. P.e. -panscanrange -3 permite un factor de zoom de hasta 4. Esta característica es experimental. No reporte errores a menos que esté usando -vo gl.

-refreshrate <Hz>
    Establece la frecuencia de refresco del monitor en Hz. Actualmente solo está soportado por -vo directx combinado con la opción -vm.

-rootwin
    Reproduce la película en la ventana raíz (fondo de escritorio). Las imágenes del fondo de escritorio pueden cubrir sin embargo a la ventana de la película. Funciona sólo con los controladores de salida de vídeo x11, xv, xmga, xvidix, quartz, corevideo y directx.

-saturation <-100-100>
    Ajusta la saturación de la salida de vídeo (por defecto: 0). Puede obtener salida en escala de grises con esta opción. No está soportado por todos los controladores de vídeo de salida

-screenh <pixels>
    Especifica la resolución vertical de la pantalla para los controladores de salida de vídeo que no conozcan esta resolución como fbdev, x11 y TVout.

-screenw <pixels>
    Especifica la resolución horizontal de la pantalla para los controladores de salida de vídeo que no conozcan esta resolución como fbdev, x11 y TVout.

-stop-xscreensaver (X11 solamente)
    Desactiva el protector de pantalla al comienzo y lo vuelve a activar al finalizar.

-vm Intenta cambiar a un modo de vídeo diferente. Soportado por los controladores de salida de vídeo dga, x11, xv, sdl y directx. Si se usa con el controlador de salida de vídeo de directx las opciones -screenw, -screenh, -bpp y -refreshrate pueden usarse para establecer un nuevo modo de pantalla.

-vsync
    Activa VBI para los controladores de salida de vídeo vesa, dfbmga y svga.

-wid <id de ventana> (vea también -guiwid) (sólo X11, OpenGL y DirectX)
    Le dice a MPlayer que use una ventana existente. Útil para embeber MPlayer en un navegador (con la extensión plugger por ejemplo).

-xineramascreen <-2-...> (X11 only)
    En configuraciones de Xinerama (p.e. un único escritorio que se extiende sobre múltiples pantallas) esta opción le dice a MPlayer en qué pantalla ha de reproducir la película. Un valor de -2 significa pantalla completa a través de todo el dispositivo virtual, -1 significa pantalla completa en el dispositivo en el que está la ventana actual. La posición inicial especificada con la opción -geometry es relativa a la pantalla especificada. Normalmente sólo funcionara con "-fstype -fullscreen" o "-fstype none".

-zrbw (-vo zr solamente)
    Muestra en blanco y negro. Para rendimiento óptimo, esta opción puede combinarse con '-lavdopts gray'.

-zrcrop <[ancho]x[alto]+[desplazamiento x]+[desplazamiento y]> (-vo zr solamente)
    Selecciona una parte de la imagen de entrada para mostrar, se puede usar esta opción varias veces para cambiar en modo cinerama. En el modo cinerama la película es distribuida sobre más de una TV (o proyectores) para crear una pantalla mayor. Las opciones que aparecen después de n-ésimo -zrcrop se aplican a la tarjeta MJPEG n-ésima, cada tarjeta debe tener al menos un -zrdev adicionalmente a -zrcrop. Para ejemplos, vea la salida de -zrhelp y la sección Zr de la documentación.

-zrdev <dispositivo> (-vo zr solamente)
    Especifica el archivo especial de dispositivo que corresponde a su tarjeta MJPEG, por defecto el controlador zr toma el primer dispositivo v4l que encuentra.

-zrfd (-vo zr solamente)
    Fuerza decimación: Decimación, como se especifica por -zrhdec y -zrvdec, solamente ocurre si el escalador hardware puede ajustar el tamaño de la imagen a su tamaño original. Use esta opción para forzar la decimación.

-zrhdec <1,2,4> (-vo zr solamente)
    Decimación horizontal: Pide al controlador que envíe solo cada 2 o 4 líneas/pixels de la imagen de entrada a la tarjeta MJPEG y usa el escalador de la tarjeta MJPEG para ajustar la imagen a su tamaño original.

-zrhelp (-vo zr solamente)
    Muestra una lista de todas las opciones de -zr*, sus valores por defecto y un ejemplo del modo cinerama.

-zrnorm <norma> (-vo zr solamente)
    Especifica la norma de TV PAL o NTSC (por defecto: sin cambios).

-zrquality <1-20> (-vo zr solamente)
    Un número de 1 (mejor) a 20 (peor) representando la calidad de codificación JPEG.

-zrvdec <1|2|4> (-vo zr solamente)
    Decimación vertical: Pide al controlador que envíe solo cada 2 o 4 líneas/pixels de la imagen de entrada a la tarjeta MJPEG y usa el escalador de la tarjeta MJPEG para ajustar el tamaño de la imagen a su tamaño original.

-zrxdoff <desplazamiento x de la imagen> (-vo zr solamente)
    Si la película es menor que la pantalla de TV, esta opción especifica la posición x de la película relativa a la esquina superior izquierda de la pantalla (por defecto: centrado).

-zrydoff <desplazamiento y de la imagen> (-vo zr solamente)
    Si la película es menor que la pantalla de TV, esta opción especifica la posición y de la película relativa a la esquina superior izquierda de la pantalla (por defecto: centrado).

CONTROLADORES DE SALIDA DE VÍDEO (SOLAMENTE MPLAYER)
Los controladores de salida de vídeo son interfaces para las distintas facilidades de salida de vídeo. La sintaxis es:

-vo <controlador1[:subopción1[=valor]:...],controlador2,...[,]>
    Especifica una lista prioritaria de controladores de vídeo.

Si la lista tiene una ',' al final se probarán después otros controladores no listados en la línea de órdenes. Las subopciones son opcionales y en su mayoría pueden omitirse.
NOTA: Vea -vo help para una lista de controladores de vídeo compilados.

EJEMPLO: Prueba el controlador Matrox X11, luego el controlador Xv y luego los otros. Usa el controlador DirectX con las características de aceleración desactivadas.

Los controladores de salida disponibles son:

xv (solamente X11)
    Usa la extensión XVideo de XFree86 4.x para activar la reproducción acelerada por hardware. Si no puede usar un controlador de vídeo específico para su hardware, probablemente esta sea la mejor opción. Para obtener información a cerca de lo que es la clave de color y como se dibuja ejecute MPlayer con la opción -v y mire las líneas marcadas con [xv common] al comienzo. Selecciona el puerto de XVideo específico. Selecciona el origen del que se obtiene la clave de color (por defecto: cur). Por defecto obtiene la clave de color seleccionada en Xv. Usa pero no establece la clave de color de MPlayer (use la opción -colorkey para cambiarla). Lo mismo que use pero también establece la clave de color proporcionada.
Establece el método de dibujado de la clave de color (por defecto: man). Dibuja la clave de color manualmente (reduce el parpadeo en algunos casos). Establece la clave de color como la ventana de fondo. Deja que Xv dibuje la clave de color.

x11 (solamente X11)
    Controlador de salida de vídeo de memoria compartida sin aceleración hardware que funciona en cualquier X11 que esté presente.

xover (solamente X11)
    Añade soporte X11 a todos los controladores de salida de vídeo basados en recubrimiento. Actualmente sólo soportado por tdfx_vid. Selecciona el controlador como fuente para usarlo como recubrimiento de X11

xvmc (X11, -vc ffmpeg12mc solamente)
    Este controlador de salida de vídeo usa la extensión XvMC (X Video Motion Compensation) de XFree86 4.x para acelerar la decodificación MPEG1/2 y VCR2. Selecciona un puerto específico de XVideo. Inhabilita el visionado de imágenes. Necesario para hacer bien las pruebas de rendimiento de controladores que cambian los almacenes de imagen en el trazo del monitor solamente (nVidia). La opción por defecto es no inhabilitar el visionado de imágenes (nobenchmark). Un desentrelazador muy simple. Puede que no se vea mejor que -vf tfields=1, pero es el único desentrelazador para xvmc (por defecto: nobobdeint). Encola imágenes para mostrar para permitir más trabajo paralelo del hardware de vídeo. Puede añadir una pequeña (no apreciable) desincronización de A/V (por defecto: noqueue). Usa la función sleep mientras espera a que termine el renderizado (no recomendado en Linux). (por defecto: nosleep). Lo mismo que -vo xv:ck (vea -vo xv). Lo mismo que -vo xv:ck-method (vea -vo xv).

dga (solamente X11)
    Reproduce vídeo a través de la extensión XFree86 Direct Graphics Access. Se considera obsoleto.

sdl (SDL solamente)
    Biblioteca de controlador de salida de vídeo SDL (Simple Directmedia Layer) altamente independiente de la plataforma. Dado que SDL usa su propia capa para acceder a X11, las opciones X11 de MPlayer no tienen ningún efecto sobre sdl. Especifica el controlador que usará SDL. Usa XVideo a través del controlador de salida de vídeo sdl (por defecto: forcexv). Usa el escalador acelerado por hardware (por defecto: hwaccel).

vidix
    VIDIX (VIDeo Interface for *niX) es una interfaz para las características de aceleración de vídeo de las diferentes tarjetas gráficas. Controlador de salida de vídeo muy rápido en tarjetas que lo soporten. Elige explícitamente el dispositivo VIDIX en el controlador que se está usando. Los controladores disponibles son cyberblade, mach64, mga_crtc2, mga, nvidia, pm2, pm3, radeon, rage128, sis y unichrome.

xvidix (solamente X11)
    Frontend X11 para VIDIX lo mismo que vidix

cvidix
    Frontend genérico e independiente de plataforma para VIDIX, puede incluso funcionar en una consola de texto con tarjetas nVidia. lo mismo que vidix

winvidix (solamente Windows)
    Frontend de Windows para VIDIX lo mismo que vidix

directx (solamente Windows)
    Controlador de salida de vídeo que usa la interfaz DirectX. Desactiva la aceleración hardware. Pruebe esta opción si tiene problemas con la representación en pantalla.

quartz (Mac OS X solamente)
    Controlador de salida de vídeo Mac OS X Quartz. Bajo algunas circunstancias, puede ser más eficiente forzar un formato de salida YUV empaquetado, con p.e. -vf format=yuy2. Elige el dispositivo de salida a usar en pantalla completa. Especifica la resolución a pantalla completa (útil en sistemas lentos).

corevideo (Mac OS X 10.4 o 10.3.9 con QuickTime 7)
    Controlador de salida de vídeo Mac OS X CoreVideo. Elige el dispositivo de salida a usar en pantalla completa.

fbdev (solamente Linux)
    Usa el framebuffer del kernel para la reproducir vídeo. Especifica el nombre del dispositivo fbdev a usar (p.e. /dev/fb0) o el nombre del dispositivo VIDIX si el nombre del dispositivo comienza con 'vidix' (p.e. 'vidixsis_vid' para el controlador sis).

fbdev2 (solamente Linux)
    Usa el framebuffer del kernel para reproducir vídeo, implementación alternativa. Especifica el nombre del dispositivo fbdev a usar (p.e. /dev/fb0).

vesa
    Controlador de salida de vídeo muy general que debe funcionar en cualquier tarjeta compatible con VESA VBE 2.0. Activa o desactiva el modo DGA (por defecto: activado). Activa la salida NeoMagic TV y establece el modo PAL. Activa la salida NeoMagic TV y establece el modo NTSC. Usa el controlador VIDIX. Activa el recubrimiento de Vídeo Linux para el modo VESA.

svga
    Reproduce vídeo usando la biblioteca SVGA. Especifica el modo de vídeo. El modo de vídeo se puede dar en la forma <ancho>x<alto>x<colores>, por ejemplo 640x480x16M o por un número de modo de vídeo como por ejemplo 84. Dibuja OSD dentro de las bandas negras bajo la película (más lento). Utiliza sólo las funciones de dibujo nativas. Evita renderizado directo, OSD y aceleración hardware. Fuerza el cambio de imagen en el repintado vertical. Sólo se puede usar con -double. Tiene el mismo efecto que la opción -vsync. Prueba el modo de vídeo con pixels cuadrados. Usa svga con VIDIX.

gl  Controlador de salida de vídeo OpenGL, es una versión muy simple. El tamaño del vídeo debe ser menor que el tamaño máximo de la textura de su implementación OpenGL. Está hecho para que trabaje incluso con las implementaciones de OpenGL más simples, pero también hace uso de las nuevas extensiones, que permite soporte para mas espacios de color y renderizado directo. Por favor use -dr si funciona con su implementación OpenGL, dado que para mayores resoluciones esto supone una gran mejora de la velocidad. El código realiza muy pocas comprobaciones, así que si una característica no funciona puede ser debido a que no está soportada por su tarjeta/implementación OpenGL incluso si no obtiene ningún mensaje de error. Use glxinfo o una herramienta similar para comprobar las extensiones OpenGL que soporta su sistema. Cambia la manera en la que se comporta el OSD cuando cambia el tamaño de la ventana (por defecto: desactivado). Cuando se activa se comporta de forma parecida al resto de controladores, lo cual es mejor para las fuentes fixed-size. Cuando se desactiva se ve mucho mejor con las fuentes FreeType, además usa los bordes en el modo de pantalla completa. No funciona correctamente con el formato de subtítulos ass (vea -ass), puede renderizarlos sin soporte de OpenGL usando -vf ass. Color para el OSD (por defecto: 0xffffff, corresponde al color blanco). Selecciona el uso de texturas rectangulares que ahorran RAM, pero a menudo es más lento (por defecto: 0). 0: Usa texturas potencias-de-dos (por defecto).
    1: Usa la extensión GL_ARB_texture_rectangle.
    2: Usa la extensión GL_ARB_texture_non_power_of_two. En algunos casos esta extensión sólo se soporta por software y por lo tanto es muy lenta.
Intervalo mínimo entre dos intercambios de memoria, se cuenta en frames mostrados (por defecto: 1). 1 es equivalente a activar VSYNC, 0 para desactivar VSYNC. Valores por debajo de 0 la dejarán al valor por defecto del sistema. Esto limita el ratio de imágenes a (tasa de refresco horizontal / n). Requiere el soporte GLX_SGI_swap_control para funcionar. Con algunas (casi todas?) implementaciones esto sólo funciona en el modo de pantalla completa. Selecciona el tipo de conversión de YUV a RGB. 0: Usa conversión por software (por defecto). Compatible con todas las versiones de OpenGL. Provee control para el brillo, contraste y saturación.
1: Usa register combiners. Esto usa una extensión específica de nVidia (GL_NV_register_combiners). Al menos se necesitan tres unidades de texturas. Provee control para la saturación y la tonalidad. Este método es rápido pero inexacto.
2: Usa un fragment program. Necesita la extensión GL_ARB_fragment_program y al menos tres unidades de textura. Provee control para brillo, contraste, saturación y tonalidad.
3: Usa un fragment program utilizando la instrucción POW. Necesita la extensión GL_ARB_fragment_program y al menos tres unidades de textura. Provee control para brillo, contraste, saturación, tonalidad y gamma. La opción gamma se puede establecer independientemente para el rojo, verde y azul. El método número 4 es normalmente más rápido.
4: Usa un fragment program con búsqueda adicional. Necesita la extensión GL_ARB_fragment_program y al menos tres unidades de textura. Provee control para brillo, contraste, saturación, tonalidad y gamma. La opción gamma se puede establecer independientemente para el rojo, verde y azul.
5: Usa un método específico de ATI (para tarjetas antiguas). Esto usa una extensión específica de ATI (GL_ATI_fragment_shader - no GL_ARB_fragment_shader!). Al menos se necesitan tres unidades de textura. Provee control de saturación y tonalidad. Este método es rápido pero inexacto.
6: Usa una textura 3D para hacer una conversión por búsqueda. Necesita la extensión GL_ARB_fragment_program y al menos cuatro unidades de textura. Extremadamente lento (emulación por software) en algunas (¿todas?) las tarjetas ATI dado que usan una textura con border pixels. Provee control para brillo, contraste, saturación, tonalidad y gamma. La opción gamma se puede establecer independientemente para el rojo, verde y azul. La velocidad depende más del ancho de banda de la memoria de la GPU que el resto de métodos.
Selecciona la función de escalado a usar para el escalado luminiscente. Únicamente válido para los modos yuv 2, 3, 4 y 6. 0: Usa un simple filtro linear (por defecto).
1: Usa un filtro bicúbico (mayor calidad). Necesita una unidad de textura adicional. Las tarjetas antiguas no serán capaces de manejarlo para el chroma al menos en el modo de pantalla completa.
2: Usa un método de filtrado cúbico en horizontal y lineal en vertical. Funciona en algunas tarjetas más que el método 1.
Selecciona la función de escalado a usar para el escalado del chroma. Para más detalles vea lscale. Carga un fragmento de programa propio desde <nombre fichero>. Vea TOOLS/edgedect.fp para un ejemplo. Carga una textura "gamma ramp" propia desde <nombre fichero>. Esto se puede usar junto con yuv=4 o con la opción customprog. Si se activa (por defecto) usa la interpolación GL_LINEAR, en otro caso usa GL_NEAREST para la textura customtex. Si se activa usa texture_rectangle para la textura customtex. Por defecto está desactivada.

    Normalmente no hay razón para usar las siguientes opciones, únicamente existen con propósitos de prueba.

LLama a glFinish() antes de intercambiar las zonas de memoria. Más lento pero en algunos casos da una salida mejor (por defecto: desactivado). Activa soporte para más (RGB y BGR) formatos de color (por defecto: activado). Necesita una versión de OpenGL >= 1.2. Número de líneas copiadas a la textura en una pieza (por defecto: 4). 0 para la imagen entera.
NOTA: Si se usa el espacio de color YUV (vea la opción yuv), se aplican las siguientes reglas especiales: Si el decodificador usa el renderizado por partes (vea -noslices), esta opción no tiene efecto, se utiliza el tamaño de las partes proporcionado por el decodificador.
Si el decodificador no usa el renderizado por partes, por defecto se usan 16.
Activa o desactiva el soporte para el renderizado OSD usando OpenGL (por defecto: activado). Esta opción se usa para pruebas; para desactivar el OSD use -osdlevel 0. Activa o desactiva el aspecto del escalado y el soporte pan-and-scan (por defecto: activado). Desactivarlo puede incrementar la velocidad.

gl2 Controlador de salida de vídeo de OpenGL, segunda generación. Soporta OSD y vídeos más grandes que el tamaño máximo de la textura. lo mismo que gl (por defecto: activado) Selecciona el tipo de conversión de YUV a RGB. Si se configura a algo que no sea 0, el OSD estará desactivado y las opciones de brillo, contraste y gamma sólo serán accesibles a través de la configuración global del servidor X. Exceptuando estos casos tiene el mismo significado que para -vo gl.
null
    No produce salida de vídeo. Útil para pruebas de rendimiento.
aa  Controlador de salida de vídeo ASCII art que funciona en una consola de texto. Puede obtener una lista y una explicación de las opciones disponibles para el controlador ejecutando mplayer -vo aa:help
caca
    Controlador de salida de vídeo ASCII art coloreado que funciona en una consola de texto.
bl  Reproducción de vídeo usando el protocolo UDP Blinkenlights. Este controlador es altamente dependiente de hardware específico. Especifica el dispositivo Blinkenlights que se usará. es algo como arcade:host=localhost:2323 o hdl:file=name1,file=name2. Debe especificar un dispositivo.

ggi Controlador de salida de vídeo del sistema gráfico GGI. Especifica el controlador GGI que se usará. Reemplace cualquier ',' que aparezca en la cadena del driver por un '.'.

directfb
    Reproduce vídeo usando la biblioteca DirectFB. Usa el código de teclado de DirectFB en lugar del de MPlayer (por defecto: activado). Doble y triple buffer da mejores resultados si quiere evitar problemas de desgarros de imagen. El buffer triple es más eficiente que el doble buffer ya que no bloquea MPlayer mientras se espera al refresco vertical. El buffer simple debe evitarse (por defecto: single). Controla el orden de salida de los marcos entrelazados (por defecto: desactivado). Valores válidos son top = campos superiores primero, bottom = campos inferiores primero. Esta opción no tiene ningún efecto en material fílmico progresivo como lo son la mayoría de las películas MPEG. Necesitará activar esta opción si tiene problemas de desgarros de imagen/movimientos no suaves mientras visualiza material entrelazado. Forzará la capa con id N para la reproducción (por defecto: -1 - auto). Especifica una lista de parámetros para DirectFB.

dfbmga
    Controlador específico de salida de vídeo de Matrox G400/G450/G550 que usa la biblioteca DirectFB para poder usar las características especiales de hardware. Activa CRTC2 (segundo monitor), mostrando el vídeo independientemente del primer monitor. lo mismo que directfb (por defecto: desactivado). lo mismo que directfb (por defecto: triple). lo mismo que directfb. Activa el uso de Matrox BES (backend scaler) (por defecto: desactivado). Obtiene resultados muy buenos en lo que concierne a velocidad y calidad de la salida como procesado interpolado de la imagen hecho mediante hardware. Funciona sólo en el monitor primario. Hace uso de la capa sub imagen de Matrox para mostrar el OSD (por defecto: activado). Activa la salida TV en el segundo monitor (por defecto: activado). La calidad de la salida es muy buena y es una imagen completamente entrelazada con sincronización correcta en cada campo par/impar. Establece la norma TV de la tarjeta Matrox sin la necesidad de modificar /etc/directfbrc (por defecto: desactivado). Normas válidas son pal = PAL, ntsc = NTSC. Una norma especial es auto (auto-ajusta el uso de PAL/NTSC) porque decide qué norma se usa mirando la tasa de marcos de imagen de la película.

mga (solamente Linux)
    Controlador de salida de vídeo específico de Matrox que hace uso del backend scaler YUV en tarjetas Gxxx a través del módulo del kernel. Si tiene una tarjeta Matrox, esta es la opción más rápida. Especifica el nombre de dispositivo Matrox que se usará (por defecto: /dev/mga_vid).

xmga (solamente Linux, X11)
    El controlador de salida de vídeo mga, funcionando en una ventana X11. Especifica el nombre de dispositivo Matrox que se usará (por defecto: /dev/mga_vid).

s3fb (solamente Linux) (vea también -vf yuv2 y -dr)
    Controlador de salida de vídeo específico para S3 Virge. Este controlador soporta las características de conversión y escalado YUV de la tarjeta, doble almacenamiento de memoria y renderizado directo. Use -vf yuy2 para obtener renderizado YUY2 acelerado por hardware que es mucho más rápido que YV12 en esta tarjeta. Especifica el nombre de dispositivo fbdev que se usará (por defecto: /dev/fb0).

3dfx (solamente Linux)
    Controlador de salida de vídeo específico para 3Dfx que usa directamente el hardware por encima de X11. Únicamente se soportan 16 bpp.

tdfxfb (solamente Linux)
    Este controlador emplea el framebuffer tdfx para reproducir las películas con aceleración YUV en las tarjetas 3dfx. Especifica el nombre de dispositivo fbdev que se usará (por defecto: /dev/fb0).

tdfx_vid (solamente Linux)
    Controlador de salida de vídeo específico para 3Dfx. Funciona conjuntamente con el módulo del kernel. Especifica el nombre de dispositivo fbdev que se usará (por defecto: /dev/fb0).

dxr2 (vea también -dxr2) (DXR2 solamente)
    Controlador de salida de vídeo específico para Creative DXR2. Controlador de vídeo para usar como overlay (x11, xv).

dxr3 (DXR3 solamente)
    Controlador de salida de vídeo específico para el chip decodificador Sigma Design em8300 MPEG (Creative DXR3, Sigma Designs Hollywood Plus). Vea también el filtro de video lavc. Activa overlay en lugar de TVOut. Activa prebuffering. Activa el nuevo motor de sincronización. Especifica la norma de TV. 0: No cambia la norma actual (por defecto).
    1: Auto-ajusta usando PAL/NTSC.
    2: Auto-ajusta usando PAL/PAL-60.
    3: PAL
    4: PAL-60
    5: NTSC Especifica el número de dispositivo a usar si su hardware tiene más de una tarjeta em8300.

ivtv (IVTV only)
    Conexant CX23415 (iCompression iTVC15) o Conexant CX23416 (iCompression iTVC16) chip de decodificación MPEG (Hauppauge WinTV PVR-150/250/350/500) controlador de vídeo específico para salida de TV. Vea también el filtro de vídeo lavc. Especifica el nombre del dispositivo (por defecto: /dev/video16). Especifica la salida de TV para la señal de vídeo.

mpegpes (DVB solamente)
    Controlador de salida de vídeo específico para DVB que escribe la salida en un fichero MPEG-PES si no hay ninguna tarjeta DVB instalada. Especifica el número de dispositivo a usar si tiene más de una tarjeta con salida DVB (sólo API V3, tales como la serie de controladores 1.x.y). fichero de salida (por defecto: ./grab.mpg)

zr (vea también -zr* y -zhelp)
    Controlador de salida de vídeo para unas cuantas tarjetas capturadoras/reproductoras de MJPEG.

zr2 (vea también el filtro de vídeo zrmjpeg)
    Controlador de salida de vídeo para unas cuantas tarjetas capturadoras/reproductoras de MJPEG, segunda generación. Especifica el dispositivo de vídeo. Especifica la norma de vídeo (por defecto: auto). Activa o desactiva el prebuffering, todavía no está soportado.

md5 Calcula las sumas MD5 de cada frame y las escribe en un fichero. Soporta los espacios de color RGB24 y YV12. Útil para depurar. Permite especificar el nombre del archivo de salida (por defecto: ./md5).

yuv4mpeg
    Transforma el flujo de vídeo en una secuencia de imágenes YUV 4:2:0 sin comprimir y las almacena en un fichero (por defecto: ./stream.yuv). El formato es el mismo que el empleado por mjpegtools, por lo que le será útil si quiere procesar el vídeo con la suite de mjpegtools. Soporta los formatos YV12, RGB (24 bpp) y BGR (24 bpp). Puede combinar la opción con el parámetro -fixed-vo para concatenar ficheros con las mismas dimensiones y valor de fps. Escribe la salida como frames entrelazados, el campo de arriba primero. Escribe la salida como frames entrelazados, el campo de abajo primero. Escribe la salida a <fichero> en vez de a stream.yuv.

    NOTA: Si no especifica ninguna opción la salida es progresiva (p.e. no entrelazada).

gif89a
    Guarda cada frame en un fichero gif animado en el actual directorio. Sólo soporta el formato RGB con 24 bpp y la salida se convierte a 256 colores. Numero real para especificar el framerate (por defecto: 5.0). Especifica el fichero de salida (por defecto: ./out.gif).

    NOTA: Debe especificar el framerate antes que el nombre del fichero o el framerate formará parte del nombre del fichero.

    EJEMPLO:
mplayer video.nut -vo gif89a:fps=15.0:filename=test.gif

jpeg
    Guarda cada frame en un archivo JPEG en el directorio actual. Cada archivo toma el número de frame completado con ceros como nombre. Especifica JPEG estándar o progresivo (por defecto: noprogressive) Especifica el uso o no de línea base (por defecto: baseline) factor de optimización (por defecto: 100) factor de suavizado (por defecto: 0) factor de calidad (por defecto: 75) Especifica el directorio donde se guardarán los archivos JPEG (por defecto: ./).
subdirs=<valor>
    Crea subdirectorios numerados con el prefijo dado para guardar los ficheros en vez de usar el directorio actual.
maxfiles=<valor>
    Número máximo de archivos JPEG que se guardarán en cada subdirectorio. Debe ser igual o mayor que 1 (por defecto: 1000).

pnm Guarda cada frame en un fichero PNM en el directorio actual. Cada archivo toma el número de frame completado con ceros como nombre. Soporta ficheros PPM, PGM and PGMYUV tanto en modo crudo como modo ASCII. Vea también pnm(5), ppm(5) y pgm(5). Escribre ficheros PPM (por defecto). Escribre ficheros PGM. Escribre ficheros PGMYUV. PGMYUV es como PGM pero también contiene los planos U y V añadidos al fondo de la imagen. Escribe ficheros PNM en modo crudo (por defecto). Escribe ficheros PNM en modo crudo ASCII. Especifica el directorio en el que guardar los ficheros PNM (por defecto: ./). Crea subdirectorios numerados con el prefijo dado para guardar los ficheros en vez de usar el directorio actual. Número máximo de archivos que se guardarán en cada subdirectorio. Debe ser igual o mayor que 1 (por defecto: 1000).

png Guarda cada frame en un fichero PNG en el directorio actual. Cada archivo toma el número de frame completado con ceros como nombre. se soportan los formatos 24bpp RGB y BGR. Especifica el nivel de compresión. 0 si no hay compresión, 9 para la máxima compresión.

tga Guarda cada frame en un fichero Targa en el directorio actual. Cada archivo toma el número de frame completado con ceros como nombre. El propósito de este controlador de vídeo de salida es tener un escritor de imágenes sin pérdidas, sencillo, que no necesite ninguna librería externa. Soporta el formato de color BGR[A] con 15, 24 y 32 bpp. Puede forzar un formato particular con el filtro de vídeo de formato.

    EJEMPLO:
mplayer video.nut -vf format=bgr15 -vo tga

OPCIONES DE DECODIFICADO/FILTRADO

-ac <[-|+]codec1,[-|+]codec2,...[,]>
    Especifica una lista de prioridades de los codecs de audio, de acuerdo a su nombre en codecs.conf. Use un '-' antes del nombre del codec para omitirlo. Use un '+' antes del nombre del codec para forzar su uso, ¡esto probablemente cause el fallo del programa!. Si la lista al final tiene una ',' MPlayer probará los codecs no listados.
    NOTA: Vea -ac help para una lista completa de los codecs disponibles.

    EJEMPLO: Fuerza el codec MP3 l3codeca.acm. Prueba libmad primero, después los demás. Prueba pasar a través del hardware AC3, luego el codec por software AC3, y finalmente los demás. Prueba el codec por hardware DTS, luego los demás. Se salta el decodificador MP3 de FFmpeg.

-af-adv <force=(0-7):list=(filtros)> (vea también la opción -af)
    Especifica opciones avanzadas de los filtros de audio: Fuerza la inserción de filtros de audio de una de las siguientes maneras: 0: Inserción de filtros completamente automática.
    1: Optimizada para precisión (por defecto).
    2: Optimizada para velocidad. Aviso: Algunas de las características de los filtros de audio pueden fallar silenciosamente y la calidad del sonido puede bajar.
    3: No usar ni la inserción automática de filtros ni las optimizaciones. Aviso: Es posible que MPlayer falle usando esta opción.
    4: Inserción automática de filtros de acuerdo con la opción 0, pero se hace uso del proceso en coma flotante cuando sea posible.
    5: Inserción automática de filtros de acuerdo con la opción 1, pero se hace uso del proceso en coma flotante cuando sea posible.
    6: Inserción automática de filtros de acuerdo con la opción 2, pero se hace uso del proceso en coma flotante cuando sea posible.
    7: Inserción automática de filtros de acuerdo con la opción 3, pero se hace uso del proceso en coma flotante cuando sea posible. Lo mismo que -af.

-afm <driver1,driver2,...>
    Especifica una lista de prioridades de familias de codecs de audio, de acuerdo a su nombre en codecs.conf. Se queda en el que tiene por defecto si ninguno funciona bien.
    NOTA: Vea -afm help para una lista completa de los controladores disponibles.

    EJEMPLO: Prueba los codecs libavcodec de FFmpeg primero. prueba los codecs Win32 primero

-aspect <razón> (vea también -zoom)
    Sobreescribe la razón de aspecto de las películas en el caso de que la información del aspecto sea incorrecta o falte.

    EJEMPLO: -aspect 4:3 o -aspect 1.3333
    -aspect 16:9 o -aspect 1.7777

-noaspect
    Desactiva la compensación automática de la relación de aspecto de la película.

-field-dominance <-1-1>
    Estblece el primer campo para el contenido entrelazado. Útil para desentrelazadores que doblan el framerate: -vf tfields=1, -vf yadif=1 y -vo xvmc:bobdeint. auto (por defecto): Si el decodificador no exporta la información adecuada vuelve a 0 (el campo de arriba primero). el campo de arriba primero el campo de abajo primero

-flip
    Voltea la imagen arriba-abajo.

-lavdopts <opción1:opción2:...> (CÓDIGO DE DEPURACIÓN)
    Especifica los parámetros de decodificado de libavcodec. Separe las opciones múltiples con una coma.

    EJEMPLO: -lavdopts gray:skiploopfilter=all:skipframe=nonref

    Las opciones disponibles son:
Usar únicamente los algoritmos bit-exact en todos los pasos de decodificación (para la comprobación de codecs). Corrección manual para los fallos de codificador. 0: nada
1: detectar automáticamente errores (por defecto)
2 (msmpeg4v3): algunos viejos ficheros lavc msmpeg4v3 (sin detección)
4 (mpeg4): error de entrelazado de XviD (detección si fourcc==XVIX)
8 (mpeg4): UMP4 (detección si fourcc==UMP4)
16 (mpeg4): error de rellenado (detectado automáticamente)
32 (mpeg4): error vlc ilegal (detectado para fourcc)
64 (mpeg4): error qpel de Xvid y DivX (detectado para fourcc/version)
128 (mpeg4): antiguo estándar qpel (detectado para fourcc/version)
256 (mpeg4): otro fallo qpel (detectado para fourcc/version)
512 (mpeg4): error direct-qpel-blocksize (detectado para fourcc/version)
1024 (mpeg4): error de rellenado de bordes (detectado para fourcc/version) debug:
0: desactivado
1: información de imagen
2: control de tasa
4: flujo de bits
8: tipo de MB
16: QP
32: vector de movimiento
0x0040: Visualización de vector de movimiento (use -noslices)
0x0080: salto de MB
0x0100: startcode
0x0200: PTS
0x0400: error de resistencia
0x0800: operaciones de control de manejo de memoria (H.264)
0x1000: fallos
0x2000: Visualización del parámetro de cuantización (QP), valores bajos producen un tinte verde.
0x4000: Visualización del tipo de bloques. Estrategia para la ocultación de errores: 1: usa un filtro desbloqueador fuerte para MBs dañados
2: búsqueda MV iterativa (lento)
3: todos (por defecto) Estrategia para la resistencia de errores:
0: desactivado
1: cuidadoso (debe funcionar con codificadores en mal estado)
2: normal (por defecto) (funciona con codificadores que lo cumplan)
3: agresivo (más comprobaciones pero puede causar problemas incluso para flujos válidos)
4: muy agresivo Activar algunas optimizaciones que no cumplen las especificaciones y que potencialmente pueden causar problemas, como decuantización simple, compensación de movimiento simple, asume el uso de la matriz de cuantización por defecto, asume YUV 4:2:0 y saltar algunas comprobaciones de detección de flujos de bits dañados decodificación solo en escala de grises (un poco más rápida que con color) Para una mejor calidad de la decodificación use el mismo algoritmo para decodificar y codificar. Esto, sin embargo, hace que se pague un precio en precisión. Decodifica a resoluciones más bajas. La decodificación a resoluciones más bajas no esta soportada por todos los codecs y a menudo producirá artefactos no deseados. Esto no es un fallo, sino un efecto secundario de no decodificar a resolución completa.
0: desactivado
1: 1/2 resolución
2: 1/4 resolución
3: 1/8 resolución
    Si se especifica <w> la decodificación a resoluciones más bajas sólo se usará si la anchura del vídeo es mayor o igual que <w>.
Salta el número de filas de macrobloque especificadas en la parte de abajo. Salta el número de filas de macrobloque especificadas en la parte de arriba. Salta el filtro de bucle (desbloqueo) durante la decodificación H.264. Como se supone que el marco filtrado debe usarse como referencia para decodificar marcos dependientes esto tiene un efecto peor en la calidad que no hacer el desbloqueo en p.e. MPEG-2 vídeo. Pero al menos para ficheros HDTV con una alta tasa de bits produce una gran aceleración sin una visible pérdida de calidad.

<valor de salto> puede ser uno de los siguientes valores:
none: No saltar nunca.
default: Saltar pasos de proceso inútiles (p.e. paquetes de tamaño 0 en AVI).
nonref: Saltar marcos que no están referenciados (p.e. no se usa para decodificar otros marcos, el error no se puede "acumular").
bidir: Salta Marcos-B.
nonkey: Salta todos los marcos excepto los marcos clave.
all: Salta todos los marcos. Salta el paso IDCT. Esto degrada mucho la calidad en la mayoría de los casos (vea skiploopfilter para obtener los valores de salto disponibles). Salta la decodificación de marcos por completo. Produce una gran aceleración, pero también un movimiento desigual y a veces artefactos (vea skiploopfilter para obtener los valores de salto disponibles). número de hilos que se usarán para la decodificación (por defecto: 1) Visualiza los vectores de movimiento.
0: desactivado
1: visualiza MVs de marcos de imagen P previstos en adelante
2: visualiza MVs de marcos de imagen B previstos en adelante
4: visualiza MVs de marcos de imagen B previstos hacia atrás Muestra algunas estadísticas y las almacena en ./vstats_*.log.

-noslices
    Desactiva el dibujado de vídeo por bandas/rebanadas de altura de 16-pixels, en lugar de dibujar la imagen entera de una pasada. Puede ser más rápido o más lento, dependiendo de la cache/tarjeta. Sólo tiene efecto con los codecs libmpeg2 y libavcodec.

-nosound
    No reproduce/codifica sonido. Útil para pruebas de rendimiento.

-novideo
    No reproduce/codifica vídeo. En muchos casos no funcionará, use -vc null -vo null en su lugar.

-pp <calidad> (¡vea también la opción -vf pp!)
    Establece el nivel de procesado de la DLL. Esta opción ya no se puede usar con -vf pp. Sólo funciona con DLLs Win32 DirectShow con rutinas internas de procesado. El rango válido de valores para -pp varía con el codec, la mayoría tienen de 0-6, donde 0=desactivado 6=lento/mejor.

-pphelp (vea también la opción -vf pp)
    Muestra un resumen sobre los filtros de procesado disponibles y su uso.

-ssf <modo>
    Especifica los parámetros del escalador por software.

    EJEMPLO: -vf scale -ssf lgb=3.0
Filtro difuminado Gaussiano (luma) Filtro difuminado Gaussiano (croma) filtro de perfilado (luma) filtro de perfilado (croma) desplazamiento de croma horizontal desplazamiento de croma vertical

-stereo <modo>
    Selecciona el tipo de salida estéreo de MP2/MP3. Estéreo Canal izquierdo Canal derecho

-sws <tipo de escalador software> (vea también la opción -vf y -zoom)
    Especifica el algoritmo que usará el escalador por software con la opción -zoom. Esto afecta a los drivers de salida de vídeo que no tienen aceleración por hardware p.e. x11.

    Las configuraciones posibles son:

    bilineal rápido bilineal bicúbico (calidad buena) (por defecto) experimental entorno cercano (calidad mala) área luma bicúbico / croma bilineal gauss sincR lanczos spline bicúbico natural

    NOTA: Algunas opciones de -sws son configurables. La descripción del filtro de escalado de vídeo tiene más información.

-vc <[-|+]codec1,[-|+]codec2,...[,]>
    Especifica una lista prioritaria de codecs para usarse, de acuerdo a sus nombres del codec en codecs.conf. Use un '-' antes del nombre del codec para omitirlo. Use un '+' antes del nombre del codec para forzarlo, esto probablemente falle. Si la lista tiene una ',' final, se probarán los codecs no listados.
    NOTA: Vea -vc help para una lista completa de codecs disponibles.

    EJEMPLO: Fuerza codec Win32/VfW DivX, y no otros. Prueba codecs excepto los Win32 DivX. Prueba el codec libavcodec MPEG1/2, después libmpeg2 y luego el resto.

-vfm <driver1,driver2,...>
    Especifica una lista prioritaria de familia de codecs de vídeo a ser usados, de acuerdo a sus nombres en codecs.conf. Regresa al que haya por defecto si no funciona ninguno.
    NOTA: Vea -vfm help para una lista completa de controladores disponibles.

    EJEMPLO: Prueba los codecs libavcodec, luego Direcshow, después VFW y luego el resto , si no funcionan. prueba primero los codecs XAnim

-x <x> (vea también -zoom) (MPlayer solamente)
    Escala la imagen a ancho x (si hay escalado sw/hw disponible). Inhabilita cálculos de aspecto.

-xvidopts <opción1:opción2:...>
    Especifica parámetros adicionales cuando se decodifica con XviD.
    NOTA: Dado que libavcodec es más rápida que Xvid quizá prefiera usar el filtro de procesado libavcodec (-vf pp) y decodificador (-vfm ffmpeg).

    Filtros de procesado internos de Xvid: filtro de debloque de croma filtro de debloque de luminancia filtro de desanillado lumínico filtro filtro de desanillado de croma Añade grano de película artificial al vídeo. Puede incrementar la calidad percibida, mientras que disminuye un poco la calidad real.

    métodos de renderizado:
Activa el método 2 de renderizado directo. Desactiva el método 2 de renderizado directo.

-xy <valor> (vea también -zoom)
    Escala la imagen en un factor <valor>. Establece el ancho al valor y calcula el alto para mantener la relación de aspecto correcta.

-y <y> (MPlayer solamente)
    Escala la imagen a altura y (si hay escalado sw/hw disponible). Inabilita cálculos de aspecto.

-zoom
    Permite escalar por software, cuando esté disponible. Esto permite el escalado con drivers de salida (como x11, fbdev) que no soportan escalado por hardware en los que MPlayer desactiva el escalado por defecto por razones de rendimiento

FILTROS DE VIDEO
Los filtros de video son plugins que permiten modificar el flujo de video y sus propiedades. La sintaxis es:

-vf <filtro1[=parámetros],filtro2,...>
    Configura una cadena de filtros de video

-vop <...,filtro3[=parámetros],filtro2,filtro1> (OBSOLETO)
    Configura una cadena de filtros de video, a ser aplicados en orden inverso. Anticuado en favor de -vf.

Los parámetros son opcionales y si son omitidos, algunos serán tomados sus valores por defecto. Use '-1' para mantener el valor por defecto. Los parámetros w:h significan ancho x alto en pixels, x:y significa posición x;y contada desde la esquina superior izquierda de la imagen grande.
NOTA: Para obtener una lista completa de los filtros disponibles, vea -vf help.

Los filtros son administrados en listas. Hay unas pocas órdenes para administrar la lista de filtros.

-vf-add <filtro1[,filtro2,...]>
    Añade los filtros dados como argumentos a la lista de filtros.

-vf-pre <filtro1[,filtro2,...]>
    Quita los filtros dados como argumentos a la lista de filtros.

-vf-del <índice1[,índice2,...]>
    Borra los filtros en los índices dados. Los números de índices comienzan en 0, los números negativos se direccionan al final de la lista (-1 es el último).

-vf-clr
    Vacía por completo la lista de filtros.

Con filtros que lo soporten, puede acceder a los parámetros por su nombre.

-vf <filtro>=help
    Muestra los nombres de los parámetros y el rango de valores para el filtro en particular.

-vf <filtro=nombre_parámetro1=valor1[:nombre_parámetro2=valor2:...]>
    Establece un parámetro dado por nombre al valor dado. Use on y off o yes y no para establecer o no los parámetros.

Los filtros disponibles son:

crop[=w:h:x:y]
    Recorta la parte de la imagen dada y descarta el resto. Útil para borrar bandas negras de películas en formato panorámico. Recortado con ancho y alto, con ancho y alto original por defecto. Posición de la imagen recortada, por defecto es centrada.

cropdetect[=0-255]
    Calcula los parámetros necesarios de recortado y muestra los parámetros recomendados en la salida estandar. El umbral puede ser especificado opcionalmente desde nada (0) hasta todo (255). (por defecto: 24)

rectangle[=w:h:x:y]
    El plugin responde a la directiva de input.conf 'change_rectangle' que tiene dos parámetros. ancho y alto (por defecto: -1, anchura máxima posible mientras continúan visibles las fronteras) posición de la esquina arriba izquierda (por defecto: -1, lo más a la izquierda posible, lo más arriba posible)

expand[=w:h:x:y:o]
    Expande (no escala) la resolución de la película al valor dado y coloca el original sin escalar en las coordenadas x, y. Puede ser usado para colocar subtítulos/OSD en las bandas negras resultantes. ancho,alto expandido (por defecto: ancho,alto original). Valores negativos para w y h son tratados como desplazamiento del tamaño original.

    EJEMPLO:
expand=0:-50:0:0
    añade un borde de 50 pixels en la parte de abajo de la imagen
posición de la imagen original en la imagen expandida (por defecto: centrada) renderizado de OSD/subtítulos 0: desactivado (por defecto)
1: activado

flip
    Voltea la imagen de arriba a abajo. Vea también la opción -flip.

mirror
    Hace espejo de la imagen en el eje Y.

rotate[=<0-7>]
    Rota y voltea (opcional) la imagen +/- 90 grados. Para parámetros entre 4-7 la rotación se hace solo si la geometría de la película es en vertical y no en horizontal.

scale[=w:h[:interlaced[:chr_drop[:param[:presize]]]]]
    Escala la imagen con el escalador de software (lento) y realiza una conversión en el espacio de color YUV<->RGB (vea también -sws). Escala a ancho/alto (por defecto: ancho/alto original) NOTA: Si se usa -zoom, y filtros de capas (incluyendo libvo) no es posible escalar, y entonces se usará d_ancho/d_alto por defecto!
     0: d_width/d_height escalado
    -1: width/height original
    -2: Calcula w/h usando la otra dimensión y la razón de aspecto de preescalado.
    -3: Calcula w/h usando la otra dimensión y la razón de aspecto original. Cambia indicador de escalado entrelazado. Salto de crominancia 0: usa todas las líneas de entrada de crominancia disponibles
    1: usa solo cada 2. líneas de entrada para crominancia
    2: usa solo cada 4. líneas de entrada para crominancia
    3: usa solo cada 8. líneas de entrada para crominancia parámetro de escalado (depende del método de escalado usado) -sws 2 (bicúbico): perfilado (0 (suave) - 100 (nítido))
    -sws 7 (gaussiano): sharpness (0 (suave) - 100 (nítido))
    -sws 9 (lanczos): longitud del filtro (1 - 10) Escala a tamaños preestablecidos. qntsc: 352x240 (NTSC quarter screen)
    qpal: 352x288 (PAL quarter screen)
    ntsc: 720x480 (NTSC estándar)
    pal: 720x576 (PAL estándar)
    sntsc: 640x480 (NTSC square pixel)
    spal: 768x576 (PAL square pixel)

dsize={aspecto|w:h}
    Cambia el tamaño/aspecto deseado de la pantalla en un punto arbitrario de la cadena de filtro. El aspecto puede ser dado como una fracción (4/3) o como un número en coma flotante (1.33). Alternativamente, puede especificar el ancho y alto deseados exactos para la pantalla. Note que este filtro NO escala por sí mismo; solo afecta cuando se está escalando (software o hardware) o cuando se auto-escala para corregir aspecto.

yuy2
    Fuerza conversión software YV12/I420 o 422P a YUY2. Útil para tarjetas de video/controladores con soporte YV12 lento pero soporte YUY2 rápido.

yvu9
    Fuerza la conversión en el espacio de color YVU9 a YV12. Ya no se usa en favor del escalador de software.

yuvcsp
    Mantiene los valores de color YUV en el rango CCIR 601 sin hacer una conversión real.

rgb2bgr[=swap]
    Conversión en el espacio de color RGB 24/32 <-> BGR 24/32. También realiza intercambio R <-> B.

palette
    Conversión usando paleta en el espacio de color RGB/BGR 8 -> 15/16/24/32bpp.

format[=fourcc]
    Restringe el espacio de color al siguiente filtro sin realizar ninguna conversión. Usar junto con el filtro de escalado para una conversión real. Para obtener una lista de los formatos disponibles vea formar=fmt=help. nombre del formato como rgb15, bgr24, yv12, etc (por defecto: yuy2)

noformat[=fourcc]
    Restringe el espacio de color para el siguiente filtro sin hacer ninguna conversión. A diferencia del filtro format, este pemite cualquier espacio de color excepto el que especifique. Para obtener una lista de los formatos disponibles vea noformat=fmt=help. nombres de formato son rgb15, bgr24, yv12, etc (por defecto: yv12)

pp[=filter1[:opción1[:opción2...]]/[-]filtro2...] (vea también -pphelp)
    Esta opción habilita el uso del filtro de postprocesado interno de MPlayer, y también proporciona una interfaz para que pueda pasarle opciones al filtro. Para obtener una lista de los filtros disponibles, use -pphelp. Note que cada sub-filtro debe separarse con un signo /.
    Cada filtro se aplica por defecto a 'c' (crominancia).
    Las palabras claves aceptan un prefijo '-' para desactivar la opción.
    A ':' seguido por una letra puede agregarse a la opción para indicar su objetivo: Desactivar automáticamente el filtro si la CPU es demasiado lenta. Hacer filtro de crominancia, también. No filtrar la crominancia (solo la luminancia).

    EJEMPLO:
eliminación de bloques horizontal y vertical, eliminación de efecto de anillos y brillo/contraste automático eliminación de bloques horizontal y vertical, eliminación de efecto de anillos, brillo/contraste automático y desentrelazador de mezcla lineal filtros por defecto sin corrección de brillo/contraste Activa los filtros por defecto y el eliminador temporal de ruido. Elimina bloques de luminancia solo horizontal y cambia a vertical o se desactiva dependiendo de la disponibiblidad del tiempo de CPU.

spp[=quality[:qp[:modo]]]
    filtro de postprocesado simple 0-6 (por defecto: 3) parámetro para forzar la cuantización (por defecto: 0, usa qp del video) 0: umbral fuerte (por defecto)
    1: umbral suave (mejor deringing, peor difuminado de imagen)

qp=ecuación
    filtro de cambio qp una ecualización como "2+2*sen(PI*qp)"

test
    Genera varios patrones de test.

rgbtest
    Genera un patrón de test RGB útil para detectar problemas de RGB frente a BGR. Debe mostrar franjas roja, verde y azul de arriba a abajo.

lavc[=quality:fps]
    Conversión sofware YV12 a MPEG1 con libavcodec para usar con DVB/DXR3. Más rápido y mejor calidad que con -vf fame. 1-31: qscale fijo
    32-: bitrate fijo en kBits fuerza los fps de salida (valor real) (por defecto: 0, autodetección basada en la altura)

fame
    Conversión software YV12 a MPEG1 con libfame para usar con DVB/DXR3.

dvbscale[=aspect]
    Configura un escalado óptimo para tarjetas DVB, escalando el eje X en hardware y calculando el eje Y por software para mantener el aspecto. Solo es útil junto con expand+scale (-vf dvbscale,scale=-1:0,expand=-1:576:-1:-1:1,lavc). Controla la razón de aspecto, calculado como DVB_HEIGHT*ASPECTRATIO (por defecto 576*4/3=768), establezcalo a 576*(16/9)=1024 para una TV de 16:9.

noise[=luma[u][t|a][h][p]:chroma[u][t|a][h][p]]
    Agregar ruido. ruido en luminancia ruido en crominancia ruido uniforme (si no será gaussiano) ruido temporal (el patrón de ruido cambia entre imágenes) ruido temporal medio (suave, pero muy lento) alta calidad (ligeramente mejor de vista, ligeramente lento) mezcla ruido aleatorio con un patrón (semi)regular

denoise3d[=luma:chroma:time]
    Este filtro intenta reducir el ruido de la imagen produciendo imágenes suavizadas y haciendo que las imágenes quietas sean realmente quietas (Esto debería mejorar la compresibilidad). Puede tener de 0 a 3 parámetros. Si omite un parámetros, se usará un valor razonable. dureza de la luminancia espacial (por defecto = 4) dureza de crominancia espacial (por defecto = 3) dureza temporal (por defecto = 6)

hqdn3d[=luma:chroma:time]
    Versión de alta precisión/calidad del filtro denoise3d. Los parámetros y el uso son los mismos.

eq[=brillo:cont]
    Ecualizador software con controles interactivos como el ecualizador de hardware, para tarjetas/controladores que no soporten controles de brillo y contraste por hardware. También puede ser útil con MEncoder, para arreglar películas capturadas que no se vean bien, o para reducir ligeramente el contraste y enmascarar artificios que aparecen con bitrates bajos. Los valores iniciales en el rango -100-100 pueden darse en la línea de órdenes.

eq2[=gamma:contraste:brillo:saturación:rg:gg:bg:peso]
    Ecualizador por software alternativo que usa tablas de consulta (muy lento), permitiendo corrección de gamma además de los ajustes de brillo simple y ajustes de contraste. Note que usa el mismo código optimizado MMX que -vf eq si todos los valores de gamma son 1.0. Los parámetros son tomados como valores en coma flotante. Los parámetros rg, gg, bg son los valores de gamma independientes para las componentes de Rojo, Verde y Azul. Los valores por defecto son 1.0, brillo=0.0. El parámetro peso puede usarse para reducir el efecto de un valor alto del gamma en áreas con brillo, e.g. se mantiene para obtener más amplificadas y blancos planos. Un valor de 0.0 devuelve la corrección gamma de todo mientras que 1.0 da el máximo valor. Por defecto es gamma=1.0, contraste=1.0, brillo=0.0, saturación=1.0, peso=1.0. El rango es 0.1-10 para gamma, -2-2 para contraste (valores negativos resultan en imagen en negativo), -1-1 para brillo, 0-3 para saturación.

hue[=matiz:saturación]
    Por defecto es matiz=0.0, saturación=1.0. Los rangos de valores son -180-180 para matiz, -2-2 para saturación (valores negativos resultan en croma negativa).

halfpack[=f]
    Convierte YUV 4:2:0 planar a empaquetado 4:2:2 altura-media, rebajando la luminancia pero manteniendo todas las muestras de crominancia. Útil para dispositivos de salida de baja-resolución cuando el rebajado por hardware es de peor calidad o no está disponible. También peude usarse como un desenlazador primitivo de solo luminancia con un consumo muy bajo de cpu. Por defecto, halfpack hade medias de pares de líneas cuando baja el muestreo. El parámetro f opcional puede ser cero para usar solo líneas pares, o 1 para usar solo líneas impares. Cualquier otro valor para f hace que se use el comportamiento por defecto (para hacer la media).

ilpack[=mode]
    Cuando el video entrelazado es almacenado en formatos YUV 4:2:0, el entrelazado de crominancia no se alinea correctamente debido al submuestreo vertical de los canales de crominancia. Este filtro empaqueta los datos de 4:2:0 planar en formato YUY2 (4:2:2) con las líneas de crominancia en sus posiciones correctas, en cualquier scanline dado, la luminancia y la crominancia vienen ambos del mismo campo. El argumento opcional selecciona el modo de muestreo. Por defecto, se usa interpolación lineal (modo 1). El modo 0 usa muestreo por entorno más cercano, el cual es rápido pero incorrecto.

harddup
    Solo es útil con MEncoder. Si harddup se usa en la codificación, forzará marcos de imagen duplicados para codificarse en la salida. Usa un poco más de espacio, pero es necesario para sacar archivos MPEG o si planea demultiplexar y remultiplexar el flujo de video después de la codificaión. Debe ser colocado cerca del final de la cadena de filtros a menos que tenga una buena razón para no hacerlo.

softskip
    Solo útil con MEncoder. Softskip mueve el paso de salto de imagen (lo elimina) de codificación de antes de la cadena de filtros en algún punto de la cadena de filtros. Esto permite que los filtros que necesitan ver más imágenes (telecine inverso, denoising temporal, etc.) funcionen correctamente. Debe ser emplazado después de los filtros que necesiten ver todos los marcos de imagen y antes de los filtros que hagan un uso intensivo de la CPU.

decimate[=max:hi:lo:frac]
    Ignora imágenes que no difieren mucho de las imágenes anteriores para reducir el número de imágenes por segundo. El argumento max (si es positivo) establece el máximo número de imágenes consecutivas que pueden ser ignoradas, o (si es negativo) el mínimo intervalo entre imágenes ignoradas. Una imagen es candidata a ser ignorada si no hay región de 8x8 que difiera más que un umbral de hi, y si no hay más que una porción frac (1 significa la imagen entera) que difiera más que el umbral de lo. Los valores de hi y lo son para bloques de pixels de 8x8 y representan las diferencias de valores de pixels actuales, para que un umbral de 64 corresponda a 1 unidad de diferencia para cada pixel, o el mismo esparcido de forma diferente sobre el bloque. El principal uso de este filtro es para codificación a bitrate-muy-bajo (p.e. streaming sobre conección con modem), pero puede ser en teoría usado para corregir películas que han sido invertidas en telecine incorrectamente.

dint[=sense:level]
    Detecta y elimina la primera de las imágenes entrelazadas en el flujo de video. Los valores pueden ir de 0.0 a 1.0 - el primero (por defecto 0.1) es la diferencia relativa entre pixels del entorno, el segundo (por defecto 0.15) is qué parte de la imagen debe ser detectada como entrelazada para eliminar la imagen.

lavcdeint
    Usa el filtro de desentrelazado de livavcodec.

kerndeint[=umbral[map[:orden[:sharp[:twoway]]]]]
    Desentralazador de núcleo adaptativo de Donald Graft. Desentrelaza partes de video si se excede un umbral configurable. Umbral (por defecto 10). Pinta pixels que exceden el umbral de blanco (por defecto 0). Intercambia campos si 1 (por defecto 0). Activa perfilado adicional (por defecto 0). Activa perfilado en dos veces (por defecto 0).

unsharp=l|cWxH:amount[:l|cWxH:amount]
    Máscara de eliminación de perfilado / difuminado gaussiano. Aplica el efecto en la componente de luminancia. Aplica el efecto en las componentes de crominancia. ancho y alto de la matriz, tamaño impar en ambas direcciones (min = 3x3, max = 13x11 or 11x13, normalmente algo entre 3x3 y 7x7) Cantidad relativa de perfilado/difuminado a añadir a la imagen (un rango correcto está entre -1.5-1.5). <0: difumina
    >0: perfila

swapuv
    Intercambia el plano U y V.

il=[d|i][s][:[d|i][s]]
    (des)entrelaza líneas. El objetivo de este filtro es añadir la habilidad para procesar imágenes entrelazadas pre-campo sin desentrelazarlas. Puede filtrar su DVD entrelazado y reproducirlo en una TV sin romper el entrelazado. Durante el desentrelazado (con el filtro de postprocesado) se elimina el entrelazado permanentemente (por suavizado, media, etc) desentrelazando roturas de la imagen en 2 campos (también llamados semi imágenes), para que pueda procesarlo (filtrarlo) después independientemente y re-entrelazarlo. desentrelaza (colocando uno encima del otro) entrelaza intercambia campos (cambia entre líneas par e impar)

fil=[i|d]
    (des)interpolación de líneas. Este filtro es muy similar al filtro il pero mucho más rápido, la principal desventaja es que no siempre funciona. Especialmente si es combinado con otros filtros puede producir efectos extraños en las imágenes, de modo que alégrese si le funciona pero no se nos queje si no funciona para su combinación de filtros. Desinterpola campos, colocandolos uno al lado de otro. Interpola campos de nuevo (invirtiendo el efecto de fil=d).

field[=n]
    Extrae un campo simple de una imagen entrelazada usando aritmética a saltos para evitar consumir mucho tiempo de CPU. El argumento opcional n especifica cuál extraer el campo par o el impar (dependiendo de si n es par o impar)

detc[=var1=value2:var2=value2:...]
    Intenta invertir el proceso de 'telecine' para recuperar un flujo limpio, no entrelazado en las imágenes por segundo de la película. Este fue el primer filtro de telecine inverso que se añadió a MPlayer/MEncoder. Funciona enganchando el patrón de telecine 3:2 y siguiendolo tanto como sea posible. Esto lo hace perfecto para usarlo en material telecine, incluso en la presencia de un grado de ruido lejano, pero cae en la presencia de editores de telecine complejos. El desarrollo de este filtro no está siendo continuado, ya que ivtc, pullup, y filmdint son mejores para la mayoría de las aplicaciones. Lo siguientes argumentos (vea la sintaxis más arriba) pueden usarse para controlar el comportamiento de detc: Establece la forma de saltarse imágenes. 0 (por defecto) significa no saltar imágenes para mantener fijo el número de imágenes por segundo de salida. 1 significa saltar siempre una imagen cuando no hay saltos o mezclas de telecine en los 5 frames pasados. 2 significa mantener siempre relación 5:4 de entrada a salida. NOTA: Use modo 1 o 2 con MEncoder. Modo análisis. Los valores disponibles son 0 (patrón fijo con número inicial de imagen especificada en fr=#) y 1 (búsqueda agresiva para patrón de telecine). Por defecto es 1. Establece el número inicial de imagen en la secuencia. 0-2 son las tres imágenes progresivas limpias; 3 y 4 son las dos imágenes entrelazadas. El valor por defecto, -1, significa 'no en secuencia de telecine'. El número especificado aquí es el tipo para la imagen previa imaginaria antes de que la película comience. Valores umbrales para ser usados en ciertos modos.

ivtc[=1]
    Filtro de telecine inverso 'sin-estado' experimental. En lugar de intentar bloquear en un patrón como hace el filgro detc, ivtc toma decisiones independientes para cada imagen. Esto da resultados mucho mejores para material que ha sido mal editado después de aplicar telecine, además de para resultados que tienen ruido de entrada, por ejemplo captura de TV. El parámetro opcional (ivtc=1) corresonde a la opción dr=1 para el filtro detc, y debe ser usado con MEncoder pero no con mplayer. Como con detc, debe especificar la relación de imágenes por segundo correcta (-ofps 23.976) cuando use MEncoder. El desarrollo de ivtc se ha parado, ya que los filtros pullup y filmdint parecen ser mucho más precisos. pullup[=jl:jr:jt:jb:sb] Filtro de pulldown inverso de tercera generación (telecine inverso), capaz de manejar contenido de telecine-duro mezclado, 24 fps progresivo, y 30 fps progresivo. El filtro pullup está diseñado para ser mucho más robusto que detc o ivtc, tomando ventaja del contexto futuro al tomar sus decisiones. Como ivtc, pullup no tiene en cuenta el estado en el sentido en que no bloquea el patrón siguiente, sino que en lugar de eso mira hacia los siguientes campos para identificar coincidencias y reconstruir marcos de imagen progresivos. Aún está bajo desarrollo, pero creemos que es bastante impreciso. Las opciones jl, jr, jt, y jb establecen la cantidad de "junk" para ignorar a la izquierda, derecha, arriba, y abajo de la imagen, respectivamente. Izquierda/derecha son unidades de 8 pixels, mientras que arriba/abajo son unidades de dos líneas. El valor por defecto son 8 pixels en cada lado. Establecer la opción sb (strict breaks) a 1 reduce los cambios de pullup generando un marco que ocasionalmente no coincide, pero también puede causar un número excesivo de marcos de imagen eliminados durante las escenas de mucho movimiento.
    NOTA: Use siempre pullup seguido del filtro softskip cuando codifique para asegurarse de que pullup es capaz de ver cada marco de imagen. Un fallo en esto hará que se tenga una salida incorrecta y probablemente ocasionará un cuelgue, debido a limitaciones en el diseño de la capa de codecs/filtros.

filmdint[=opciones]
    Filtro de telecine inverso, similar al filtro pullup de arriba. Está diseñado para manejar un patrón pulldown, incluyendo mezcla por software y telecine por hard y limitado para soportar películas que han sido ralentizadas o aceleradas desde su tasa de bits original para TV. Solo se usa el plano luma para encontrar los cortes de marcos de imagen. Si un campo no tiene coincidencia, es desentrelazado con una aproximación lineal simple. Si la fuente es MPEG-2, debe ser el primer filtro para permitir acceso a los field-flags establecidos por el decodificador MPEG-2. Dependiendo de la fuente MPEG, puede que le funcione ignorando este aviso y no vea un montón de advertencias "Bottom-first field". Sin opciones realiza un telecine inverso normal, y debe usarse junto con mencoder -fps 29.97 -ofps 23.976. Cuando este filtro se usa con mplayer, resulta en una tasa de imágenes por segundo impar durante la reproducción, pero sigue siendo generalmente mejor que usar pp=lb o no desentrelazar. Se pueden especificar múltiples opciones separadas por /. Igual que el filtro crop (recortado), pero más rápido, y funciona en mezclas de contexto de telecine hard y soft así como con un valor de y que no sea múltiplo de 4. Si x o y requieren recorte fraccional de pixels desde los planos de croma, el área de recorte es extendida. Normalmente esto significa que x e y deben ser pares. Para cada ifps marcos de imagen de entrada el filtro proporciona ofps marcos. La razón ifps/ofps debe coincidir con la razón -fps/-ofps. Esto puede usarse para filtrar películas de broadcast en una TV a la razón de imágenes por segundo distinta a la original. Si n es distinto de cero, el plano croma es copiado sin cambios. Esto es útil para TV YV12 muestreada, que descarga uno de los campos de croma. En x86, si n=1, usa funcines optimizadas MMX2, si n=2, usa funciones optimizadas 3DNow!, en otro caso, usa C plano. Si esta opción no es especificada, MMX2 y 3DNow! son auto-detectados, use esta opción para forzar la detección. Valores más altos de n aceleran el filtro a expensas de precisión. El valor por defecto es n=3. Si n es impar, el marco inmediatamente siguiente al marco marcado con la etiqueta MPEG REPEAT_FIRST_FIELD se asume que es progresivo, por eso el filtro no pierde ningún tiempo en contenido MPEG-2 soft-telecine. Este es el único efecto de esta etiqueta si MMX2 o 3DNow! están disponibles. Sin MMX2 y 3DNow!, si n=0 o 1, los mismos cálculos se usan como con n=2 o n=3. Si n=2 o 3, el número de niveles de luma usados para encontrar la rotura de marco es reducido de 256 a 128, que resulta en un filtro rápido sin perder mucha precisión. Si n=4 o 5, se usará una métrica rápida pero mucho menos precisa para encontrar la rotura de marcos, algo así como detectar un detalle vertical grande en un contexto entrelazado. Si n no es cero, muestra la métrica detallada para cada marco. Útil para pruebas. Umbral de desentrelazado. Usado durante el desentrelazado de marcos no coincidentes. Valores más grandes significa menos desentrelazado, use n=256 para desactivar el desentrelazado por completo. El valor por defecto es n=8. Umbral para comparar campos superior e inferior. El valor por defecto es 128. Umbral para detectar cambios temporales en un campo. El valor por defecto es 128. Suma de umbrales de diferencia absoluta, el valor por defecto es 64.

softpulldown
    Este filtro funciona correctamente solo con MEncoder y actúa en las marcas MPEG2 usadas para bajada 3:2 por software (telecine por software). Si desea usar el filtro ivtc o detc en películas que estén parcialmente con telecine por software, insertando este filtro antes el proceso se hace de manera más fiable.

divtc[=opciones]
    Telecine inverso para video desentrelazado. Si video con telecine 3:2-pulldown ha perdido uno de los campos o está desentrelazado usando un método que mantiene un campo e interpola el otro, el resultado es un video en mal estado que tiene duplicado cada cuarto marco de imagen. Este filtro está pensado para encontrar y eliminar estos marcos de imagen duplicados y restaurar la tasa de imágenes por segundo original de la película. Cuando se usa este filtro, debe especificar -ofps que es 4/5 del fps del archivo de entrada (23.976 si la entrada es 29.97fps). Las opciones son: Usa el modo de dos pasadas. Esto produce mejores resultados. La pasada 1 analiza el video y escribe los resultados en un archivo de log. La pasada 2 lee después de este archivo de log y usa la información para realizar el trabajo. Note que estas pasadas NO corresponden a las pasadas 1 y 2 del proceso de codificación. Para usar el divtc de dos pasadas con la codificación de dos pasadas, debe realizar tres pasadas: primero divtc pasada 1 y codificación pasada 1, luego divtc pasada 2 y codificación pasada 1, y finalmente divtc pasada 2 y codificación pasada 2. Establece el nombre del archivo del log de 2-pasadas (por defecto: "framediff.log"). Establece la fuerza mínima que el patrón de telecine debe tener para que el filtro lo detecte (por defecto: 0.5). Esto se usa para evitar reconocimientos erróneos de patrones desde las partes de video que sean muy oscuras o fijas. Establece el número de marcos pasados para buscar cuando se busca un patrón (por defecto: 30). Ventanas mayoras mejoran la calidad del patrón de búsqueda, pero ventanas más pequeñas mejoran el tiempo de reacción de los cambios en la fase del telecine. Esto solo afecta al modo de una pasada. El modo de dos pasadas actualmente usa ventana fija que se extiende al futuro y al pasado. Establece la fase de telecine inicial para el modo de una pasada (por defecto: 0). El modo de dos pasadas puede ver el futuro, es capaz de usar la fase correcta desde el principio, pero el modo de una pasada solo puede suponerlo. Cachea la fase correcta cuando la encuentra, pero esta opción se puede usar para arreglar posibles problemas desde el principio. La primera pasada en el modo de dos pasadas también usa esto, por eso si guarda la salida de la primera pasada, puede obtener un resultado de fase constante. Establece el valor para deghosting (0-255 para el modo de una pasada, -255-255 para el modo de dos pasadas, por defecto 0). Si no es cero, se usa el modo deghost. Esto es para el video que ha sido desentrelazado uniendo los campos en lugar de eliminar un campo. Deghosting amplifica cualquier artefacto debido a la compresión en los marcos de imagen que han unido los campos, por eso el parámetro de valor se usa como umbral para excluir esos pixels del deghosting que difieren de los del marco de imagen previo menos que el valor especificado. Si se usa el modo de dos pasadas, puede usarse un valor negativo para hacer que el filtro analice el video completo al principio de la segunda pasada para determinar si se necesita deghosting o no y entonces elige o cero o el valor absoluto del parámetro. Especifique esta opción para 2 pasadas, no hay diferencia en una pasada.

phase=[t|b|p|a|u|T|B|A|U][:v]
    Retardo del video entrelazado por un campo temporal para el cambio de orden en el campo. La intención del uso de esto es arreglar películas PAL que hayan sido capturadas con el orden de campo opuesto a la transferencia de película a video. Las opciones son: Orden del campo de captura primero-arriba, transferir primero-abajo. El filtro retrasa el campo inferior. Captura campo-inferior, transferir primero-arriba. El filtro retrasa el campo superior. Captura y transfiere con el mismo orden el campo. Este modo solo existe para la documentación de las otras opciones que se refieren a él, pero si actualmetne lo selecciona, no hará nada ;-) Orden de captura de campo determinado automáticamente por etiquetas de campo, transferencia opuesta. El filtro selecciona el modo t y b en una base marco a marco usando etiquetas de campo. Si no hay información de campo disponible, entonces funciona igual que el u. Captura desconocida o variante, transferencia opuesta. El filtro selecciona el modo t y b en una base marco a marco analizando las imágenes y seleccionando la alternativa que produce la mejor relación entre los campos. Captura top-first, transferencia desconocida o variante. El filtro selecciona t y p usando análisis de la imagen. Captura bottom-first, transferencia desconocida o variante. El filtro selecciona cuánto b y p usando análisis de la imagen. Captura determinada por etiquetas de campo, transferencia desconocida o variante. El filtro selecciona cuántos t, b y p usando etiquetas de campo y análisis de la imagen. Si no hay información de campo disponible, entonces funciona como el modo U. Este es el modo por defecto. Ambas capturas y transferencia desconocida o variante. El filtro selecciona la cantidad de t, b y p usando análisis de imagen solamente. Operación prolija. Muestra el modo seleccionado para cada marco y hace la media cuadrada de la diferencia entre campos para t, b y p alternativamente.

telecine[=inicio]
    Aplica proceso de "telecine" 3:2 para incrementar las imágenes por segundo en un 20%. Esto la mayoría de las veces no funciona correctamente con MPlayer, pero puede usarse con 'mencoder -fps 29.97 -ofps 29.97 -vf telecine'. ¡Ambas opciones son esenciales! (la sincronización A/V puede romperse si se ponen mal). El parámetro opcional inicio le dice al filtro donde iniciar el patrón de telecine (0-3).

tinterlace[=modo]
    Entrelazado de campo temporal - mezcla pares de marcos en un marco entrelazado, dividiendo en dos el número de imágenes por segundo. Los marcos pares son movidos en el campo superior, los impares en el campo inferior. Esto puede ser usado para invertir totalmente el efecto del filtro tfields (en modo 0). Los modos disponibles son: marcos impares en campo superior, pares en inferior, generando un marco de imagen completo a la mitad de imágenes por segundo solo saca los marcos impares, los pares son eliminados, la altura no cambia solo saca los marcos pares, los impares son eliminados, la altura no cambia expande cada marco a su altura completa, pero rellena líneas alternas con negro, las imágenes por segundo no cambian

tfields[=modo]
    Separación temporal de campo - separa campos en imágenes, doblando el número de imágenes por segundo de salida. Como el filtro de telecine, 'tfields' solo funciona correctamente con mencoder, y solo si ambas opciones -fps y -ofps están establecidas al deseao (doble) número de imágenes por segundo! Los modos disponibles son: deja los campos sin cambios (esto produce saltos/parpadeos) interpola líneas que falten (el algoritmo usado puede no ser del todo bueno) translada campos por 1/4 de pixel con interpolación lineal (sin saltos) translada campos por 1/4 de pixel con filtro 4tap (alta calidad)

boxblur=radius:power[:radius:power]
    caja de difuminado tamaño del filtro Hasta donde debe ser aplicado el filtro.

sab=rad:pf:colorDiff[:rad:pf:colorDiff]
    difuminado de forma adaptativo dureza del filtro de difuminado (~0.1-4.0) (más lento cuanto mayor sea) dureza del prefiltrado (~0.1-2.0) Cuánto se pueden considerar de diferentes los pixels. (~0.1-100.0)

smartblur=rad:strength:thresh[:rad:strength:thresh]
    difuminado inteligente dureza del filtro de difuminado (~0.1-5.0) (más lento cuanto mayor sea) difuminado (0.0-1.0) o perfilado (-1.0-0.0) filtrar todo (0), filtrar áreas planas (0-30) o filtrar bordes (-30-0)

perspective=x0:y0:x1:y1:x2:y2:x3:y3:t
    corrección de perspectiva coordenadas de las esquinas de arriba a la izquierda, arriba a la derecha, abajo a la izquierda y abajo a la derecha muestreo lineal (0) o cúbico (1)

2xsai
    Usa escala 2x y algoritmo de interpolación para escalar y suavizar imágenes.

1bpp
    conversión de mapa de bits de 1bpp a YUV/BGR 8/15/16/32

down3dright[=líneas]
    Reposición y tamaño de imágenes estereoscópicas. Extrae ambos campos estéreso y los coloca lado a lado, redimensionandolos para mantener el aspecto original de la película. número de líneas a seleccionar desde el centro de la imagen (por defecto: 12)

bmovl=hidden:opaque:<fifo>
    Lee mapas de bits de un FIFO y los muestra en una ventana. Establece el valor por defecto de la bandera 'oculto' (booleano) bandera que cambia entre modos alphablended (tranparente) y opaco (rápido) ruta/nombrearchivo para el FIFO (nombre de tubería conectando con mplayer -vf bmovl a la aplicación que lo controla)
    Los comandos para FIFO son:
seguido de ancho*alto*4 Bytes de datos crudos RGBA32. seguido de ancho*alto*4 Bytes de datos crudos ABGR32. seguido de ancho*alto*3 Bytes de datos crudos RGB32. seguido de ancho*alto*3 Bytes de datos crudos BGR32. cambia alpha por área limpia área desactiva toda transparencia alpha. Envíe "ALPHA 0 0 0 0 0" para activarla de nuevo. oculta mapas de bits muestra mapas de bits
    Los argumentos son:
tamaño de la imagen/área comienza a actuar en posición X/Y Establece diferencia alpha. Si establece el valor a -255 puede enviar una secuencia de órdenes-ALPHA para establecer el área a -225, -200, -175 etc para un bonito efecto de desvanecimiento ;) 0: igual que el original
255: hace que todo sea opaco
-255: hace que todo sea transparente limpia el framebuffer antes de comenzar. 0: La imagen es intercambiada encima de la antigua, no necesita enviar 1.8MB de datos RGBA32 todo el tiempo ya que solo una pequeña parte de la pantalla es actualizada.
1: limpiar

framestep=I|[i]paso
    Filtra solamente el marco Intra (clave) o uno cada paso. Si llama al filtro con I (en mayúsculas) como parámetro entonces SOLO los marcos clave van en la salida. Para DVD esto significa, generalmente, un marco cada 15/12 (IBBPBBPBBPBBPBB), para AVI significa en cada cambio de escena o en todos los valores clave enteros (vea -lavcopts keyint=valor si usa MEncoder para codificar el video).

    Cuando se encuentra un marco clave, una 'I!' seguida de un caracter de nueva línea es escrita, dejando la línea actual de mplayer/mencoder, donde obtiene el tiempo (en segundos) y el número de marco clave. (Puede usar esta información para cortar el AVI).

    Si llama al filtro con un parámetro numérico n entonces solo un marco cada n es enviado a la salida.

    Si usa una 'i' (en minúsculas) antes del número entonces se escribe una ¡I! (como con el parámetro I). Si coloca solo la i entonces no ocurre nada en los marcos, solo la ¡I! es impresa.

tile=xtile:ytile:output:start:delta
    Crea un mosaico con una serie de imágenes en una imagen simple, grande. Si omite un parámetro o usa un valor menor de 0, entonces se usará el valor por defecto. También puede detenerlo cuando desee (... -vf file=10:5 ...). Probablemente sea una buena idea colocar un filtro de escalado antes del de mosaico :-)
    Los parámetros son:

    número de mosaicos en el eje x (por defecto: 5) número de mosaicos en el eje y (por defecto: 5) Renderiza el mosaico cuando 'output' número de marcos se han alcanzado, donde 'output' debe ser un número menor que xtile * ytile. Los mosaicos que falten se dejan en blanco. Usted puede, por ejemplo, escribir un mosaico de 8 * 7 cada 50 marcos para obtener una imagen cada 2 segundos @ 25 fps. pixel donde se empieza (x/y) (por defecto: 2) pixel entre cada 2 mosaicos, (x/y) (por defecto: 4)

delogo[=x:y:w:h:t]
    Suprime el logo de una estación de TV mediante una interpolación simple de los pixels de alrededor. Establece un rectángulo cubriendo el logo y lo hace desaparecer (y algunas veces aparece algo más feo incluso - su experiencia puede variar). Posición de la esquina de arriba a la izquierda del logo. Ancho y alto del rectángulo a limpiar. Anchura del filo borroso del rectángulo (añadida a w y h). Cuando se establece en -1, un rectángulo verde se dibuja en la pantalla para simplificarla busqueda de los parámetros x, y, w, h correctos.

zrmjpeg[=opciones]
    Codificador por software de YV12 a MJPEG para uso con dispositivo de salida de video zr2. Estas opciones establecen el ancho y alto máximos que la tarjeta zr puede manejar. La capa de filtros de MPlayer no puede hacer actualmente esto. Use estas opciones para establecer maxheight y maxwidth automáticamente a los valores conocidos por la combinación tarjeta/modo. Por ejemplo, opciones válidas son: dc10-PAL y buz-NTSC (por defecto: dc10+PAL). Elige color o blanco y negro para la codificación. La codificación en blanco y negro es más rápida. Por defecto es en color. Decimación horizontal 1, 2 ó 4. Decimación vertical 1, 2 ó 4. Establece la calidad en la compresión JPEG [MEJOR] 1 - 20 [MUY MALA]. Por defecto, la decimación solo se hace si el hardware Zoran puede sobreescalar las imágenes MJPEG resultantes al tamaño original. La opción fd le indica al filtro que siempre haga la decimación (antiestético).

OPCIONES DE CODIFICACIÓN GENERALES (SOLAMENTE MENCODER)

-audio-delay <0.0-...>
    Establece el campo de retardo de audio en la cabecera. Por defecto es 0.0, valores negativos no funcionan. Esto no retrasa el audio durante la codificación, si no que el reproductor ve el retardo por defecto de audio, permitiendo el uso de la opción -delay.

-audio-density <1-50>
    Número de chunks de audio por segundo (por defecto es 2 para trozos de audio largos de 0.5s).
    NOTA: Solamente CBR, VBR ignora esto ya que pone cada paquete en un trozo nuevo.

-audio-preload <0.0-2.0>
    Establece el intervalo de tiempo para buffer de audio (por defecto: 0.5s).

-endpos <[[hh:]mm:]ss[.ms]|tamaño[b|kb|mb]> (vea también la opción -ss y -sb)
    Detiene la codificación en el tiempo indicado o la posición en bytes. Puede especificarse de varios modos:
    NOTA: La posición en bytes no es precisa, porque solo se puede parar en imágenes frontera.

    EJEMPLO: codifica solo 56 segundos codifica solo 1 hora y 1 minutos codifica solo 100 MBytes

-ffourcc <fourcc>
    Puede usarse para forzar el fourcc de video en el archivo de salida. EJEMPLO: se tendrá un archivo de salida conteniendo 'div3' como fourcc de video.

-force-avi-aspect <0.2-3.0>
    Sobreescribe la razón de aspecto guardada en la cabecera vprp del AVI OpenDML. Puede usarse para cambiar la razón de aspecto con -ovc copy.

-info <opción1:opción2:...> (AVI solamente)
    Especifica la información de cabecera del archivo AVI resultante.
    Las opciones disponibles son: muestra esta descripción título del trabajo artista o autor del trabajo categoría de trabajo original contenido del trabajo información de copyright formato original del material digitalizado comentarios generales acerca del trabajo

-noautoexpand
    No inserta automáticamente el filtro de expandir en la cadena de filtros de MEncoder. Útil para controlar en que punto de la cadena de filtros se renderizan los subtítulos cuandor se están codificando dentro de la película.

-noodml (-of avi solamente)
    No escribe índice OpenDML para archivos > 1GB.

-noskip
    No se salta imágenes.

-o <nombrearchivo>
    Redirige la salida al nombrearchivo dado, en lugar de usar 'test.avi' por defecto.

-oac <nombre codec>
    Codifica con el codec de audio especificado. Use -oac help para obtener una lista de los codecs disponibles. (no hay un valor establecido por defecto)

    EJEMPLO: no codifica, solo copia el flujo codifica en PCM sin comprimir codifica a MP3 (usando Lame) codifica con codec libavcodec

-of <formato> (¡CÓDIGO BETA!)
    Codifica en el formato especificado. Use -of help para obtener una lista de formatos disponibles.

    EJEMPLO: Codifica a avi (por defecto). Codifica a MPEG. flujo de video sin procesar (no multiplexa - solo video, solo un flujo)

-ofps <fps>
    El archivo de salida tendrá diferentes imágenes:seg que el origen. DEBE establecerse para fps variable (asf, algunos mov) y archivos progresivos (MPEG telecine de 29.97fps).

-ovc <nombre codec>
    Codifica con el codec de video especificado. Use -ovc help para obtener una lista de los codecs disponibles. (no hay un valor por defecto establecido)

    EJEMPLO: no codifica, solo copia el flujo codifica a DivX4/DivX5 codifica a un formato arbitrario sin comprimir (use -vf format para seleccionarlo) codifica con codecs libavcodec

-passlogfile <nombrearchivo>
    Cuando se codifica en modo 2pasadas, MEncoder vuelva la información de la priemra pasada al archivo dado en lugar del divx2pass.log por defecto.

-skiplimit <valor>
    Número máximo de imágenes que se pueden saltar después de una sin saltar (-noskiplimit para un número ilimitado).

-vobsubout <nombrebase>
    Especifica el nombrebase del archivo de salida .idx y .sub. Esto desactiva el renderizado de subtítulos en la película codificada y lo desvía a archivos de subtítulo VOBsub.

-vobsuboutid <langid>
    Especifica el código de idioma de dos letras para los subtítulos. Esto indica cuál será leido del DVD o el archivo .ifo.

-vobsuboutindex <índice>
    Especifica el índice de los subtítulos en los archivos de salida. (por defecto: 0)

OPCIONES ESPECÍFICAS DE CODECS PARA CODIFICACIÓN (MENCODER SOLAMENTE)
Puede espeficiar parámetros de codificación específicos de un codec usando la siguiente sintaxis:

-<codec>opts <opción1[=valor],opción2,...>

Donde <codec> puede ser: lavc, xvidenc, divx4, lame, x264

  divx4 (-divx4opts)
DivX4 está obsoleto y solo tiene soporte por completitud. Para detalles acerca de las opciones para divx4, lea el código, la mayoría de las opciones no se describen aquí.

help
    obtener ayuda

br=<valor>
    especifica el bitrate (en kbit) (en bit)

key=<valor>
    intervalo máximo para el keyframe (en marcos)

deinterlace
    activar desentrelazado (evite esto, DivX4 falla mucho)

q=<1-5>
    calidad (1-el más rápido, 5-el mejor)

min_quant=<1-31>
    cuantizador mínimo

max_quant=<1-31>
    cuantizador máximo

rc_period=<valor>
    período de tasa de control

rc_reaction_period=<valor>
    período de reacción de la tasa de control

rc_reaction_ratio=<value>
    razón de reacción de la tasa de control

crispness=<0-100>
    especifica encrespadura/suavizado

pass=<1-2>
    Con esto puede codificar archivos DivX4 en 2pasadas. Primero codifica con pass=1, después con los mismos parámetros, codifica con pass=2.

vbrpass=<0-2>
    No tiene en cuenta el argumento pass y usa XviD VBR Library en lugar de DivX4 VBR. Las opciones disponibles son: codificación en una pasada (como si no se pusiese nada en la línea de órdenes) Análisis (primero) pasada de la codificación en dos pasadas. El archivo AVI resultante puede ser dirigido a /dev/null. Pasada (segunda) final de la codificación en dos pasadas.

  lame (-lameopts)

help
    obtiene ayuda

vbr=<0-4>
    método de bitrate variable cbr mt rh (por defecto) abr mtrh

abr bitrate medio

cbr bitrate constante.
    Fuerza también codificación en modo CBR en los modos preestablecidos ABR siguientes.

br=<0-1024>
    especifica el bitrate en kBit (solamente CBR y ABR)

q=<0-9>
    calidad (0-la más alta, 9-la más baja) (solamente para VBR)

aq=<0-9>
    calidad algorítmica (0-el mejor/el más lento, 9-el peor/el más rápido)

ratio=<1-100>
    razón de compresión

vol=<0-10>
    establece la ganancia de audio de entrada

mode=<0-3>
    (por defecto: auto) stereo joint-stereo dualchannel mono

padding=<0-2>
    no todo ajustar

fast
    cambia en codificación rápida en modos preestablecidos VBR siguientes, calidad ligeramente inferior y bitrates altos.

highpassfreq=<freq>
    Establece una precuencia de filtrado paso alta en Hz. Las frecuencias por debajo de la especificada serán atenuadas. Un valor de -1 desactiva el filtrado, un valor de 0 hace que se elijan los valores automáticamente.

lowpassfreq=<freq>
    Establece una frecuencia de filtrado paso baja en Hz. Frecuencias por encima de la especificada serán atenuadas. Un valor de -1 desactiva el filtrado, un valor de 0 hace que se elijan los valores automáticamente.

preset=<valor>
    valores preestablecidos codificación VBR, buena calidad, rango de bitrate 150-180 kbps. codificación VBR, alta calidad, rango de bitrate 170-210 kbps. codificación VBR, calidad muy alta, rango de bitrate 200-240 kbps. codificación CBR, la más alta calidad preestablecida, bitrate a 320 kbps. codificación ABR con el bitrate medio dado en kbps.
    EJEMPLO:
para la mayoría de la gente en la mayoría de la música, una calida bastante alta. codifica con preestablecidos ABR a 192 kbps forzando bitrate constante. codifica con preestablecidos ABR a 172 kbps con bitrate medio. para gente con oido extremadamente bueno y equipo similar. imprime opciones adicionales e información en la configuración preestablecida.

  lavc (-lavcopts)
Muchas de las opciones de lavc son muy especializadas y concísamente documentadas. Lea el código fuente para los detalles completos.

EJEMPLO:

acodec=<valor>
    Codec de audio (por defecto: mp2): MPEG Layer 2 MPEG Layer 3 AC3 PCM IMA Adaptativo (4bits por muestra, compresión 4:1)

abitrate=<valor>
    Tasa de bits de audio en kBit (por defecto 224).

atag=<valor>
    Usa la etiqueta de formato de audio de Windows especificada (e.g. atag=0x55).

bit_exact
    Usa solo algoritmos de bit exacto (excepto (i)dct). Adicionalmente bit_exact desactiva varias optimizaciones y por eso solo debe usarse para test de regresión que necesiten archivos binarios idénticos incluso si cambia la versión del codificador. También suprime el encabezado user_data en flujos MPEG-4. No use esta opción a menos que sepa exactamente lo que está haciendo.

threads=<1-8>
    Número máximo de threads a usar (por defecto: 1).

vcodec=<valor>
    Usa el codec especificado (por defecto: mpeg4): Motion JPEG H.263 H.263+ DivX 4/5 DivX 3 MS MPEG4v2 Windows Media Video 7 Windows Media Video 8 un codec RealVideo antiguo MPEG1 video :) HuffYUV

vqmin=<1-31>
    cuantizador mínimo (pasada 1/2) No recomendado (archivo mucho mayor, poca diferencia de calidad y efectos colaterales malos: msmpeg4, h263 debe tener muy poca calidad, el control de tasa puede confundirse resultando en peor calidad y algunos decodificadores pueden no ser capaces de decodificarlo). Recomendado para codificación mpeg4/mpeg1video normal (por defecto). Recomendado para h263(p)/msmpeg4. La razón para preferir 3 sobre 2 es que 2 puede dar overflows (esto será corregido para h263(p) cambiando el cuantizador por MB en el futuro, msmpeg4 no puede corregirlo porque no tiene soporte para ello).

lmin=<0.01-255.0>
    Multiplicador de lagrange mínimo para control de tasa de bits, probablemente desee usar un valor igual o menor que vqmin. (por defecto: 2.0).

lmax=<0.01-255.0>
    multiplicador de lagrange máximo para control de tasa de bits (por defecto: 31.0)

vqscale=<1-31>
    Cuantizador constante / codificación de calidad constante (selecciona el modo de cuantizador fijo). Un valor menor significa mejor calidad pero archivos grandes (por defecto: 0 (desactivado)). 1 no se recomienda (vea vqmin para más detalles).

vqmax=<1-31>
    cuantizador máximo (pasada 1/2) 10-31 debe ser un rango aceptable (por defecto: 31)

mbqmin=<1-31>
    cuantizador mínimo de macrobloque (pasada 1/2) (por defecto: 2)

mbqmax=<1-31>
    cuantizador máximo de macrobloque (pasada 1/2) (por defecto: 31)

vqdiff=<1-31>
    máxima diferencia del cuantizador entre marcos I o P (pasada 1/2) (por defecto: 3)

vmax_b_frames=<0-4>
    número de marcos B entre marcos no B: sin marcos B (por defecto) rango correcto para MPEG4

vme=<0-5>
    método de estimación del movimiento.
    NOTA: 0-3 actualmente ignora la cantidad de Bits usados, y la calidad puede ser baja. Los métodos disponibles son: nada (calidad muy baja) completo (lento) log (calidad baja) phods (calidad baja) EPZS (por defecto) X1 (experimental)

me_range=<0-9999>
    rango de búsqueda de estimación de movimiento, 0 (por defecto) significa sin límite.

mbd=<0-2>
    algoritmo de decisión de macrobloque (modo alta calidad), codifica cada macro bloque en todos los modos y elije el mejor. Esto es lento pero resulta en una mejor calidad y tamaño del archivo. usa mbcmp (por defecto) selecciona el modo MB que necesita los menos bits posibles (=vhq) selecciona el modo MB que tiene la mejor razón de distorsión

vhq Lo mismo que mbd=1, se mantiene por razones de compatibilidad.

v4mv
    Permite 4 vectores de movimiento por macrobloque (calidad ligeramente superior).

obmc
    Compensación de movimiento por bloque superpuesto (H.263+).

loop
    Filtro de bucle (H.263+). nota, no funciona

inter_threshold <-1000-1000>
    Actualmente no hace absolutamente nada.

keyint=<0-300>
    intervalo máximo entre marcos clave en los marcos. Los marcos clave son necesarios para posicionamiento y el posicionamiento solo es posible en esos marcos clave, sin embargo los marcos clave necesitan más espacio que otros y un número grande para este valor hace que los archivos sean ligeramente menores, pero menos precisos en el posicionamiento, 0 significa no usar marcos clave. Valores >300 no son recomendables porque la calidad puede ser muy mala dependiendo del decodificador, codificador y suerte. Para un cumplimiento estricto de MPEG1/2/4 este debe ser <=132. (por defecto: 250 o un marco clave cada diez segundos en una película de 25fps)

sc_threshold=<-1000000-1000000>
    Umbral para la detección del cambio de escena. Libavcodec inserta un marco clave cuando detecta un cambio de escena. Puede especificar la sensibilidad de la detección con esta opción. -1000000 significa que se detecta un cambio de escena en cada nuevo marco de imagen, 1000000 significa que no se detectan cambios de escena (el valor por defecto es 0).

vb_strategy=<0-1>
    estrategia a elegir entre marcos I/P/B (pasada 2): usar siempre el número máximo de marcos B (por defecto) evitar marcos B en escenas de mucho movimiento (puede causar mala predicción de la tasa de bits)

vpass=<1-2>
    Activa el modo interno de dos pasadas, solo especificado si desea usar codificación en dos pasadas. primera pasada segunda pasada
    huffyuv:
Guarda estadísticas. Codifica con tabla Huffman óptima basada en las estadísticas de la pasada 1.

aspect=<x/y>
    Almacena el aspecto de la película de forma interna, como los archivos MPEG. Mucho mejor solución que reescalar, porque la calidad no se ve decrementada. Solo MPlayer puede reproducir estos archivos correctamente, otros reproductores muestran mal el aspecto. El parámetro de aspecto puede darse como razón o como número en coma flotante.

    EJEMPLO:

autoaspect
    Igual que la opción aspect, pero calcula automáticamente el aspecto, tomando en cuenta todos los ajustes (recorte/expansión/escalado/etc.) realizados en la cadena de filtrado.

vbitrate=<valor>
    especifica la tasa de bits (pasada 1/2). Advertencia: 1kBit = 1000 Bits. (en kbit) (en bit) por defecto

vratetol=<valor>
    tolerancia del tamaño del archivo aproximada en kBit. 1000-100000 es un rango aceptable. (advertencia: 1kBit = 1000 Bits) (por defecto: 8000)
    NOTA: vratetol no debe ser demasiado grande durante la segunda pasada o puede haber problemas si se usa vrc_(min|max)rate.

vrc_maxrate=<valor>
    bitrate máximo en kbit/seg (pasada 1/2)

vrc_minrate=<valor>
    bitrate mínimo en kbit/seg (pasada 1/2)

vrc_buf_size=<valor>
    tamaño del buffer en kbit (pasada 1/2). Para MPEG1/2 también establece el tamaño del buffer vbv, use 327 para VCD, 917 para SVCD y 1835 para DVD.

vrc_buf_aggressivity
    actualmente no se usa

vrc_strategy
    No tiene efecto, reservada para uso futuro.

vb_qfactor=<-31.0-31.0>
    factor de cuantización entre marcos B y no B (pasada 1/2) (por defecto: 1.25)

vi_qfactor=<-31.0-31.0>
    (pasada 1/2) (por defecto: 0.8)

vb_qoffset=<-31.0-31.0>
    desplazamiento del cuantizador entre marcos B y no B (pasada 1/2) (por defecto: 1.25)

vi_qoffset=<-31.0-31.0>
    (pasada 1/2) (por defecto: 0.0)
    si v{b|i}_qfactor > 0
    cuantizador marco-I/B = cuantizador marco-P * v{b|i}_qfactor + v{b|i}_qoffset
    si no
    haz ratecontrol normal (no bloquear al siguiente cuantizador de marco P) y establecer q= -q * v{b|i}_qfactor + v{b|i}_qoffset

    Consejo: Para realizar una codificación con cuantización constante con diferentes cuantizadores para marcos I/P y B puede usar: lmin= <ip_quant>:lmax= <ip_quant>:vb_qfactor= <b_quant/ip_quant>

vqblur=<0.0-1.0> (pasada 1)
    Cuantizador difuminado, valores mayores hacen media del cuantizador sobre más tiempo (cambios lentos). qblur desactivado (por defecto) hace media del cuantizador sobre todos los marcos previos

vqblur=<0.0-99.0> (pasada 2)
    Cuantizador de difuminado gaussiano, valores mayores hacen media del cuantizador sobre más tiempo (cambios lentos) (por defecto: 0.5).

vqcomp=<valor>
    cuantizador de compresión, depende de vrc_eq (pasada 1/2) (por defecto: 0.5)

vrc_eq=<ecuación>
    ecuación principal de control de tasa (pasada 1/2):
tasa de bits constante calidad constante aproximadamente la ecuación del códido antiguo de ratecontrol con qcomp 0.5 o similar (por defecto)

    infijos de operadores: +,-,*,/,^

    variables:
complejidad de textura complejidad de textura intra, no intra complejidad de textura media complejidad de textura media en marcos I complejidad de intra textura media en marcos P complejidad de no intra textura media en marcos P complejidad de no intra textura media en marcos B Bits usados para vectores de movimiento longitud máxima del vector de movimiento en escala log2 número de intra macro bloques / número de macro bloques complejidad espacial complejidad temporal qcomp desde la línea de órdenes es 1 si el tipo de imagen es I/P/B si no 0 vea su libro de matemáticas favorito

    funciones:
máximo / mínimo es 1 if a>b, 0 si no es 1 if a<b, 0 si no es 1 if a==b, 0 si no

vrc_override=<opciones>
    Calidad especificada por el usuario para partes específicas (final, créditos, ..) (pasada 1/2). Las opciones son <marco-inicial>, <marco-final>, <calidad>[/<marco-inicial>, <marco-final>, <calidad>[/...]]: cuantizador corrección de calidad en %

vrc_init_cplx=<0-1000>
    compleijidad inicial (pasada 1)

vqsquish=<0,1>
    especifica cómo mantener el cuantizador entre qmin y qmax (pasada 1/2): usar recorte usar una bonita función diferenciable (por defecto)

vlelim=<-1000-1000>
    Establece el coeficiente simple para el umbral de eliminación de luminancia. Valores negativos también pueden considerarse para el coeficiente dc (debe ser al menos -4 o menor para codificar con quant=1): desactivado (por defecto) (recomendación JVT)

vcelim=<-1000-1000>
    Establece el coeficiente simple para el umbral de eliminación de crominancia. Valores negativos también pueden considerarse para el coeficiente dc (debe ser al menos -4 o menor para codificar con quant=1): desactivado (por defecto) (recomendación JVT)
vstrict=<-1,0,1>
    cumplimiento estricto del estandar desactivado (por defecto) solo recomendado si desea alimentar la salida en el decodificador de referencia MPEG4 permite codificación YV12 huffyuv no-estandar (archivos 20% más pequeños, pero no pueden ser reproducidos con el codec huffyuv oficial)

vdpart
    particionamiento de datos. Añade 2 Bytes por paquete de video, mejora resistencia-al-error cuando se transfiere a través de canales no fiables (ej. streaming sobre internet) Cada paquete de video debe ser codificado en 3 particiones diferentes: (movimiento) (imagen de baja resolución) (detalles)

    MV & DC son los más importantes, su pérdida hace que se vea mucho peor la imagen que si se perdiese AC y las particiones 1. & 2. (MV&DC) son mucho menores que la partición 3. (AC) lo cual significa que errores que afecten a la partición AC son mucho menos importantes que en particiones MV&DC. De ahí, que la imagen se vea mejor con particionamiento que sin él, ya que sin particionamiento un error puede mandar al traste AC/DC/MV de igual modo.

vpsize=<0-10000>
    tamaño del paquete de video, mejora resistencia-al-error (vea también la opción -vdpart): desactivado (por defecto) buena elección

ss  modo estructurado slice para H.263+

gray
    codificación solo en escala de grises (rápida)

vfdct=<0-10>
    algoritmo dct: selecciona automáticamente uno bueno (por defecto) entero rápido entero con precisión mmx mlib altivec AAN en coma flotante

idct=<0-99>
    algoritmo idct.
    NOTA: Según el mejor de nuestros conocimientos todos estos IDCTs pasan los tests de IEEE1180. selecciona automáticamente uno bueno (por defecto) entero de jpeg de referencia simple simplemmx libmpeg2mmx (impreciso, NO USAR para codificación con keyint >100) ps2 mlib arm altivec sh4

lumi_mask=<0.0-1.0>
    máscara de luminancia
    ADVERTENCIA: Tenga cuidado, valores muy grandes pueden causar cosas desastrosas.
    ADVERTENCIA: Valores grandes pueden hacer que se vea bien en algunos monitores pero puede verse horrible en otros monitores: desactivado (por defecto) rango correcto

dark_mask=<0.0-1.0>
    máscara de oscuridad
    ADVERTENCIA: Tenga cuidado, valores muy grandes pueden causar cosas desastrosas.
    ADVERTENCIA: Valores grandes pueden hacer que se vea bien en algunos monitores pero puede verse horrible en otros monitores / TV / TFT: desactivado (por defecto) rango correcto

tcplx_mask=<0.0-1.0>
    máscara de complejidad temporal (por defecto: 0.0 (desactivado))

scplx_mask=<0.0-1.0>
    Máscara de complejidad espacial. Valores grandes ayudan contra imágenes con bloques, si no hay filtro para eliminar esos bloques durante la decodificación.
    CONSEJO: Recorte cualquier borde negro completamente para reducir la calidad de los macro bloques (también se aplica sin scplx_mask). desactivado (por defecto) rango correcto

p_mask=<0.0-1.0>
    inter MB máscara (por defecto: 0.0 (deshabilitado))

naq Cuantización adaptativa normalizada (experimental). Cuando se usa cuantización adaptativa (*_mask), la media por-MB del cuantizador puede no volver a coincidir con el nivel de marco del cuantizador requerido. Naq intentará ajustar los cuantizadores por-MB para mantener la media correcta.

ildct
    Usa dct entrelazado

ilme
    Usa estimación de movimiento entrelazada (mutuamente excluyente con qpel).

alt Usa scantable alternativa.

format=<valor>
    por defecto para huffyuv or jpeg sin pérdida para jpeg sin pérdidas para jpeg sin pérdidas y ffv1 para jpeg sin pérdidas y ffv1

pred
    (para huffyuv) predicción de pérdidas predicción de plano/gradiente predicción media

pred
    (para jpeg sin pérdidas) predicción de pérdidas predicción superior predicción superior de pérdidas predicción de plano/gradiente significado de predicción

coder
    (para ffv1) codificación vlc (golomb rice) codificación aritmética (cabac)

context
    (para ffv1) modelo de contexto pequeño modelo de contexto grande

qpel
    Usa compensación de movimiento quarter pel (mutamente excluyente con ilme). Sugerencia: Esto es útil solamente para codificaciones con tasa de bits alta.

ildctcmp=<0-2000>
    función de comparación para la decisión de dct entrelazado precmp=<0-2000> función de comparación para la estimación de movimiento pre pass

cmp=<0-2000>
    función de comparación para la estimación de movimiento full pel

subcmp=<0-2000>
    función de comparación para la estimación de movimiento sub pel

mbcmp=<0-2000>
    función de comparación para la decisión de macrobloque, solo usado si mbd=0 suma de diferencias absolutas, rápido (por defecto) suma de errores cuadráticos suma de diferencias de transformadas de hadamard absolutas suma de diferencias de trasnformadas dct absolutas suma de errores cuadráticos de cuantización (no usar, baja calidad) número de bits necesarios para el bloque razón de distorsión óptima, lento 0 suma de las diferencias verticales absolutas suma de las diferencias verticales al cuadrado preservación del ruido sumando las diferencias cuadradas usar también crominancia, no funciona (correctamente) actualmente con marcos B

nsse=<0-100>
    Peso NSSE, pesos más altos producen resultados más ruidosos, con 0 NSSE es idéntico a SSE

predia=<-99-6>
    Tipo y tamaño diamante para la estimación pre pasada de movimiento

dia=<-99-6>
    Estimación de movimiento tipo y tamaño diamante.
    NOTA: Los tamaños de los diamantes normales y la forma adaptativa no tienen el mismo significado. forma adaptativa (rápido) diamante con tamaño 3 forma adaptativa (rápido) diamante con tamaño 2 experimental tamaño normal=1 diamante (por defecto) =tipo de diamante EPZS
          0
         000
          0
    tamaño normal=2 diamantes
          0
         000
        00000
         000
          0

trell
    Cuantización de búsqueda Trellis. Esto encuentra la codificación óptima para cada bloque de 8x8. La cuantización de búsqueda Trelllis es bastante simple como cuantización óptima en el sentido de PSNR frente a tasa de bits (asumiendo que no hay errores de redundancia introducidos en el IDCT, que obviamente no es el caso) símplemente encuentras un bloque para el error mínimo y lambda*bits. constante de la que depende qp cantidad de bits necesarios para codificar el bloque suma de errores cuadráticos de la cuantización

cbp Tasa el patrón de distorsión de código de bloque óptimo. Seleccionará el patrón de bloque codificado que minimize + lambda*tasa solo puede ser usado junto con cuantización trellis.

mv0 Intenta codificar cada MB con MV=<0,0> y elije el mejor esto no tiene ningún efecto si mbd=0.

qprd
    QP de tasa de distorsión óptimo para un lambda dado de cada macrobloque, note que esto necesita mbd=2

last_pred=<0-99>
    Cantidad de predictores de movimiento desde los marcos previos (por defecto) usa 2a+1 x 2a+1 macro bloques cuadrados de predictores de vector de movimiento desde el marco anterior

preme=<0-2>
    pre-pasada de estimación de movimiento desactivado solo después de marcos I (por defecto) siempre

subq=<1-8>
    Redefinimiento de calidad de subpel (para qpel) (por defecto: 8).
    NOTA: Esto tiene un efecto significativo en la velocidad.

psnr
    Imprime la psnr (pico de relación señal ruido) para el video entero después de la codificación y almacena la psnr por marco en un archivo con un nombre como 'psnr_hhmmss.log'. Los valores devueltos están en dB (decibelios), cuanto más alto mejor.

mpeg_quant
    Usa cuantizadores MPEG en lugar de H.263.

aic Predicción ac (=predicción interna avanzada para H.263+)
    NOTA: vqmin debe ser 8 o superior para AIC H.263+.

umv MVs ilimitados (H.263+ solamente) Permite codificación de MVs de longitud arbitraria.

ibias=<-256-256>
    Cuantizador de unión interno (256 == 1.0)
    Cuantizador de estilo MPEG por defecto: 96
    Cuantizador de estilo H.263 por defecto: 0
    NOTA: El cuantizador H.263 MMX no puede manejar uniones positivas (establece vfdct=1ó2), el cuantizador MPEG MMX no puede manejar uniones negativas (establece vfdct=1ó2).

pbias=<-256-256>
    cuantizador de unión interno (256 == 1.0)
    cuantizador de estilo MPEG por defecto: 0
    cuantizador de estilo H.263 por defecto: -64
    NOTA: el cuantizador H.263 MMX no puede manejar uniones positivas (establece vfdct=1ó2), el cuantizador MPEG MMX no puede manejar uniones negativas (establece vfdct=1ó2).
    Consejo: una unión más positiva (-32 - -16 en lugar de -64) parece mejorar la PSNR

nr=<0-100000>
    reducción de ruido, 0 es deshabilitado

qns=<0-3>
    Cuantizador del perfilado de ruido, reduce artefactos de anillo, valores mayores hacen que sea más lento pero puede no resultar en una mejor calidad. Esto puede y debe ser usado junto con cuantización trellis, en cuyo caso la cuantización trellis (óptima para peso constante) será usada como punto de partida para la búsqueda iterativa. desactivado (por defecto) solo disminuye el valor absoluto de los coeficientes solo cambia coeficientes antes del último coeficiente no cero + 1 prueba todo

inter_matrix=<comma separated matrix>
    Usa matriz interna personalizada. Necesita una cadena separada por comas de 64 enteros.

vqmod_freq
    modulación cuantizada experimental

dc  precisión intra DC en bits (por defecto: 8). Si especifica vcodec=mpeg2video este valor puede ser 8, 9, 10 u 11.

cgop
    Cierra todos los GOPs. Actualmente no funciona (todavía).

  nuv (-nuvopts)
Nuppel video está basado en rtjpeg y lzo. Por defecto los marcos son codificados primero con ftjpeg y luego comprimidos con lzo. Pero ambas pasadas pueden ser o no habilitadas. Para que pueda obtener una salida raw i420, lzo comprimido i420, rtjpeg, o el rtjpeg comprimido en lzo por defecto.
NOTA: La documentación de nuvrec contiene algunos avisos y ejemplos acerca de la configuración a usar en la mayoría de las codificaciones de TV.

c=<0-20>
    Umbral de crominancia

l=<0-20>
    Umbral de luminancia

nolzo
    Desactiva la compresión lzo

q=<3-255>
    Establece el nivel de calidad

raw Desactiva la codificación rtjpeg

rtjpeg
    Activa codificación rtjpeg.

  xvidenc (-xvidencopts)
Hay tres métodos disponibles: tasa de bits constante (CBR), cuantizador fijo y 2pasadas.

pass=<1|2>
    Especifica la pasada en el modo de 2pasadas.

bitrate=<valor>
    Establece la tasa de bits a ser usada en kbits/segundo si <16000 o en bits/segundo si >16000
    Si <valor> es negativo, XviD usará el valor absoluto como tamaño (en kbytes) del video y calculará la tasa de bits asociada automágicamente. (modo CBR o 2pasadas, por defecto: 687 kbits/s)

fixed_quant=<1-31>
    Cambia al modo de cuantizador fijo y especifica el cuantizador a usar.

me_quality=<0-6>
    Esta opción controla el subsistema de estimación de movimiento. Cuanto más alto sea el valor, más precisa puede ser la estimación. Cuanto más precisa es la estimación, más bits se pueden ahorrar. La precisión se gana a expensas de tiempo de CPU para que decremente este valor si necesita codificación en tiempo real. (por defecto: 6)

interlacing
    Codifica los campos de material de video entrelazado. Active esta opción para contenido entrelazado. Nota: Esta opción no desentrelaza video, lo codifica basado en campos.

4mv Usa 4 vectores de movimiento por macro-bloque. Obtiene mejor compresión, pero ralentiza la codificación.
    ADVERTENCIA: Esta opción no existe en XviD-1.0.x.

rc_reaction_delay_factor=<valor>
    Este parámetro controla el retardo en marcos de imagen antes de que el controlador de tasa de CBR reaccione a cambios de tasas e intente compensar el cambio para obtener una tasa de bits constante sobre un rango promediado de marcos.

rc_averaging_period=<valor>
    CBR es dificil de obtener. Dependiendo del material de video, la tasa de bits puede variar, y puede ser dificil de predecir. Por eso XviD usa un periodo medio por el cual garantiza una cantidad de bits (salvo una pequeña variación). Esta configuración expresa el "número de marcos" para la media XviD e intenta obtener CBR.

rc_buffer=<valor>
    tamaño del buffer de control de tasa

quant_range=<1-31>-<1-31>[/<1-31>-<1-31>]
    cuantizador mín y máx para todos los marcos (por defecto: 2-31, modo CBR)
    cuantizador mín y máx para marcos I/P (por defecto: 2-31/2-31, modo 2pasadas)

min_key_interval=<valor>
    intervalo mínimo entre marcos clave (por defecto: 0, 2pasadas solamente)

max_key_interval=<valor>
    intervalo máximo entre marcos clave (por defecto: 10*fps)

mpeg_quant
    Usa cuantizadores MPEG en lugar de H.263. Para tasas de bits altas, puede encontrar que la cuantización MPEG preserva más detalles. Para tasas de bits bajas, el suavizado de H.263 le permitirá obtener menos ruido de bloque. Cuando use matrices personalizadas, debe usar MPEG.

mod_quant
    Decide qué usar si cuantizadores MPEG o H.263 en una base marco-a-marco.
    ADVERTENCIA: Esto generará un flujo de bits ilegal, y probablemente no será decodificable por cualquier decodificador MPEG4 que no sea libavcodec o XviD. (solamente modo 2pasadas)

greyscale
    Hace que XviD decarte los planos croma para que el video salga solo en escala de grises. Note que esto no acelera la codificación, solo previene que los datos de crominancia sean escritos en la última etapa de la codificación.

debug
    Guarda estadísticas por marco en ./xvid.dbg.

keyframe_boost=<0-1000>
    Desplaza algunos bits desde la entrada para otros tipos de marco en intra marcos, para mejorar la calidad del marco clave. (por defecto: 0, solamente modo 2pasadas)

kfthreshold=<valor>
    (por defecto: 10, solamente modo 2pasadas)

kfreduction=<0-100>
    Las dos opciones anteriores pueden usarse para ajustar el tamaño de los marcos clave que considere demasiado cerca del primero (en una fila). kfthreshold establece el rango en el que los marcos clave se reducen, y kfreduction determina la reducción de tasa de bits que se obtiene. El último marco tipo i se tratará de manera normal. (por defecto: 30, solamente modo 2pasadas)

Las siguientes opciones solo están disponibles en la última versión estable de XviD 1.0.x (api4).

packed
    Crea un flujo de bits que pueden ser decodificados sin retardos.
    ADVERTENCIA: Esto puede generar flujo de bits ilegal, y PUEDE NO ser decodificable por decodificadores ISO-MPEG4 excepto DivX/libavcodec/XviD.
    ADVERTENCIA: Esto puede también almacenar una versión errónea de DivX en el archivo de modo que la autodetección de errores de algunos decodificadores puede verse confundida.

divx5bvop
    genera marcos-B compatibles con DivX5 (por defecto: activado)

qpel
    MPEG4 usa precisión de mitad de pixel para su búsqueda de movimiento por defecto. El estándar propone un modo donde los codificacores tienen permitido usar precisión de un cuarto de pixel. Esta opción resulta normalmente en una imagen más nítida. Desafortunadamente esto tiene un gran impacto en la tasa de bits y algunas veces la tasa de bits más alta hace que no se pueda obtener una mejor calidad de imagen con ésta fija. Es mejor probar con y sin esta opción y ver si es mejor o peor activarla.

gmc Activa la Compensación Global de Movimiento, lo cual hace que XviD genere marcos especiales (marcos GMC) que describen mejor las imágenes de Pan/Zoom/Rotación. La decisión de activar esta opción o no para ahorrar bits depende en gran medida del tipo de video.

trellis
    Cuantización Trellis es un tipo de método de cuantización adaptativa que ahorra bits modificando los coeficientes de cuantización para hacer más compresible por el codificador de entropía. Su impacto en la calidad es muy bueno, y si VHQ usa demasiada CPU para usted, esta configuración puede ser una buena alternativa para ahorrar unos pocos bits (y ganar calidad a una tasa de bits fija) con menor coste que VHQ.

cartoon
    Activelo si su secuencia de codificación es de dibujos animados. Modifica algunos umbrales internos de XviD para que XviD tome mejores decisiones en los tipos de marcos de imagen y vectores de movimiento para dibujos que tipo plano.

chroma_me
    El algoritmo de estimación de movimiento usual usa solo la información de luminancia para encontrar el mejor vector de movimiento. Sin embargo para algún tipo de video, usar los planos de crominancia pueden ayudar a encontrar mejores vectores. Esta configuración activa el uso de los planos de crominancia para la estimación de movimiento.

chroma_opt
    Activa el prefiltrado del optimizador de crominancia. Añade algo de magia extra en la información del color para minimizar el efecto escalera en los bordes. Mejora la calidad al coste de velocidad de codificación. Reduce la PSNR por naturaleza, como la desviación matemática a la imagen original más grande, pero bajando la calidad subjetiva de la imagen. Debido a que funciona con la información del color, puede que desee desactivarlo cuando codifique en escala de grises.

reduced
    Activa codificación de marcos de resolución reducida.
    ADVERTENCIA: ¡El flujo de bits creado es cualquier perfil de MPEG-4! Esto significa que probablemente no se podrá decodificar más que con XviD.

max_bframes=<0-4>
    número máximo de marcos B a colocar entre marcos I/P (por defecto: 0)

bquant_ratio=<0-1000>
    radio del cuantizador entre marcos B y no B, 150=1.50 (por defecto: 150)

bquant_offset=<-1000-1000>
    desplazamiento del cuantizador entre marcos B y no B, 100=1.00 (por defecto: 100)

bf_threshold=<-255-255>
    Algunas veces los marcos tipo B no se ven correctamente e introducen artefactos cuando la mayor parte de los marcos es estática y algunas zonas pequeñas tienen grandes movimientos (en una escena estática con un hombre hablando, su boca probablemente se ve mal si lo que rodea al hombre y a su boca es completamente estático). Esta configuración permite favorecer o no el uso de marcos tipo B. Cuanto mayor sea el valor, mayor será la probabilidad de usar marcos tipo B. (por defecto: 0)

hq_ac
    Activa la predicción del coeficiente de alta calidad AC para entornos de bloque.

vhq=<0-4>
    El algoritmo de búsqueda de movimiento está basado en búsqueda en el dominio de color habitual e intenta encontrar el vector de movimiento que minimiza la diferencia entre el marco de referencia y el marco codificado. Con esta configuración activada, XviD usa también el dominio de la frecuencia (DCT) para buscar un vector de movimiento que minimice no solo la diferencia espacial sino también la longitud de la codificación de bloque. De más rápido a más lento: desactivado (por defecto) decisión de modo (MB inter/intra) búsqueda limitada búsqueda media búsqueda extendida

aspect=<x/y | f (valor real)>
    Almacena el aspecto de la película internamente, como los archivos MPEG. Mucha mayor resolución que el reescalado, porque no disminuye la calidad. MPlayer y otros pocos reproductores reproducirán estos archivos correctamente, otros los mostrarán con una razón de aspecto incorrecta. El parámetro de aspecto se puede dar como una razón o como un número en coma flotante.

autoaspect
    Lo mismo que la opción aspect, pero el aspecto es calculado automáticamente, teniendo en cuenta todos los ajustes (recortado/expansión/escalado/etc.) hechos en la cadena de filtros.

psnr
    imprime la psnr (pico de relación señal ruido) para el video completo después de codificar y almacenar la psnr por marco en un archivo con un nombre como 'psnr_hhmmss.log' en el directorio actual. Los valores devueltos están en dB (decibelios), cuanto más altos mejor.

  x264enc (-x264encopts)

bitrate=<valor>
    Establece la tasa de bits a usar en kbits/segundo (por defecto: desactivado). Es requerido si desea una codificación CBR (tasa de bits constante).

iframe=<valor>
    Frecuencia de marcos I (por defecto: 60).

frameref=<valor>
    Número de marcos previos usados como predictores de un marco P (por defecto: 1).
    NOTA: La versión actual de x264 (r38) aún no ha implementado esta característica.

idrframe=<valor>
    Cada <valor> I-Frames son IDR-Frames. En H.264, I-Frames no son necesarios en un GOP cerrado porque está permitido qeu haya marcos P para predecir más marcos que solo los precedentes (vea la opción frameref). De todos modos, los marcos I no son necesariamente posicionables. IDR-Frames restringe los siguientes marcos P de los referentes a cualquier marco anterior que sea IDR-Frame (por defecto: 2).

bframe=<valor>
    Número de marcos B entre marcos I y P (por defecto: 0).

deblock=<0|1>
    Usa filtro de desbloqueado (por defecto: activado).

deblockalpha=<-6-6>
    Parámetro alphaC0 del filtro de desbloqueado. Adjusta el umbral para el filtro de desbloqueado de H.264. Primero, este parámetro ajusta la máxima cantidad de cambios qeu el filtro tiene permitido causar en un pixel. Segundo, afecta al umbral para la diferencia cruzada del borde que está siendo filtrado. Un valor positivo reduce más los artifactos de bloque, pero también se pierden detalles (por defecto: 0).

deblockbeta=<-6-6>
    Parámetro beta del filtro de desbloqueado. Afecta al máximo gradiente permitido entre dos bloques adyacentes (por defecto: 0).

cabac
    Usa CABAC (Context-Adaptative Binary Arithmetic Coding) (por defecto: desactivado).

cabacidc=<valor>
    Valor inicial del IDC CABAC. El codificador debe elegir un contexto para cada bloque que codifica, pero para el primer bloque en un marco, no hay bloques previos para predecir el contexto. Ajustar esto puede afectar a la tasa de bits por una fracción de porcentaje, pero no afecta directamente a la distorsión. -1: Deja al codificador decidir el contexto (por defecto) (normalmente 0)
    0: baja complejidad
    1: complejidad media
    2: complejidad alta

qp_constant=<2-51>
    Elige el cuantizador a usar. Valores menores resultan en mejor fidelidad, pero altas tasas de bits. Note que la cuantización en H.264 funciona distinto que en mpeg[124]. Los QP de H.264 están en escala logarítmica. Como ejemplo, la diferencia de tasa de bits entre QP=20 y QP=40 es de un factor 10. Los cuantizadores útiles en H.264 tienen a ser muy grandes comparados con mpeg[124]. 20-40 es un rango útil (por defecto:26).
    NOTA: Esta opción toma efecto incluso aunque especifique codificación cbr. En tal caso, el primer marco codificado usará el factor de cuantización que especifique, pero en marcos posteriores, el control de tasa decide qué cuantizador usar.

qp_min=<2-51>
    Cuantizador mínimo. Solo CBR. 20-40 parece ser un rango útil (por defecto: 2).

qp_max=<2-51>
    Cuantizador máximo. Solo CBR.

qp_step=<valor>
    Máximo valor por el que el cuantizador incrementa/decrementa entre marcos.

rc_buffer_size=<valor>
    Tamaño del bufer de control de tasa (por defecto: 1 segundo a la tasa de bits que ha especificado).

rc_init_buffer=<valor>
    Establece el tamaño inicial del buffer de control de tasa (por defecto: 1/4 de rc_buffer_size) rc_sens=<0-100> Sensitividad de control de tasa (por defecto: 100).

ip_factor=<valor>
    Factor de cuantización entre marcos I y P (por defecto: 2.0).

pb_factor=<valor>
    Factor de cuantización entre marcos P y B (por defecto: 2.0).

pass=<1|2>
    Para modo 2-pasadas. La primera pasada guarda las estadísticas.

qcompress=<0-1>
    Compresión del cuantizador. Afecta el control de tasa: un valor bajo hace una tasa de bits más constante, mientras que un valor alto hace un parámetro de cuantización más constante (por defecto: 0.6).

qblur=<0-1>
    Parámetro de difuminado temporal de cuantización. Valores menores permiten que el valor del cuantizador cambie más; valores más altos fuerzan que varíe más suavemente (por defecto: 0.5).

fullinter
    Usa todos los métodos de análisis de interframe disponibles (i4x4, psub8x8, psub16x16) (por defecto: 4x4, psub16x16)

log=<-1-3>
    Ajusta la cantidad de histórico de información mostrada en pantalla. -1: nada
    0: errores (para debug x264)
    1: advertencias
    2: PSNR y otras estadísticas de análisis cuando termina la codificación (por defecto)
    3: PSNR, qp, frametype, size, y otras estadísticas para cada marco

psnr
    Muestra estadísticas de la relación señal ruido.

ARCHIVOS

/etc/mplayer/mplayer.conf
    configuración del sistema

~/.mplayer/config
    configuración de usuario

~/.mplayer/input.conf
    asignación de entradas (vea '-input keylist' para una lista completa de teclas)

~/.mplayer/gui.conf
    archivo de configuración del GUI

~/.mplayer/gui.pl
    lista de reproducción del GUI

~/.mplayer/font/
    directorio de tipografía (Debe haber un archivo font.desc y archivos con extensión .RAW.)

~/.mplayer/DVDkeys/
    claves CSS en caché

Los archivos sub son buscados en este orden (por ejemplo /mnt/cdrom/pelicula.avi):
    /mnt/cdrom/pelicula.sub
    ~/.mplayer/sub/pelicula.sub
    ~/.mplayer/pelicula.sub

EJEMPLOS

Reproducción rápida de DVD
    mplayer dvd://1

Reproducción en japonés con subtítulos en inglés
    mplayer dvd://1 -alang ja -slang en

Reproducir solo los capítulos 5, 6, 7
    mplayer dvd://1 -chapter 5-7

Reproducir solo los títulos 5, 6, 7
    mplayer dvd://5-7

Reproducción de DVD multiángulo
    mplayer dvd://1 -dvdangle 2

Reproducción desde un dispositivo distinto de DVD
    mplayer dvd://1 -dvd-device /dev/dvd2

Flujo desde HTTP
    mplayer http://mplayer.hq/ejemplo.avi

Flujo usando RTSP
    mplayer rtsp://servidor.ejemplo.es/nombreFlujo

Convertir subtítulo a MPsub (a ./dump.mpsub)
    mplayer bobo.avi -sub origen.sub -dumpmpsub

Convertir subtítulo a MPsub sin ver la película
    mplayer /dev/zero -rawvideo on:pal:fps=xx -vc null -vo null -noframedrop -benchmark -sub origen.sub -dumpmpsub

Entrada desde V4L estandar
    mplayer tv:// -tv driver=v4l:width=640:height=480:outfmt=i420 -vc rawi420 -vo xv

Reproducción en tarjeta Zoran (al viejo estilo, desvalorizado)
    mplayer -vo zr -vf scale=352:288 archivo.avi

Reproducción en tarjeta Zoran (nuevo estilo)
    mplayer -vo zr2 -vf scale=352:288,zrmjpeg archivo.avi

Codificación del título #2 del DVD, solo los capítulos seleccionados
    mencoder dvd://2 -chapter 10-15 -o titulo2.avi -oac copy -ovc lavc -lavcopts vcodec=mpeg4

Codificación del título #2 del DVD, redimensionando a 640x480
    mencoder dvd://2 -vf scale=640:480 -o titulo2.avi -oac copy -ovc lavc -lavcopts vcodec=mpeg4

Codificación del título #2 del DVD, redimensionando a 512xHHH (manteniendo relación de aspecto)
    mencoder dvd://2 -vf scale -zoom -xy 512 -o titulo2.avi -oac copy -ovc lavc -lavcopts vcodec=mpeg4

Lo mismo, pero con la familia libavcodec, compresión MPEG4 (Divx5)
    mencoder dvd://2 -o titulo2.avi -ovc lavc -lavcopts vcodec=mpeg4:vhq:vbitrate=1800 -oac copy

Lo mismo, pero con la familia libavcodec, compresión MJPEG
    mencoder dvd://2 -o titulo2.avi -ovc lavc -lavcopts vcodec=mjpeg:vhq:vbitrate=1800 -oac copy

Codificación de todos los archivos *.jpg del directorio actual
    mencoder "mf://*.jpg" -mf fps=25 -o salida.avi -ovc lavc -lavcopts vcodec=mpeg4

Codificación desde el sintonizador (especifica formato con -vf format)
    mencoder -tv driver=v4l:width=640:height=480 tv:// -o tv.avi -ovc raw

Codificación desde una tubería
    rar p test-SVCD.rar | mencoder -ovc lavc -lavcopts vcodec=mpeg4:vbitrate=800 -ofps 24 -

FALLOS
Si encuentra uno, infórmenos de ello, pero por favor asegúrese de leer toda la documentación primero. Muchos errores son debidos a una configuración incorrecta o un mal uso de parámetros. La sección sobre informe de errores en la documentación (DOCS/HTML/es/bugreports.html) explica cómo crear informes de error útiles.

AUTORES
MPlayer fue inicialmente escrito por Arpad Gereoffy. Vea el archivo AUTORES para obtener una lista de muchos otros contribuyentes.

MPlayer es (C) 2000-2009
    El Equipo MPlayer

Esta página de manual está escrita y mantenida por
    Gabucino
    Diego Biurrun
    Jonas Jermann

la versión en español es traducida y mantenida por
    Juan Martín López

Por favor, envíe correos acerca de ella a la lista de correo MPlayer-DOCS.